# Generated by Makefile. Do not edit.

commit 9b9756c32ff90b4791db453344cbf089940206c6
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Sep 9 13:11:05 2020 +0200

    Update NEWS, bump version
    
    Change-Id: I80f4d9fc6ad65b740b62827e747006b1c788e84f

 NEWS         | 8 ++++++++
 configure.ac | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit cd2d20e2b7bc988638b599474aaa4bf9de35b3b9
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jul 30 19:55:16 2020 +0200

    [#4084] Change company name
    
    Change-Id: I1f717d7ed653bd48ba6ffa3089be7e7543a07a63

 AUTHORS                                                      | 4 ++--
 HACKING.README                                               | 4 ++--
 LICENSE.README                                               | 2 +-
 README                                                       | 4 ++--
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
 bindings/c++/include/idmef-class.hxx                         | 2 +-
 bindings/c++/include/idmef-criteria.hxx                      | 2 +-
 bindings/c++/include/idmef-path.hxx                          | 2 +-
 bindings/c++/include/idmef-time.hxx                          | 2 +-
 bindings/c++/include/idmef-value.hxx                         | 2 +-
 bindings/c++/include/idmef.hxx                               | 2 +-
 bindings/c++/include/prelude-client-easy.hxx                 | 2 +-
 bindings/c++/include/prelude-client-profile.hxx              | 2 +-
 bindings/c++/include/prelude-client.hxx                      | 2 +-
 bindings/c++/include/prelude-connection-pool.hxx             | 2 +-
 bindings/c++/include/prelude-connection.hxx                  | 2 +-
 bindings/c++/include/prelude-error.hxx                       | 2 +-
 bindings/c++/include/prelude-log.hxx                         | 2 +-
 bindings/c++/include/prelude.hxx                             | 2 +-
 bindings/c++/prelude-client-easy.cxx                         | 2 +-
 bindings/c++/prelude-client-profile.cxx                      | 2 +-
 bindings/c++/prelude-client.cxx                              | 2 +-
 bindings/c++/prelude-connection-pool.cxx                     | 2 +-
 bindings/c++/prelude-connection.cxx                          | 2 +-
 bindings/c++/prelude-error.cxx                               | 2 +-
 bindings/c++/prelude-log.cxx                                 | 2 +-
 bindings/c++/prelude.cxx                                     | 2 +-
 bindings/libpreludecpp.i                                     | 2 +-
 bindings/lua/libpreludecpp-lua.i                             | 2 +-
 bindings/perl/Makefile.PL.in                                 | 2 +-
 bindings/perl/libpreludecpp-perl.i                           | 2 +-
 bindings/python/libpreludecpp-python.i                       | 2 +-
 bindings/python/setup.py.in                                  | 4 ++--
 bindings/ruby/libpreludecpp-ruby.i                           | 2 +-
 docs/manpages/libprelude-config.1                            | 2 +-
 prelude-admin/prelude-admin.c                                | 2 +-
 prelude-admin/server.c                                       | 2 +-
 prelude-admin/server.h                                       | 2 +-
 prelude-admin/tls-register.c                                 | 2 +-
 prelude-admin/tls-register.h                                 | 2 +-
 src/common.c                                                 | 2 +-
 src/config-engine.c                                          | 2 +-
 src/daemonize.c                                              | 2 +-
 src/idmef-additional-data.c                                  | 2 +-
 src/idmef-class.c                                            | 2 +-
 src/idmef-criteria-string.lex.c                              | 2 +-
 src/idmef-criteria-string.lex.l                              | 2 +-
 src/idmef-criteria-string.yac.y                              | 2 +-
 src/idmef-criteria.c                                         | 2 +-
 src/idmef-criterion-value.c                                  | 2 +-
 src/idmef-data.c                                             | 2 +-
 src/idmef-message-helpers.c                                  | 2 +-
 src/idmef-message-print-json.c                               | 2 +-
 src/idmef-message-print.c                                    | 2 +-
 src/idmef-message-read-json.c                                | 2 +-
 src/idmef-message-read.c                                     | 2 +-
 src/idmef-message-write.c                                    | 2 +-
 src/idmef-object.c                                           | 2 +-
 src/idmef-path.c                                             | 2 +-
 src/idmef-time.c                                             | 2 +-
 src/idmef-tree-wrap.c                                        | 2 +-
 src/idmef-value-type.c                                       | 2 +-
 src/idmef-value.c                                            | 2 +-
 src/idmef-wrappers-gen/Generate.pm                           | 2 +-
 src/idmef-wrappers-gen/GenerateDebug.pm                      | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm            | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONC.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONH.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadC.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadH.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadJSONC.pm      | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm              | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm           | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFValueClassSwigMapping.pm | 4 ++--
 src/idmef-wrappers-gen/IDMEFTree.pm                          | 2 +-
 src/idmef-wrappers-gen/generator.pl                          | 2 +-
 src/idmef-wrappers-gen/idmef-tree.h                          | 2 +-
 src/include/common.h                                         | 2 +-
 src/include/config-engine.h                                  | 2 +-
 src/include/daemonize.h                                      | 2 +-
 src/include/idmef-additional-data.h                          | 2 +-
 src/include/idmef-class.h                                    | 2 +-
 src/include/idmef-criteria.h                                 | 2 +-
 src/include/idmef-criterion-value.h                          | 2 +-
 src/include/idmef-data.h                                     | 2 +-
 src/include/idmef-message-helpers.h                          | 2 +-
 src/include/idmef-message-print-json.h                       | 2 +-
 src/include/idmef-message-print.h                            | 2 +-
 src/include/idmef-message-read.h                             | 2 +-
 src/include/idmef-message-write.h                            | 2 +-
 src/include/idmef-object-prv.h                               | 2 +-
 src/include/idmef-object.h                                   | 2 +-
 src/include/idmef-path.h                                     | 2 +-
 src/include/idmef-time.h                                     | 2 +-
 src/include/idmef-tree-wrap.h                                | 2 +-
 src/include/idmef-value-type.h                               | 2 +-
 src/include/idmef-value.h                                    | 2 +-
 src/include/idmef.h                                          | 2 +-
 src/include/libmissing.h                                     | 2 +-
 src/include/prelude-async.h                                  | 2 +-
 src/include/prelude-client-profile.h                         | 2 +-
 src/include/prelude-client.h                                 | 2 +-
 src/include/prelude-connection-pool.h                        | 2 +-
 src/include/prelude-connection.h                             | 2 +-
 src/include/prelude-extract.h                                | 2 +-
 src/include/prelude-failover.h                               | 2 +-
 src/include/prelude-hash.h                                   | 2 +-
 src/include/prelude-ident.h                                  | 2 +-
 src/include/prelude-inttypes.h.in                            | 2 +-
 src/include/prelude-io.h                                     | 2 +-
 src/include/prelude-linked-object.h                          | 2 +-
 src/include/prelude-list.h                                   | 2 +-
 src/include/prelude-log.h                                    | 2 +-
 src/include/prelude-macros.h                                 | 2 +-
 src/include/prelude-message-id.h                             | 2 +-
 src/include/prelude-msg.h                                    | 2 +-
 src/include/prelude-msgbuf.h                                 | 2 +-
 src/include/prelude-option-wide.h                            | 2 +-
 src/include/prelude-option.h                                 | 2 +-
 src/include/prelude-plugin.h                                 | 2 +-
 src/include/prelude-string.h                                 | 2 +-
 src/include/prelude-thread.h                                 | 2 +-
 src/include/prelude-timer.h                                  | 2 +-
 src/include/prelude.h.in                                     | 2 +-
 src/include/tls-auth.h                                       | 2 +-
 src/include/tls-util.h                                       | 2 +-
 src/include/variable.h                                       | 2 +-
 src/libprelude-error/prelude-error.h.in                      | 2 +-
 src/prelude-async.c                                          | 2 +-
 src/prelude-client-profile.c                                 | 2 +-
 src/prelude-client.c                                         | 2 +-
 src/prelude-connection-pool.c                                | 2 +-
 src/prelude-connection.c                                     | 2 +-
 src/prelude-failover.c                                       | 2 +-
 src/prelude-hash.c                                           | 2 +-
 src/prelude-ident.c                                          | 2 +-
 src/prelude-io.c                                             | 2 +-
 src/prelude-log.c                                            | 2 +-
 src/prelude-msg.c                                            | 2 +-
 src/prelude-msgbuf.c                                         | 2 +-
 src/prelude-option-wide.c                                    | 2 +-
 src/prelude-option.c                                         | 2 +-
 src/prelude-plugin.c                                         | 2 +-
 src/prelude-string.c                                         | 2 +-
 src/prelude-thread.c                                         | 2 +-
 src/prelude-timer.c                                          | 2 +-
 src/prelude.c                                                | 2 +-
 src/tls-auth.c                                               | 2 +-
 src/tls-util.c                                               | 2 +-
 src/variable.c                                               | 2 +-
 161 files changed, 178 insertions(+), 178 deletions(-)

commit 64d908beb32e87a22e737e73c60386aa61f185b8
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jul 23 15:05:40 2020 +0200

    Update NEWS, bump version
    
    Change-Id: Id95686f0602f750a44b62db00639fe529c6e0b4b

 NEWS         | 6 ++++++
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit a771c9b66b59391b723d351ffa249b419e11cdab
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Tue Jun 30 16:50:16 2020 +0200

    Update NEWS, bump version
    
    Change-Id: Ie498559ed52b7ea66aeeee9a686f6380b7ddc277

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit c061e5e617261c198ff52bc17bfb6c6bb242115b
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Sun Jun 14 13:46:44 2020 +0700

    [#3655] Proper escaping of substr/regex criterion
    
    Change-Id: I86f504115b177ca555ef23878ed46e06262385bc

 src/idmef-criteria-string.yac.c | 737 +++++++++++++++++++++++-----------------
 src/idmef-criteria-string.yac.h |  15 +-
 src/idmef-criteria-string.yac.y |   2 +-
 3 files changed, 427 insertions(+), 327 deletions(-)

commit dfaa9b147198bc72ccfdd86ddc6118178837f812
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Jun 19 18:08:22 2020 +0200

    Update NEWS, bump version
    
    Change-Id: Idb21651876d57e091a68883597fef94d94a2416a

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.ac | 14 +++++++-------
 2 files changed, 46 insertions(+), 7 deletions(-)

commit 55f478f4ae5aa8b30372e7a0e3cf20ebe52df889
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon May 25 18:12:27 2020 +0200

    [#4025] Switch to LGPL
    
    Change-Id: I97330efbead278fc4c0301283e0a171777c34ecf

 COPYING                                            | 657 +++++++++++++--------
 LICENSE.README                                     |   4 +-
 bindings/c++/idmef-class.cxx                       |   8 +-
 bindings/c++/idmef-criteria.cxx                    |   8 +-
 bindings/c++/idmef-path.cxx                        |   8 +-
 bindings/c++/idmef-time.cxx                        |   8 +-
 bindings/c++/idmef-value.cxx                       |   8 +-
 bindings/c++/idmef.cxx                             |   8 +-
 bindings/c++/include/idmef-class.hxx               |   8 +-
 bindings/c++/include/idmef-criteria.hxx            |   8 +-
 bindings/c++/include/idmef-path.hxx                |   8 +-
 bindings/c++/include/idmef-time.hxx                |   8 +-
 bindings/c++/include/idmef-value.hxx               |   8 +-
 bindings/c++/include/idmef.hxx                     |   8 +-
 bindings/c++/include/prelude-client-easy.hxx       |   8 +-
 bindings/c++/include/prelude-client-profile.hxx    |   8 +-
 bindings/c++/include/prelude-client.hxx            |   8 +-
 bindings/c++/include/prelude-connection-pool.hxx   |   8 +-
 bindings/c++/include/prelude-connection.hxx        |   8 +-
 bindings/c++/include/prelude-error.hxx             |   8 +-
 bindings/c++/include/prelude-log.hxx               |   8 +-
 bindings/c++/include/prelude.hxx                   |   8 +-
 bindings/c++/prelude-client-easy.cxx               |   8 +-
 bindings/c++/prelude-client-profile.cxx            |   8 +-
 bindings/c++/prelude-client.cxx                    |   8 +-
 bindings/c++/prelude-connection-pool.cxx           |   8 +-
 bindings/c++/prelude-connection.cxx                |   8 +-
 bindings/c++/prelude-error.cxx                     |   8 +-
 bindings/c++/prelude-log.cxx                       |   8 +-
 bindings/c++/prelude.cxx                           |   8 +-
 bindings/libpreludecpp.i                           |   8 +-
 bindings/lua/libpreludecpp-lua.i                   |   8 +-
 bindings/perl/Makefile.PL.in                       |   8 +-
 bindings/perl/libpreludecpp-perl.i                 |   8 +-
 bindings/python/libpreludecpp-python.i             |   8 +-
 bindings/python/setup.py.in                        |  10 +-
 bindings/ruby/libpreludecpp-ruby.i                 |   8 +-
 prelude-admin/prelude-admin.c                      |   8 +-
 prelude-admin/server.c                             |   8 +-
 prelude-admin/server.h                             |   8 +-
 prelude-admin/tls-register.c                       |   8 +-
 prelude-admin/tls-register.h                       |   8 +-
 src/common.c                                       |   8 +-
 src/config-engine.c                                |   8 +-
 src/daemonize.c                                    |   8 +-
 src/idmef-additional-data.c                        |   8 +-
 src/idmef-class.c                                  |   8 +-
 src/idmef-criteria-string.lex.c                    |   8 +-
 src/idmef-criteria-string.lex.l                    |   8 +-
 src/idmef-criteria-string.yac.y                    |   8 +-
 src/idmef-criteria.c                               |   8 +-
 src/idmef-criterion-value.c                        |   8 +-
 src/idmef-data.c                                   |   8 +-
 src/idmef-message-helpers.c                        |   8 +-
 src/idmef-message-print-json.c                     |   8 +-
 src/idmef-message-print.c                          |   8 +-
 src/idmef-message-read-json.c                      |   8 +-
 src/idmef-message-read.c                           |   8 +-
 src/idmef-message-write.c                          |   8 +-
 src/idmef-object.c                                 |   8 +-
 src/idmef-path.c                                   |   8 +-
 src/idmef-time.c                                   |   8 +-
 src/idmef-tree-wrap.c                              |   8 +-
 src/idmef-value-type.c                             |   8 +-
 src/idmef-value.c                                  |   8 +-
 src/idmef-wrappers-gen/Generate.pm                 |   8 +-
 src/idmef-wrappers-gen/GenerateDebug.pm            |   8 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm  |   8 +-
 .../GenerateIDMEFMessagePrintC.pm                  |  16 +-
 .../GenerateIDMEFMessagePrintH.pm                  |  16 +-
 .../GenerateIDMEFMessagePrintJSONC.pm              |  16 +-
 .../GenerateIDMEFMessagePrintJSONH.pm              |  16 +-
 .../GenerateIDMEFMessageReadC.pm                   |  16 +-
 .../GenerateIDMEFMessageReadH.pm                   |  16 +-
 .../GenerateIDMEFMessageReadJSONC.pm               |  16 +-
 .../GenerateIDMEFMessageWriteC.pm                  |  16 +-
 .../GenerateIDMEFMessageWriteH.pm                  |  16 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm    |   8 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm   |  16 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm   |  16 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm |  16 +-
 .../GenerateIDMEFValueClassSwigMapping.pm          |  16 +-
 src/idmef-wrappers-gen/IDMEFTree.pm                |   8 +-
 src/idmef-wrappers-gen/generator.pl                |   8 +-
 src/idmef-wrappers-gen/idmef-tree.h                |   8 +-
 src/include/common.h                               |   8 +-
 src/include/config-engine.h                        |   8 +-
 src/include/daemonize.h                            |   8 +-
 src/include/idmef-additional-data.h                |   8 +-
 src/include/idmef-class.h                          |   8 +-
 src/include/idmef-criteria.h                       |   8 +-
 src/include/idmef-criterion-value.h                |   8 +-
 src/include/idmef-data.h                           |   8 +-
 src/include/idmef-message-helpers.h                |   8 +-
 src/include/idmef-message-print-json.h             |   8 +-
 src/include/idmef-message-print.h                  |   8 +-
 src/include/idmef-message-read.h                   |   8 +-
 src/include/idmef-message-write.h                  |   8 +-
 src/include/idmef-object-prv.h                     |   8 +-
 src/include/idmef-object.h                         |   8 +-
 src/include/idmef-path.h                           |   8 +-
 src/include/idmef-time.h                           |   8 +-
 src/include/idmef-tree-wrap.h                      |   8 +-
 src/include/idmef-value-type.h                     |   8 +-
 src/include/idmef-value.h                          |   8 +-
 src/include/idmef.h                                |   8 +-
 src/include/libmissing.h                           |   8 +-
 src/include/prelude-async.h                        |   8 +-
 src/include/prelude-client-profile.h               |   8 +-
 src/include/prelude-client.h                       |   8 +-
 src/include/prelude-connection-pool.h              |   8 +-
 src/include/prelude-connection.h                   |   8 +-
 src/include/prelude-extract.h                      |   8 +-
 src/include/prelude-failover.h                     |   8 +-
 src/include/prelude-hash.h                         |   8 +-
 src/include/prelude-ident.h                        |   8 +-
 src/include/prelude-inttypes.h.in                  |   8 +-
 src/include/prelude-io.h                           |   8 +-
 src/include/prelude-linked-object.h                |   8 +-
 src/include/prelude-list.h                         |   8 +-
 src/include/prelude-log.h                          |   8 +-
 src/include/prelude-macros.h                       |   8 +-
 src/include/prelude-message-id.h                   |   8 +-
 src/include/prelude-msg.h                          |   8 +-
 src/include/prelude-msgbuf.h                       |   8 +-
 src/include/prelude-option-wide.h                  |   8 +-
 src/include/prelude-option.h                       |   8 +-
 src/include/prelude-plugin.h                       |   8 +-
 src/include/prelude-string.h                       |   8 +-
 src/include/prelude-thread.h                       |   8 +-
 src/include/prelude-timer.h                        |   8 +-
 src/include/prelude.h.in                           |   8 +-
 src/include/tls-auth.h                             |   8 +-
 src/include/tls-util.h                             |   8 +-
 src/include/variable.h                             |   8 +-
 src/libprelude-error/prelude-error.h.in            |   8 +-
 src/prelude-async.c                                |   8 +-
 src/prelude-client-profile.c                       |   8 +-
 src/prelude-client.c                               |   8 +-
 src/prelude-connection-pool.c                      |   8 +-
 src/prelude-connection.c                           |   8 +-
 src/prelude-failover.c                             |   8 +-
 src/prelude-hash.c                                 |   8 +-
 src/prelude-ident.c                                |   8 +-
 src/prelude-io.c                                   |   8 +-
 src/prelude-log.c                                  |   8 +-
 src/prelude-msg.c                                  |   8 +-
 src/prelude-msgbuf.c                               |   8 +-
 src/prelude-option-wide.c                          |   8 +-
 src/prelude-option.c                               |   8 +-
 src/prelude-plugin.c                               |   8 +-
 src/prelude-string.c                               |   8 +-
 src/prelude-thread.c                               |   8 +-
 src/prelude-timer.c                                |   8 +-
 src/prelude.c                                      |   8 +-
 src/tls-auth.c                                     |   8 +-
 src/tls-util.c                                     |   8 +-
 src/variable.c                                     |   8 +-
 158 files changed, 1089 insertions(+), 926 deletions(-)

commit c4f527b431262c4d98610a91bb22aeed9f43a57f
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Jan 14 17:08:17 2020 +0700

    [#rel3881] Implement prelude_msg_clone()
    
    Change-Id: Iec7861e449ec2405a33e5a970267e0ad8840f4b0

 src/include/prelude-msg.h |  2 ++
 src/prelude-msg.c         | 17 +++++++++++++++++
 2 files changed, 19 insertions(+)

commit 88b81427542d83d9d67d1e5deaa01ee595616594
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Feb 19 14:39:57 2020 +0700

    [#rel3881] Properly check for EINTR
    
    Change-Id: I73ba36d2939a27c539ad9146e6d9ef595579a03e

 src/prelude-failover.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7cc37a752b2a586cc28196db9b8aa78d2cd5776
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Jan 15 12:07:34 2020 +0100

    [#rel3743] Fix PCRE configure check
    
    Change-Id: I0bf94386b1c09924457db1043e60c9c5841b801a

 configure.ac | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 955d923b2002ad73df53e288251ad0277acc7793
Author: Francois POIROTTE <francois.poirotte@c-s.fr>
Date:   Wed Jan 8 10:54:32 2020 +0100

    [#3874] Remove superfluous brackets in AC_INIT
    
    Change-Id: I8176f8c71ebb315b39338a58215b2ed75dbedef4

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb6d2ece06c62c65f3037b0b650904366af4e89b
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Sun Dec 15 11:51:38 2019 +0700

    [#3871] Update libprelude-error for GAWK 5.0
    
    Backport latest libgpg-error changes
    
    Change-Id: I800bf1e09462e6dfffec8e8f2a5e3edfd149432d

 src/libprelude-error/Makefile.am     |  2 +-
 src/libprelude-error/mkerrcodes.awk  |  2 +-
 src/libprelude-error/mkerrcodes1.awk |  2 +-
 src/libprelude-error/mkerrcodes2.awk |  2 +-
 src/libprelude-error/mkerrnos.awk    |  2 +-
 src/libprelude-error/mkstrtable.awk  | 10 +++++-----
 6 files changed, 10 insertions(+), 10 deletions(-)

commit 568af1378ef61069c2036d94fb0ea2d5343526a0
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Nov 15 12:23:40 2019 +0700

    [#3884] Fix for system that does not implement PATH_MAX
    
    Change-Id: Id99d2ec14f577e37badb8cc520304c5e23fa9b78

 src/include/libmissing.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9f26d89f0b237115ce5e65819435098ff173e4a0
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Jan 15 12:04:47 2020 +0100

    [#3878] Copyright year update
    
    Change-Id: I3efbec4a59c7a198a8eb2a77b41a9b11e167b615

 LICENSE.README                                               | 2 +-
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
 bindings/c++/include/idmef-class.hxx                         | 2 +-
 bindings/c++/include/idmef-criteria.hxx                      | 2 +-
 bindings/c++/include/idmef-path.hxx                          | 2 +-
 bindings/c++/include/idmef-time.hxx                          | 2 +-
 bindings/c++/include/idmef-value.hxx                         | 2 +-
 bindings/c++/include/idmef.hxx                               | 2 +-
 bindings/c++/include/prelude-client-easy.hxx                 | 2 +-
 bindings/c++/include/prelude-client-profile.hxx              | 2 +-
 bindings/c++/include/prelude-client.hxx                      | 2 +-
 bindings/c++/include/prelude-connection-pool.hxx             | 2 +-
 bindings/c++/include/prelude-connection.hxx                  | 2 +-
 bindings/c++/include/prelude-error.hxx                       | 2 +-
 bindings/c++/include/prelude-log.hxx                         | 2 +-
 bindings/c++/include/prelude.hxx                             | 2 +-
 bindings/c++/prelude-client-easy.cxx                         | 2 +-
 bindings/c++/prelude-client-profile.cxx                      | 2 +-
 bindings/c++/prelude-client.cxx                              | 2 +-
 bindings/c++/prelude-connection-pool.cxx                     | 2 +-
 bindings/c++/prelude-connection.cxx                          | 2 +-
 bindings/c++/prelude-error.cxx                               | 2 +-
 bindings/c++/prelude-log.cxx                                 | 2 +-
 bindings/c++/prelude.cxx                                     | 2 +-
 bindings/libpreludecpp.i                                     | 2 +-
 bindings/lua/libpreludecpp-lua.i                             | 2 +-
 bindings/perl/Makefile.PL.in                                 | 2 +-
 bindings/perl/libpreludecpp-perl.i                           | 2 +-
 bindings/python/libpreludecpp-python.i                       | 2 +-
 bindings/python/setup.py.in                                  | 2 +-
 bindings/ruby/libpreludecpp-ruby.i                           | 2 +-
 prelude-admin/prelude-admin.c                                | 2 +-
 prelude-admin/server.c                                       | 2 +-
 prelude-admin/server.h                                       | 2 +-
 prelude-admin/tls-register.c                                 | 2 +-
 prelude-admin/tls-register.h                                 | 2 +-
 src/common.c                                                 | 2 +-
 src/config-engine.c                                          | 2 +-
 src/daemonize.c                                              | 2 +-
 src/idmef-additional-data.c                                  | 2 +-
 src/idmef-class.c                                            | 2 +-
 src/idmef-criteria-string.lex.c                              | 2 +-
 src/idmef-criteria-string.lex.l                              | 2 +-
 src/idmef-criteria-string.yac.y                              | 2 +-
 src/idmef-criteria.c                                         | 2 +-
 src/idmef-criterion-value.c                                  | 2 +-
 src/idmef-data.c                                             | 2 +-
 src/idmef-message-helpers.c                                  | 2 +-
 src/idmef-message-print-json.c                               | 2 +-
 src/idmef-message-print.c                                    | 2 +-
 src/idmef-message-read-json.c                                | 2 +-
 src/idmef-message-read.c                                     | 2 +-
 src/idmef-message-write.c                                    | 2 +-
 src/idmef-object.c                                           | 2 +-
 src/idmef-path.c                                             | 2 +-
 src/idmef-time.c                                             | 2 +-
 src/idmef-tree-wrap.c                                        | 2 +-
 src/idmef-value-type.c                                       | 2 +-
 src/idmef-value.c                                            | 2 +-
 src/idmef-wrappers-gen/Generate.pm                           | 2 +-
 src/idmef-wrappers-gen/GenerateDebug.pm                      | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm            | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONC.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONH.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadC.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadH.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadJSONC.pm      | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm              | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm           | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFValueClassSwigMapping.pm | 4 ++--
 src/idmef-wrappers-gen/IDMEFTree.pm                          | 2 +-
 src/idmef-wrappers-gen/generator.pl                          | 2 +-
 src/idmef-wrappers-gen/idmef-tree.h                          | 2 +-
 src/include/common.h                                         | 2 +-
 src/include/config-engine.h                                  | 2 +-
 src/include/daemonize.h                                      | 2 +-
 src/include/idmef-additional-data.h                          | 2 +-
 src/include/idmef-class.h                                    | 2 +-
 src/include/idmef-criteria.h                                 | 2 +-
 src/include/idmef-criterion-value.h                          | 2 +-
 src/include/idmef-data.h                                     | 2 +-
 src/include/idmef-message-helpers.h                          | 2 +-
 src/include/idmef-message-print-json.h                       | 2 +-
 src/include/idmef-message-print.h                            | 2 +-
 src/include/idmef-message-read.h                             | 2 +-
 src/include/idmef-message-write.h                            | 2 +-
 src/include/idmef-object-prv.h                               | 2 +-
 src/include/idmef-object.h                                   | 2 +-
 src/include/idmef-path.h                                     | 2 +-
 src/include/idmef-time.h                                     | 2 +-
 src/include/idmef-tree-wrap.h                                | 2 +-
 src/include/idmef-value-type.h                               | 2 +-
 src/include/idmef-value.h                                    | 2 +-
 src/include/idmef.h                                          | 2 +-
 src/include/libmissing.h                                     | 2 +-
 src/include/prelude-async.h                                  | 2 +-
 src/include/prelude-client-profile.h                         | 2 +-
 src/include/prelude-client.h                                 | 2 +-
 src/include/prelude-connection-pool.h                        | 2 +-
 src/include/prelude-connection.h                             | 2 +-
 src/include/prelude-extract.h                                | 2 +-
 src/include/prelude-failover.h                               | 2 +-
 src/include/prelude-hash.h                                   | 2 +-
 src/include/prelude-ident.h                                  | 2 +-
 src/include/prelude-inttypes.h.in                            | 2 +-
 src/include/prelude-io.h                                     | 2 +-
 src/include/prelude-linked-object.h                          | 2 +-
 src/include/prelude-list.h                                   | 2 +-
 src/include/prelude-log.h                                    | 2 +-
 src/include/prelude-macros.h                                 | 2 +-
 src/include/prelude-message-id.h                             | 2 +-
 src/include/prelude-msg.h                                    | 2 +-
 src/include/prelude-msgbuf.h                                 | 2 +-
 src/include/prelude-option-wide.h                            | 2 +-
 src/include/prelude-option.h                                 | 2 +-
 src/include/prelude-plugin.h                                 | 2 +-
 src/include/prelude-string.h                                 | 2 +-
 src/include/prelude-thread.h                                 | 2 +-
 src/include/prelude-timer.h                                  | 2 +-
 src/include/prelude.h.in                                     | 2 +-
 src/include/tls-auth.h                                       | 2 +-
 src/include/tls-util.h                                       | 2 +-
 src/include/variable.h                                       | 2 +-
 src/libprelude-error/prelude-error.h.in                      | 2 +-
 src/prelude-async.c                                          | 2 +-
 src/prelude-client-profile.c                                 | 2 +-
 src/prelude-client.c                                         | 2 +-
 src/prelude-connection-pool.c                                | 2 +-
 src/prelude-connection.c                                     | 2 +-
 src/prelude-failover.c                                       | 2 +-
 src/prelude-hash.c                                           | 2 +-
 src/prelude-ident.c                                          | 2 +-
 src/prelude-io.c                                             | 2 +-
 src/prelude-log.c                                            | 2 +-
 src/prelude-msg.c                                            | 2 +-
 src/prelude-msgbuf.c                                         | 2 +-
 src/prelude-option-wide.c                                    | 2 +-
 src/prelude-option.c                                         | 2 +-
 src/prelude-plugin.c                                         | 2 +-
 src/prelude-string.c                                         | 2 +-
 src/prelude-thread.c                                         | 2 +-
 src/prelude-timer.c                                          | 2 +-
 src/prelude.c                                                | 2 +-
 src/tls-auth.c                                               | 2 +-
 src/tls-util.c                                               | 2 +-
 src/variable.c                                               | 2 +-
 157 files changed, 170 insertions(+), 170 deletions(-)

commit 6d12bb29b4db8427bc6c52be700e44226c022675
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Oct 23 13:08:24 2019 +0700

    [#rel3743] PCRE regex fixes
    
    Change-Id: If7e66e160ae45755e69c42a00a1ef67b6a1dfe74

 src/idmef-criterion-value.c | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit b0a48e160040cde9e7d5da060ec1e1e805e96516
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Oct 23 12:57:15 2019 +0700

    [#rel3743] Fix substring unit tests
    
    Change-Id: Ie60848c13b783ec8ea24a66762f7a9d156686756

 tests/idmef-criteria.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6b60ffbefa70ac8ca7837b2e62c583b4671612aa
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Tue Oct 15 14:21:34 2019 +0200

    [#3809] Add Python 3.7/3.8 support
    
    Change-Id: Icd1b9dc05ac987f06b4e55b1ca42e4cc0d411139

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6979eb05d00a26e0b341f4718ac7ab455e763053
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Oct 18 12:01:02 2019 +0200

    [#3809] Update to SWIG 4.0.1
    
    Change-Id: I745928c5ff30f5a5a3c9f0628a5cc4f4aa204f44

 bindings/lua/prelude.cxx     | 194 ++++++++++++----------
 bindings/perl/Prelude.cxx    | 384 ++++++++++++++++++++++---------------------
 bindings/perl/Prelude.pm     |   2 +-
 bindings/python/_prelude.cxx |  18 +-
 bindings/python/prelude.py   |  35 +---
 bindings/ruby/Prelude.cxx    | 252 ++++++++++++----------------
 6 files changed, 425 insertions(+), 460 deletions(-)

commit c2e69b44046fcc8056f7bbc7a60a2e573d5877ef
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Oct 4 16:00:48 2019 +0700

    [#rel3655] Raw string support
    
    Change-Id: Ie6f42e2ac2c5ed607e0d30fb020f636011238485

 src/idmef-criteria-string.lex.c | 375 +++++++++++++++++++--------------
 src/idmef-criteria-string.lex.l |  20 ++
 src/idmef-criteria-string.yac.c | 447 ++++++++++++++++++++++------------------
 src/idmef-criteria-string.yac.h |  92 +++++----
 src/idmef-criteria-string.yac.y |  22 +-
 5 files changed, 546 insertions(+), 410 deletions(-)

commit 59d64e7fc8786644bff2819b89e72ac4af3142b2
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Oct 14 19:04:12 2019 +0200

    [#3828] Fix LIBPRELUDECPP_SONAME
    
    The commit a17a3152390695a1d8cfb839ad87c75ad5de7b02
    introduced an ABI-breaking change.
    
    Change-Id: Ib68189771fdc86d0cf494226b2d342d787b8ac0e

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 779694c7f2c3f771875fa7eccb938d6a39068c6d
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Oct 3 15:59:55 2019 +0700

    [#2570] Fix regexp comparison with NULL idmef value
    
    Change-Id: I12b4417530ce7cde9dc0eddba03d30e1d7677ad1

 src/idmef-criterion-value.c | 3 +++
 1 file changed, 3 insertions(+)

commit 4f206c22689495d8f6057f5d92f535f056ac7434
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Sep 5 09:50:32 2019 +0200

    [#3655] Proper escaping of IDMEF Criteria
    
    Change-Id: I6e9bf15026b8d1cde5f1b6c21655630833d11c4c

 src/common.c                                       | 129 +++
 src/idmef-criteria-string.lex.c                    | 875 +++++++++++++--------
 src/idmef-criteria-string.lex.l                    |  28 +-
 src/idmef-criteria-string.yac.c                    | 271 ++++---
 src/idmef-criteria-string.yac.h                    |   8 +-
 src/idmef-criteria-string.yac.y                    |  88 ++-
 src/idmef-message-read-json.c                      | 100 +--
 .../GenerateIDMEFMessageReadJSONC.pm               | 100 +--
 src/include/common.h                               |   3 +
 9 files changed, 955 insertions(+), 647 deletions(-)

commit d743bf98f1191693f0d476bb8cefc68af69a2c1a
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Sep 12 10:04:39 2019 +0200

    [#rel3743] Use PCRE when available for criteria matching
    
    Change-Id: I0128a59b7dcce810547955b78dde114a081fc8ea

 README                      |  2 ++
 configure.ac                | 20 ++++++++++++++++++++
 src/idmef-criterion-value.c | 30 ++++++++++++++++++++++++++----
 3 files changed, 48 insertions(+), 4 deletions(-)

commit 49985096d0770e67c0ab7dfc9b11179d353f19f1
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Sep 12 09:49:45 2019 +0200

    [#3743] Substring match is now handled using fnmatch
    
    This make it much more comparable to the database substring matching, with
    the ability to use wildcard and interrogation mark in query.
    
    Change-Id: I80402543a17c2240fe694922f0e9c27d1eae14b9

 src/idmef-value-type.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8964b35d640537c0bafad1d88cc43fc5fa9129fa
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Oct 2 11:48:37 2018 +0800

    [#rel1888] Prefix Flex/Yacc public symbol
    
    Prevent potential compilation error due to conflicting symbols when linking other library using flex.
    
    Change-Id: Ie9fe07a34285f5e9fd01a4e0608466899e637cea

 src/Makefile.am                 |   2 +-
 src/idmef-criteria-string.lex.c | 503 +++++++++++++++++++++-------------------
 src/idmef-criteria-string.lex.l |  11 +-
 src/idmef-criteria-string.yac.c | 171 +++++++-------
 src/idmef-criteria-string.yac.h |  44 ++--
 src/idmef-criteria-string.yac.y |  16 +-
 6 files changed, 395 insertions(+), 352 deletions(-)

commit 547dfcf0d20fb156fbc0604a5bea8f3e57cac624
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Sep 13 09:23:21 2019 +0200

    Update NEWS, bump version
    
    Change-Id: I0e1d26f92abfb032f4f3f28325e6ba4ec99fed6b

 NEWS         | 1 +
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 3625f79a08d82f3896a52c0c436f0a8f9d4e834c
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Sep 4 15:54:59 2019 +0200

    Update NEWS, bump version
    
    Change-Id: I5da69882b107ac07ac6f6a0a84346e57a9076aaf

 NEWS         | 6 ++++++
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit d2446b50396518fa7f1a1add05c3e99dabdd83e2
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Aug 16 18:06:34 2019 +0200

    Update NEWS, bump version
    
    Change-Id: Ia19a1edf7f247c12c4bdbbcf0f952bcf73684888

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 417f8e1d058f7f4c48b87649e037593ad5d76f87
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Aug 1 12:13:58 2019 +0200

    [#3723] Update to SWIG 4
    
    Change-Id: I3d41563791f0879134040beeec7cb779eef5402a

 bindings/perl/Prelude.pm               |    2 +-
 bindings/python/_prelude.cxx           | 2713 ++++++++++++++------------------
 bindings/python/libpreludecpp-python.i |    2 +-
 bindings/python/prelude.py             |   99 +-
 4 files changed, 1259 insertions(+), 1557 deletions(-)

commit 98ed6a7a420f66d653699503d1e7ce68feb407a8
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Jun 26 14:45:03 2019 +0200

    [#3647] Pull update from SWIG repository: fix possible crash on invalid unicode string
    
    Change-Id: Ic2f327421d863fd4d9d20821021388846b27c8d3

 bindings/python/_prelude.cxx  | 64 ++++++++++++++++++-----------------------
 bindings/python/pystrings.swg | 66 ++++++++++++++++++-------------------------
 2 files changed, 55 insertions(+), 75 deletions(-)

commit 183b37c170e5bb3aac72ebcea6c2ffd5a2d696a4
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Jul 17 17:13:50 2019 +0200

    Update NEWS, bump version
    
    Change-Id: Ieeef9643c6f0cf5816997e0c5570ebf020b84e4a

 NEWS         | 12 ++++++++++++
 configure.ac |  8 ++++----
 2 files changed, 16 insertions(+), 4 deletions(-)

commit 1dab63ef553fb8b8a91d5972e620e2f53872eec7
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Jun 26 14:44:09 2019 +0200

    [#3647] Fix various JSON parser errors
    
    Change-Id: I242a3407201e0f23beb137ac3dafbb4e88a24cb0

 src/idmef-message-read-json.c                      | 235 ++++++++++++---------
 .../GenerateIDMEFMessageReadJSONC.pm               |  65 ++++--
 2 files changed, 177 insertions(+), 123 deletions(-)

commit a17a3152390695a1d8cfb839ad87c75ad5de7b02
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Jun 10 10:41:36 2019 +0800

    [#rel3614] Add optional IDMEFPath argument to IDMEFValue() constructor
    
    Change-Id: Ia407e59927c95424405ccb7db23e3fb999390909

 bindings/c++/idmef-value.cxx         |  27 ++++-
 bindings/c++/include/idmef-value.hxx |   5 +-
 bindings/lua/prelude.cxx             | 123 +++++++++++++++++++++--
 bindings/perl/Prelude.cxx            | 184 ++++++++++++++++++++++++++++++++---
 bindings/python/_prelude.cxx         | 132 ++++++++++++++++++++++---
 bindings/ruby/Prelude.cxx            | 154 ++++++++++++++++++++++++++---
 6 files changed, 568 insertions(+), 57 deletions(-)

commit 16e91033c196b3b348166f919969513a6b07863d
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Apr 5 15:54:41 2019 +0800

    [#rel3490] Fix incorrect string export of IDMEFTime microseconds
    
    This was also causing an assertion in upcoming unit tests when exporting object
    to JSON then reimporting them.
    
    Change-Id: I9d12532ae92fdf03f5abef61dd96de1b3da59f6d

 src/idmef-time.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba5ec641645dd145380dd521b930a0576b41c654
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Mar 15 14:11:27 2019 +0100

    Update NEWS, bump version
    
    Change-Id: I5d652514c7770e7c31e04c28f9006beafed2d149

 NEWS         | 12 ++++++++++++
 configure.ac | 10 +++++-----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit 9633d0be5b3f6821d1139d4eaffeb5503254cce8
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Dec 14 16:04:06 2018 +0800

    [#2060] Fix py3 pickle error
    
    Change-Id: I71dab49ccaa55a24b2a94bda576f904502e6dee3

 bindings/python/_prelude.cxx           | 6 +++---
 bindings/python/libpreludecpp-python.i | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 475b65bda4cbfac525e0de6a9fe05339f952da12
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jan 3 13:40:42 2019 +0100

    [#3381] Copyright year update
    
    Change-Id: I8b9e506f972451140d373578c71b6e711d9d3584

 LICENSE.README                                               | 2 +-
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
 bindings/c++/include/idmef-class.hxx                         | 2 +-
 bindings/c++/include/idmef-criteria.hxx                      | 2 +-
 bindings/c++/include/idmef-path.hxx                          | 2 +-
 bindings/c++/include/idmef-time.hxx                          | 2 +-
 bindings/c++/include/idmef-value.hxx                         | 2 +-
 bindings/c++/include/idmef.hxx                               | 2 +-
 bindings/c++/include/prelude-client-easy.hxx                 | 2 +-
 bindings/c++/include/prelude-client-profile.hxx              | 2 +-
 bindings/c++/include/prelude-client.hxx                      | 2 +-
 bindings/c++/include/prelude-connection-pool.hxx             | 2 +-
 bindings/c++/include/prelude-connection.hxx                  | 2 +-
 bindings/c++/include/prelude-error.hxx                       | 2 +-
 bindings/c++/include/prelude-log.hxx                         | 2 +-
 bindings/c++/include/prelude.hxx                             | 2 +-
 bindings/c++/prelude-client-easy.cxx                         | 2 +-
 bindings/c++/prelude-client-profile.cxx                      | 2 +-
 bindings/c++/prelude-client.cxx                              | 2 +-
 bindings/c++/prelude-connection-pool.cxx                     | 2 +-
 bindings/c++/prelude-connection.cxx                          | 2 +-
 bindings/c++/prelude-error.cxx                               | 2 +-
 bindings/c++/prelude-log.cxx                                 | 2 +-
 bindings/c++/prelude.cxx                                     | 2 +-
 bindings/libpreludecpp.i                                     | 2 +-
 bindings/lua/libpreludecpp-lua.i                             | 2 +-
 bindings/perl/Makefile.PL.in                                 | 2 +-
 bindings/perl/libpreludecpp-perl.i                           | 2 +-
 bindings/python/libpreludecpp-python.i                       | 2 +-
 bindings/python/setup.py.in                                  | 2 +-
 bindings/ruby/libpreludecpp-ruby.i                           | 2 +-
 prelude-admin/prelude-admin.c                                | 2 +-
 prelude-admin/server.c                                       | 2 +-
 prelude-admin/server.h                                       | 2 +-
 prelude-admin/tls-register.c                                 | 2 +-
 prelude-admin/tls-register.h                                 | 2 +-
 src/common.c                                                 | 2 +-
 src/config-engine.c                                          | 2 +-
 src/daemonize.c                                              | 2 +-
 src/idmef-additional-data.c                                  | 2 +-
 src/idmef-class.c                                            | 2 +-
 src/idmef-criteria-string.lex.c                              | 2 +-
 src/idmef-criteria-string.lex.l                              | 2 +-
 src/idmef-criteria-string.yac.y                              | 2 +-
 src/idmef-criteria.c                                         | 2 +-
 src/idmef-criterion-value.c                                  | 2 +-
 src/idmef-data.c                                             | 2 +-
 src/idmef-message-helpers.c                                  | 2 +-
 src/idmef-message-print-json.c                               | 2 +-
 src/idmef-message-print.c                                    | 2 +-
 src/idmef-message-read-json.c                                | 2 +-
 src/idmef-message-read.c                                     | 2 +-
 src/idmef-message-write.c                                    | 2 +-
 src/idmef-object.c                                           | 2 +-
 src/idmef-path.c                                             | 2 +-
 src/idmef-time.c                                             | 2 +-
 src/idmef-tree-wrap.c                                        | 2 +-
 src/idmef-value-type.c                                       | 2 +-
 src/idmef-value.c                                            | 2 +-
 src/idmef-wrappers-gen/Generate.pm                           | 2 +-
 src/idmef-wrappers-gen/GenerateDebug.pm                      | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm            | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONC.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONH.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadC.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadH.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadJSONC.pm      | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm              | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm           | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFValueClassSwigMapping.pm | 4 ++--
 src/idmef-wrappers-gen/IDMEFTree.pm                          | 2 +-
 src/idmef-wrappers-gen/generator.pl                          | 2 +-
 src/idmef-wrappers-gen/idmef-tree.h                          | 2 +-
 src/include/common.h                                         | 2 +-
 src/include/config-engine.h                                  | 2 +-
 src/include/daemonize.h                                      | 2 +-
 src/include/idmef-additional-data.h                          | 2 +-
 src/include/idmef-class.h                                    | 2 +-
 src/include/idmef-criteria.h                                 | 2 +-
 src/include/idmef-criterion-value.h                          | 2 +-
 src/include/idmef-data.h                                     | 2 +-
 src/include/idmef-message-helpers.h                          | 2 +-
 src/include/idmef-message-print-json.h                       | 2 +-
 src/include/idmef-message-print.h                            | 2 +-
 src/include/idmef-message-read.h                             | 2 +-
 src/include/idmef-message-write.h                            | 2 +-
 src/include/idmef-object-prv.h                               | 2 +-
 src/include/idmef-object.h                                   | 2 +-
 src/include/idmef-path.h                                     | 2 +-
 src/include/idmef-time.h                                     | 2 +-
 src/include/idmef-tree-wrap.h                                | 2 +-
 src/include/idmef-value-type.h                               | 2 +-
 src/include/idmef-value.h                                    | 2 +-
 src/include/idmef.h                                          | 2 +-
 src/include/libmissing.h                                     | 2 +-
 src/include/prelude-async.h                                  | 2 +-
 src/include/prelude-client-profile.h                         | 2 +-
 src/include/prelude-client.h                                 | 2 +-
 src/include/prelude-connection-pool.h                        | 2 +-
 src/include/prelude-connection.h                             | 2 +-
 src/include/prelude-extract.h                                | 2 +-
 src/include/prelude-failover.h                               | 2 +-
 src/include/prelude-hash.h                                   | 2 +-
 src/include/prelude-ident.h                                  | 2 +-
 src/include/prelude-inttypes.h.in                            | 2 +-
 src/include/prelude-io.h                                     | 2 +-
 src/include/prelude-linked-object.h                          | 2 +-
 src/include/prelude-list.h                                   | 2 +-
 src/include/prelude-log.h                                    | 2 +-
 src/include/prelude-macros.h                                 | 2 +-
 src/include/prelude-message-id.h                             | 2 +-
 src/include/prelude-msg.h                                    | 2 +-
 src/include/prelude-msgbuf.h                                 | 2 +-
 src/include/prelude-option-wide.h                            | 2 +-
 src/include/prelude-option.h                                 | 2 +-
 src/include/prelude-plugin.h                                 | 2 +-
 src/include/prelude-string.h                                 | 2 +-
 src/include/prelude-thread.h                                 | 2 +-
 src/include/prelude-timer.h                                  | 2 +-
 src/include/prelude.h.in                                     | 2 +-
 src/include/tls-auth.h                                       | 2 +-
 src/include/tls-util.h                                       | 2 +-
 src/include/variable.h                                       | 2 +-
 src/libprelude-error/prelude-error.h.in                      | 2 +-
 src/prelude-async.c                                          | 2 +-
 src/prelude-client-profile.c                                 | 2 +-
 src/prelude-client.c                                         | 2 +-
 src/prelude-connection-pool.c                                | 2 +-
 src/prelude-connection.c                                     | 2 +-
 src/prelude-failover.c                                       | 2 +-
 src/prelude-hash.c                                           | 2 +-
 src/prelude-ident.c                                          | 2 +-
 src/prelude-io.c                                             | 2 +-
 src/prelude-log.c                                            | 2 +-
 src/prelude-msg.c                                            | 2 +-
 src/prelude-msgbuf.c                                         | 2 +-
 src/prelude-option-wide.c                                    | 2 +-
 src/prelude-option.c                                         | 2 +-
 src/prelude-plugin.c                                         | 2 +-
 src/prelude-string.c                                         | 2 +-
 src/prelude-thread.c                                         | 2 +-
 src/prelude-timer.c                                          | 2 +-
 src/prelude.c                                                | 2 +-
 src/tls-auth.c                                               | 2 +-
 src/tls-util.c                                               | 2 +-
 src/variable.c                                               | 2 +-
 157 files changed, 170 insertions(+), 170 deletions(-)

commit fce21c5c40f82d7841971a829fff6fb2e2243ce4
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Oct 2 11:04:16 2018 +0800

    [#3296,#3297] Properly implement Criterion NOT operator, fix operator precedence
    
    alert.messageid==A || alert.messageid==B && alert.messageid==C
    OLD: ((alert.messageid = A || alert.messageid = B) && alert.messageid = C)
    NEW: alert.messageid = A || (alert.messageid = B && alert.messageid = C)
    
    alert.messageid==A && alert.messageid==B || alert.messageid==C && alert.messageid==D
    OLD: (((alert.messageid = A && alert.messageid = B) || alert.messageid = C) && alert.messageid = D)
    NEW: (alert.messageid = A && alert.messageid = B) || (alert.messageid = C && alert.messageid = D)
    
    alert.messageid==A && alert.messageid==B && alert.messageid==C || alert.messageid==D
    OLD: (((alert.messageid = A && alert.messageid = B) && alert.messageid = C) || alert.messageid = D)
    NEW: ((alert.messageid = A && alert.messageid = B) && alert.messageid = C) || alert.messageid = D
    
    !alert.messageid==A && alert.messageid==B || alert.messageid==C
    OLD: PARSER ERROR
    NEW: ((! alert.messageid = A) && alert.messageid = B) || alert.messageid = C
    
    !(alert.messageid==A) && alert.messageid==B || alert.messageid==C
    OLD: ((alert.messageid != A && alert.messageid = B) || alert.messageid = C)
    NEW: ((! alert.messageid = A) && alert.messageid = B) || alert.messageid = C
    
    Change-Id: I1e3b5fb5edfab100af7360c4968fcb640116b55f

 src/idmef-criteria-string.lex.c |   4 +-
 src/idmef-criteria-string.lex.l |   2 +-
 src/idmef-criteria-string.yac.c | 347 ++++++++++++++++++++--------------------
 src/idmef-criteria-string.yac.h |   4 +-
 src/idmef-criteria-string.yac.y |  60 ++++---
 src/idmef-criteria.c            |  55 +++++--
 tests/idmef-criteria.c          |  32 ++++
 7 files changed, 289 insertions(+), 215 deletions(-)

commit 4ee6774228964e398000708df13bf7938ef8fecb
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Sep 11 13:10:53 2018 +0800

    [#rel214] More environment variable to ease debugging
    
    When LIBPRELUDE_PLUGIN_UNLOAD environment variable is set to 0,
    plugins are not unloaded when the library is deinitialized.
    
    Change-Id: I9aae4b2b3a56e502e70f670fc7780b931a323592

 src/prelude.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 081c112ac084b372a5b65dbdb602d3fb8efee0a2
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Sep 6 15:20:33 2018 +0200

    Update NEWS, bump version
    
    Change-Id: I45088bbd1f776fa09a06dd385d8a4306e10731a5

 NEWS         | 10 ++++++++++
 configure.ac |  6 +++---
 2 files changed, 13 insertions(+), 3 deletions(-)

commit 2b6a31ec062034ca0269374e635c7afc3decbc7c
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jun 7 14:53:20 2018 +0200

    [#rel3103] Fix docstring typos
    
    Change-Id: Ie3bde4a74bcdd7cc4a57a89de3fb1fcc9980001c

 src/prelude-string.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 1a762afb9bbdffb7ffd8689c7db4a0ae1bb73745
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Tue Sep 4 14:37:54 2018 +0200

    [#3220] Update GnuLib code
    
    Based on commit 8b1d4a63e34f3893036d82f39c5680e845de5ddf (2018-09-03)
    
    Change-Id: I77015d9693b9b0f8cbc4482996aa74d3264cb4a5

 libmissing/Makefile.am                   |  185 ++---
 libmissing/config.charset                |  682 -------------------
 libmissing/dup2.c                        |    2 +-
 libmissing/errno.in.h                    |    4 +-
 libmissing/fflush.c                      |    9 +-
 libmissing/filename.h                    |    2 +-
 libmissing/fopen.c                       |    2 +-
 libmissing/fpurge.c                      |    7 +-
 libmissing/freading.c                    |    3 +-
 libmissing/freading.h                    |    2 +-
 libmissing/fseeko.c                      |   10 +-
 libmissing/fstat.c                       |    2 +-
 libmissing/getaddrinfo.c                 |    7 +-
 libmissing/getdelim.c                    |    2 +-
 libmissing/gethostname.c                 |    2 +-
 libmissing/getpass.c                     |    2 +-
 libmissing/getpass.h                     |   30 +-
 libmissing/gettimeofday.c                |    8 +-
 libmissing/glthread/cond.h               |    4 +-
 libmissing/glthread/lock.h               |   10 +-
 libmissing/glthread/thread.h             |   19 +-
 libmissing/glthread/tls.h                |    4 +-
 libmissing/intprops.h                    |   16 +-
 libmissing/localcharset.c                | 1083 ++++++++++++++++++++----------
 libmissing/localcharset.h                |   96 ++-
 libmissing/locale.in.h                   |   11 +-
 libmissing/lseek.c                       |    4 +-
 libmissing/m4/configmake.m4              |   55 --
 libmissing/m4/extern-inline.m4           |   16 +-
 libmissing/m4/fseeko.m4                  |    9 +-
 libmissing/m4/getcwd.m4                  |    4 +-
 libmissing/m4/getpagesize.m4             |   23 +-
 libmissing/m4/getpass.m4                 |   90 ++-
 libmissing/m4/gnulib-cache.m4            |   62 +-
 libmissing/m4/gnulib-common.m4           |   29 +-
 libmissing/m4/gnulib-comp.m4             |   17 +-
 libmissing/m4/hard-locale.m4             |   11 -
 libmissing/m4/host-cpu-c-abi.m4          |   89 ++-
 libmissing/m4/inttypes.m4                |    3 +-
 libmissing/m4/lib-link.m4                |    2 +-
 libmissing/m4/limits-h.m4                |    8 +
 libmissing/m4/localcharset.m4            |    8 +-
 libmissing/m4/locale-fr.m4               |    6 +-
 libmissing/m4/locale-ja.m4               |    4 +-
 libmissing/m4/locale-tr.m4               |    4 +-
 libmissing/m4/locale-zh.m4               |    4 +-
 libmissing/m4/localename.m4              |    3 +-
 libmissing/m4/lstat.m4                   |    5 +-
 libmissing/m4/malloc.m4                  |    4 +-
 libmissing/m4/mbrtowc.m4                 |    3 +-
 libmissing/m4/nanosleep.m4               |   45 +-
 libmissing/m4/pathmax.m4                 |    4 +-
 libmissing/m4/pthread_rwlock_rdlock.m4   |    8 +-
 libmissing/m4/pthread_sigmask.m4         |   70 +-
 libmissing/m4/select.m4                  |   12 +-
 libmissing/m4/stat.m4                    |   12 +-
 libmissing/m4/stdint.m4                  |    5 +-
 libmissing/m4/stdio_h.m4                 |    4 +-
 libmissing/m4/symlink.m4                 |   12 +-
 libmissing/m4/threadlib.m4               |   82 ++-
 libmissing/m4/unistd_h.m4                |   11 +-
 libmissing/m4/warn-on-use.m4             |   40 +-
 libmissing/m4/wchar_h.m4                 |   10 +-
 libmissing/malloca.h                     |    8 +-
 libmissing/mbrtowc.c                     |   94 ++-
 libmissing/mbsinit.c                     |    2 +-
 libmissing/mktime-internal.h             |   16 +
 libmissing/mktime.c                      |  126 ++--
 libmissing/msvc-nothrow.h                |    2 +-
 libmissing/nl_langinfo.c                 |   12 +-
 libmissing/pathmax.h                     |    2 +-
 libmissing/poll.c                        |    6 +-
 libmissing/printf-parse.c                |    2 +-
 libmissing/ref-add.sin                   |   29 -
 libmissing/ref-del.sin                   |   24 -
 libmissing/regcomp.c                     |   31 +-
 libmissing/regex.h                       |   25 +-
 libmissing/regex_internal.c              |   16 +-
 libmissing/regex_internal.h              |   52 +-
 libmissing/regexec.c                     |   43 +-
 libmissing/relocatable.c                 |   13 +-
 libmissing/select.c                      |    6 +-
 libmissing/sigprocmask.c                 |    2 +-
 libmissing/sleep.c                       |    2 +-
 libmissing/stat-time.h                   |    2 +-
 libmissing/stat-w32.c                    |    6 +-
 libmissing/stat.c                        |    2 +-
 libmissing/stdio-impl.h                  |   68 +-
 libmissing/stdio.in.h                    |    4 +-
 libmissing/stdlib.in.h                   |    4 +-
 libmissing/strerror_r.c                  |    6 +-
 libmissing/sys_socket.in.h               |    9 +
 libmissing/sys_stat.in.h                 |    6 +-
 libmissing/sys_types.in.h                |   15 +-
 libmissing/tests/Makefile.am             |   18 +-
 libmissing/tests/binary-io.h             |    6 +-
 libmissing/tests/dosname.h               |    5 +-
 libmissing/tests/fcntl.c                 |    4 +-
 libmissing/tests/fcntl.in.h              |    2 +-
 libmissing/tests/getdtablesize.c         |    2 +-
 libmissing/tests/getpagesize.c           |    2 +-
 libmissing/tests/inttypes.in.h           |    6 +-
 libmissing/tests/localename.c            |   53 +-
 libmissing/tests/localename.h            |    2 +-
 libmissing/tests/nanosleep.c             |    2 +-
 libmissing/tests/nap.h                   |    2 +-
 libmissing/tests/open.c                  |    2 +-
 libmissing/tests/pipe.c                  |    2 +-
 libmissing/tests/putenv.c                |    4 +-
 libmissing/tests/same-inode.h            |    2 +-
 libmissing/tests/setlocale.c             |    8 +-
 libmissing/tests/sig-handler.h           |    9 +-
 libmissing/tests/sigaction.c             |    2 +-
 libmissing/tests/test-cloexec.c          |    6 +-
 libmissing/tests/test-cond.c             |    2 +-
 libmissing/tests/test-dup2.c             |    6 +-
 libmissing/tests/test-fcntl-h.c          |    4 +-
 libmissing/tests/test-fcntl.c            |    6 +-
 libmissing/tests/test-getaddrinfo.c      |    2 +-
 libmissing/tests/test-localcharset.c     |   39 ++
 libmissing/tests/test-localename.c       |   15 +-
 libmissing/tests/test-mbrtowc-w32.c      |    2 +-
 libmissing/tests/test-mbrtowc.c          |   10 +-
 libmissing/tests/test-once.c             |   43 ++
 libmissing/tests/test-pipe.c             |    8 +-
 libmissing/tests/test-poll.c             |    6 +-
 libmissing/tests/test-pthread_sigmask1.c |    2 +-
 libmissing/tests/test-select.h           |    7 +-
 libmissing/tests/test-sigprocmask.c      |    2 +-
 libmissing/tests/test-stat-time.c        |    2 +-
 libmissing/tests/test-wcrtomb-w32.c      |    2 +-
 libmissing/tests/warn-on-use.h           |   64 +-
 libmissing/tests/zerosize-ptr.h          |   13 +
 libmissing/time.in.h                     |    2 +-
 libmissing/timegm.c                      |   28 +-
 libmissing/uname.c                       |    2 +-
 libmissing/unistd.in.h                   |   44 +-
 libmissing/vasnprintf.c                  |   14 +-
 libmissing/verify.h                      |    3 +-
 libmissing/warn-on-use.h                 |   64 +-
 libmissing/wctype.in.h                   |    2 +-
 libmissing/write.c                       |    2 +-
 142 files changed, 2244 insertions(+), 1908 deletions(-)

commit c90f293eb901d92a1b1797502d528e28c99d6837
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Aug 17 10:04:51 2018 +0200

    Update NEWS, bump version
    
    Change-Id: I90d1555d50057f05a13ebded67f8713ee4f809ea

 NEWS         | 14 ++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 1449c73985e22065bda8003bb9755e957d45b56e
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Aug 13 10:41:13 2018 +0200

    [#rel3169] Fix failure when deleting messages
    
    Change-Id: I89766282b9836c64d631871cfffa40bc52dd93b7

 src/idmef-criteria.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 10eddc73c7a73a80f09c7eafb9a30eedd082dae8
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Aug 7 17:32:41 2018 +0200

    [#3188] Fix string conversion error with boolean NOT criteria
    
    Change-Id: Ic5ce676580897ed3f371621d2b4d9393295c57e4

 src/idmef-criteria.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 3cebd99db2fd19a50e4e12a870359b939b5639e6
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Jul 23 12:14:59 2018 +0200

    [#3103] Change the structure of IDMEF criteria
    
    Criteria now provide a left child, a right child and an operator.
    
    Change-Id: I0900b1c83317d6f9d0edec39b9bba19631e52bbc

 bindings/c++/include/idmef-criteria.hxx |  46 ++--
 bindings/lua/prelude.cxx                |   6 +
 bindings/perl/Prelude.cxx               |  15 ++
 bindings/perl/Prelude.pm                |   3 +
 bindings/python/_prelude.cxx            |  32 +--
 bindings/ruby/Prelude.cxx               |   3 +
 src/idmef-criteria-string.yac.c         | 189 +++++++--------
 src/idmef-criteria-string.yac.h         |   4 +-
 src/idmef-criteria-string.yac.y         |  17 +-
 src/idmef-criteria.c                    | 404 ++++++++++++--------------------
 src/idmef-value-type.c                  |   4 +-
 src/include/idmef-criteria.h            |  46 ++--
 src/include/idmef-criterion-value.h     |  10 +-
 tests/idmef-criteria.c                  |   3 +
 14 files changed, 347 insertions(+), 435 deletions(-)

commit 9f14da53f723ae9b0f3bb7b7ea929ad35567af8d
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Jul 23 12:09:53 2018 +0200

    [#rel3103] Update Bison/Flex generated code
    
    Change-Id: I8200b2496852ab402d30d69a95b24c8884996fce

 src/idmef-criteria-string.lex.c |  252 +++++-----
 src/idmef-criteria-string.yac.c | 1014 +++++++++++++++++----------------------
 src/idmef-criteria-string.yac.h |   98 ++--
 3 files changed, 610 insertions(+), 754 deletions(-)

commit b65534b045c0a5c6e2a40c118d83144c7f6e1309
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Jun 4 12:33:53 2018 +0200

    [#3098] Fix IDMEF_MSG_REFERENCE_NAME value
    
    This value seems to have been changed by mistake in
    commit 5850046c3de9b9d3016034314747145dc1693f91.
    
    Additionally, fix some names in the IDMEF wrapper generation script.
    
    Change-Id: I842d803471da97ec6c2ce763600fc207b76cf6cc

 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONH.pm | 6 +++---
 src/idmef-wrappers-gen/generator.pl                      | 4 ++--
 src/include/idmef-message-id.h                           | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 490f1c68c49ba212060c315d83238fc4b9f0e43e
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed May 16 15:12:03 2018 +0700

    [#rel1411] Make IDMEFPath and IDMEFCriteria pickle compatible
    
    Change-Id: Ib5be893f89639ae0bd46ba141c362e558a355b16

 bindings/python/_prelude.cxx           | 104 ++++++++++++++++++++++++++++++++-
 bindings/python/libpreludecpp-python.i |  46 ++++++++++++++-
 2 files changed, 148 insertions(+), 2 deletions(-)

commit e86d18405ac78bed7c7d3a2e84383fab2699b2ea
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri May 4 10:08:37 2018 +0200

    Update NEWS, bump version
    
    Change-Id: I67988853cf4404deb0843eb1a96b7b53cba347ad

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 4271da42721aba20841635a0a09f4cdee76fb193
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Apr 12 16:20:41 2018 +0200

    Update NEWS, bump version
    
    Change-Id: Idd73ec65b93eefdfb85c3cd64dcbae08d6a22aa7

 NEWS         | 16 ++++++++++++++++
 configure.ac |  6 +++---
 2 files changed, 19 insertions(+), 3 deletions(-)

commit 12eb3dc6ea15209c7c0cc48fe55107d87d8cd203
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Feb 9 09:55:34 2018 +0100

    Update GnuLib code
    
    Based on commit 646a44e1b190c4a7f6a9f32c63230c619e38d251 (2018-02-04)
    
    Change-Id: Ic22588d70f599b6cee57e767598fb6a8147abea5

 config.rpath                             |   2 +-
 libmissing/Makefile.am                   |  54 ++--
 libmissing/accept.c                      |   4 +-
 libmissing/alloca.in.h                   |   4 +-
 libmissing/arg-nonnull.h                 |   4 +-
 libmissing/arpa_inet.in.h                |   4 +-
 libmissing/asnprintf.c                   |   4 +-
 libmissing/assure.h                      |   4 +-
 libmissing/bind.c                        |   4 +-
 libmissing/btowc.c                       |   4 +-
 libmissing/c++defs.h                     |   8 +-
 libmissing/c-ctype.h                     |   4 +-
 libmissing/close.c                       |   4 +-
 libmissing/config.charset                |   4 +-
 libmissing/connect.c                     |   4 +-
 libmissing/dup2.c                        |   6 +-
 libmissing/errno.in.h                    |   4 +-
 libmissing/fclose.c                      |   4 +-
 libmissing/fd-hook.c                     |   4 +-
 libmissing/fd-hook.h                     |   4 +-
 libmissing/fflush.c                      |   4 +-
 libmissing/filename.h                    |   4 +-
 libmissing/float+.h                      |   4 +-
 libmissing/float.c                       |   4 +-
 libmissing/float.in.h                    |   8 +-
 libmissing/fopen.c                       |   4 +-
 libmissing/fpurge.c                      |   4 +-
 libmissing/freading.c                    |   6 +-
 libmissing/freading.h                    |   4 +-
 libmissing/fseek.c                       |   4 +-
 libmissing/fseeko.c                      |   4 +-
 libmissing/fstat.c                       |  10 +-
 libmissing/ftell.c                       |   4 +-
 libmissing/ftello.c                      |   4 +-
 libmissing/gai_strerror.c                |   4 +-
 libmissing/getaddrinfo.c                 |   4 +-
 libmissing/getdelim.c                    |   6 +-
 libmissing/gethostname.c                 |   4 +-
 libmissing/getline.c                     |   4 +-
 libmissing/getpass.c                     |   4 +-
 libmissing/getpass.h                     |   4 +-
 libmissing/getsockname.c                 |   4 +-
 libmissing/gettext.h                     |   4 +-
 libmissing/gettimeofday.c                |   4 +-
 libmissing/glthread/cond.c               |   4 +-
 libmissing/glthread/cond.h               |   4 +-
 libmissing/glthread/lock.c               |   4 +-
 libmissing/glthread/lock.h               |   4 +-
 libmissing/glthread/thread.c             |   4 +-
 libmissing/glthread/thread.h             |  12 +-
 libmissing/glthread/threadlib.c          |   4 +-
 libmissing/glthread/tls.c                |   4 +-
 libmissing/glthread/tls.h                |   4 +-
 libmissing/hard-locale.c                 |   4 +-
 libmissing/hard-locale.h                 |   4 +-
 libmissing/inet_ntop.c                   |   4 +-
 libmissing/inet_pton.c                   |   4 +-
 libmissing/intprops.h                    |  10 +-
 libmissing/ioctl.c                       |   4 +-
 libmissing/itold.c                       |   4 +-
 libmissing/langinfo.in.h                 |  32 ++-
 libmissing/limits.in.h                   |   4 +-
 libmissing/listen.c                      |   4 +-
 libmissing/localcharset.c                |   6 +-
 libmissing/localcharset.h                |   4 +-
 libmissing/locale.in.h                   |   4 +-
 libmissing/localeconv.c                  |   4 +-
 libmissing/localtime-buffer.c            |   4 +-
 libmissing/localtime-buffer.h            |   4 +-
 libmissing/lseek.c                       |   4 +-
 libmissing/m4/00gnulib.m4                |   2 +-
 libmissing/m4/absolute-header.m4         |   2 +-
 libmissing/m4/alloca.m4                  |   6 +-
 libmissing/m4/arpa_inet_h.m4             |   2 +-
 libmissing/m4/asm-underscore.m4          |  72 ++++++
 libmissing/m4/btowc.m4                   |  18 +-
 libmissing/m4/builtin-expect.m4          |   2 +-
 libmissing/m4/close.m4                   |   2 +-
 libmissing/m4/cond.m4                    |   2 +-
 libmissing/m4/configmake.m4              |   2 +-
 libmissing/m4/ctype.m4                   |   2 +-
 libmissing/m4/dup2.m4                    |   2 +-
 libmissing/m4/eealloc.m4                 |   2 +-
 libmissing/m4/environ.m4                 |   2 +-
 libmissing/m4/errno_h.m4                 |   2 +-
 libmissing/m4/exponentd.m4               |   2 +-
 libmissing/m4/extensions.m4              |  20 +-
 libmissing/m4/extern-inline.m4           |  10 +-
 libmissing/m4/fclose.m4                  |  11 +-
 libmissing/m4/fcntl-o.m4                 |  13 +-
 libmissing/m4/fcntl.m4                   | 126 ++++++++++
 libmissing/m4/fcntl_h.m4                 |   2 +-
 libmissing/m4/fdopen.m4                  |   2 +-
 libmissing/m4/fflush.m4                  |  31 ++-
 libmissing/m4/flexmember.m4              |   2 +-
 libmissing/m4/float_h.m4                 |  32 ++-
 libmissing/m4/fopen.m4                   |   2 +-
 libmissing/m4/fpieee.m4                  |   4 +-
 libmissing/m4/fpurge.m4                  |   2 +-
 libmissing/m4/freading.m4                |   2 +-
 libmissing/m4/fseek.m4                   |   2 +-
 libmissing/m4/fseeko.m4                  |  11 +-
 libmissing/m4/fstat.m4                   |   9 +-
 libmissing/m4/ftell.m4                   |   2 +-
 libmissing/m4/ftello.m4                  |   6 +-
 libmissing/m4/ftruncate.m4               |   2 +-
 libmissing/m4/getaddrinfo.m4             |   2 +-
 libmissing/m4/getcwd.m4                  |  16 +-
 libmissing/m4/getdelim.m4                |   2 +-
 libmissing/m4/getdtablesize.m4           |  56 +++--
 libmissing/m4/gethostname.m4             |   4 +-
 libmissing/m4/getline.m4                 |   2 +-
 libmissing/m4/getpagesize.m4             |   2 +-
 libmissing/m4/getpass.m4                 |   2 +-
 libmissing/m4/gettimeofday.m4            |  14 +-
 libmissing/m4/glibc21.m4                 |   2 +-
 libmissing/m4/gnulib-cache.m4            |   4 +-
 libmissing/m4/gnulib-common.m4           |   8 +-
 libmissing/m4/gnulib-comp.m4             |  73 +++++-
 libmissing/m4/gnulib-tool.m4             |   2 +-
 libmissing/m4/hard-locale.m4             |   2 +-
 libmissing/m4/host-cpu-c-abi.m4          | 369 +++++++++++++++++++++++++++
 libmissing/m4/hostent.m4                 |   2 +-
 libmissing/m4/include_next.m4            |   2 +-
 libmissing/m4/inet_ntop.m4               |   7 +-
 libmissing/m4/inet_pton.m4               |   7 +-
 libmissing/m4/intmax_t.m4                |   2 +-
 libmissing/m4/inttypes-pri.m4            |   2 +-
 libmissing/m4/inttypes.m4                |   2 +-
 libmissing/m4/inttypes_h.m4              |   2 +-
 libmissing/m4/ioctl.m4                   |   9 +-
 libmissing/m4/isblank.m4                 |   2 +-
 libmissing/m4/langinfo_h.m4              |  19 +-
 libmissing/m4/largefile.m4               |   2 +-
 libmissing/m4/lib-ld.m4                  |  35 ++-
 libmissing/m4/lib-link.m4                |   2 +-
 libmissing/m4/lib-prefix.m4              |  84 ++++---
 libmissing/m4/limits-h.m4                |   2 +-
 libmissing/m4/localcharset.m4            |   2 +-
 libmissing/m4/locale-fr.m4               |  29 ++-
 libmissing/m4/locale-ja.m4               |  39 +--
 libmissing/m4/locale-tr.m4               |   2 +-
 libmissing/m4/locale-zh.m4               |  39 +--
 libmissing/m4/locale_h.m4                |   6 +-
 libmissing/m4/localeconv.m4              |   2 +-
 libmissing/m4/localename.m4              |   2 +-
 libmissing/m4/localtime-buffer.m4        |   2 +-
 libmissing/m4/lock.m4                    |   2 +-
 libmissing/m4/longlong.m4                |   2 +-
 libmissing/m4/lseek.m4                   |   2 +-
 libmissing/m4/lstat.m4                   |  14 +-
 libmissing/m4/malloc.m4                  |   8 +-
 libmissing/m4/malloca.m4                 |   2 +-
 libmissing/m4/math_h.m4                  |   5 +-
 libmissing/m4/mbrtowc.m4                 |  27 +-
 libmissing/m4/mbsinit.m4                 |   2 +-
 libmissing/m4/mbstate_t.m4               |   2 +-
 libmissing/m4/mbtowc.m4                  |   2 +-
 libmissing/m4/memchr.m4                  |  33 ++-
 libmissing/m4/memmem.m4                  |   4 +-
 libmissing/m4/minmax.m4                  |   2 +-
 libmissing/m4/mktime.m4                  |  16 +-
 libmissing/m4/mmap-anon.m4               |   2 +-
 libmissing/m4/mode_t.m4                  |   2 +-
 libmissing/m4/msvc-inval.m4              |   2 +-
 libmissing/m4/msvc-nothrow.m4            |   2 +-
 libmissing/m4/multiarch.m4               |   2 +-
 libmissing/m4/nanosleep.m4               | 150 +++++++++++
 libmissing/m4/netdb_h.m4                 |   2 +-
 libmissing/m4/netinet_in_h.m4            |   2 +-
 libmissing/m4/nl_langinfo.m4             |  11 +-
 libmissing/m4/off_t.m4                   |   2 +-
 libmissing/m4/onceonly.m4                |   4 +-
 libmissing/m4/open-cloexec.m4            |  21 ++
 libmissing/m4/open.m4                    |   8 +-
 libmissing/m4/pathmax.m4                 |   2 +-
 libmissing/m4/perror.m4                  |  20 +-
 libmissing/m4/pipe.m4                    |   2 +-
 libmissing/m4/poll.m4                    |   2 +-
 libmissing/m4/poll_h.m4                  |   2 +-
 libmissing/m4/printf.m4                  | 219 ++++++++++------
 libmissing/m4/pthread_rwlock_rdlock.m4   |   2 +-
 libmissing/m4/pthread_sigmask.m4         | 279 +++++++++++++++++++++
 libmissing/m4/putenv.m4                  |  14 +-
 libmissing/m4/raise.m4                   |   2 +-
 libmissing/m4/regex.m4                   |  31 ++-
 libmissing/m4/relocatable-lib.m4         |   2 +-
 libmissing/m4/select.m4                  |  12 +-
 libmissing/m4/servent.m4                 |   2 +-
 libmissing/m4/setenv.m4                  |  12 +-
 libmissing/m4/setlocale.m4               |   2 +-
 libmissing/m4/sigaction.m4               |  40 +++
 libmissing/m4/signal_h.m4                |   2 +-
 libmissing/m4/signalblocking.m4          |   2 +-
 libmissing/m4/size_max.m4                |   2 +-
 libmissing/m4/sleep.m4                   |  14 +-
 libmissing/m4/snprintf.m4                |   2 +-
 libmissing/m4/socketlib.m4               |   8 +-
 libmissing/m4/sockets.m4                 |   2 +-
 libmissing/m4/socklen.m4                 |   2 +-
 libmissing/m4/sockpfaf.m4                |   2 +-
 libmissing/m4/ssize_t.m4                 |   2 +-
 libmissing/m4/stat-time.m4               |  83 ++++++
 libmissing/m4/stat.m4                    |  17 +-
 libmissing/m4/stdalign.m4                |   4 +-
 libmissing/m4/stdbool.m4                 |   6 +-
 libmissing/m4/stddef_h.m4                |   2 +-
 libmissing/m4/stdint.m4                  | 110 ++++----
 libmissing/m4/stdint_h.m4                |   2 +-
 libmissing/m4/stdio_h.m4                 |   2 +-
 libmissing/m4/stdlib_h.m4                |  17 +-
 libmissing/m4/strcase.m4                 |   2 +-
 libmissing/m4/strcasestr.m4              |   8 +-
 libmissing/m4/strdup.m4                  |   2 +-
 libmissing/m4/strerror.m4                |  22 +-
 libmissing/m4/strerror_r.m4              |   2 +-
 libmissing/m4/string_h.m4                |  16 +-
 libmissing/m4/strings_h.m4               |   2 +-
 libmissing/m4/strndup.m4                 |   2 +-
 libmissing/m4/strnlen.m4                 |   2 +-
 libmissing/m4/strptime.m4                |   2 +-
 libmissing/m4/strsep.m4                  |   2 +-
 libmissing/m4/symlink.m4                 |  12 +-
 libmissing/m4/sys_ioctl_h.m4             |   2 +-
 libmissing/m4/sys_select_h.m4            |   2 +-
 libmissing/m4/sys_socket_h.m4            |   2 +-
 libmissing/m4/sys_stat_h.m4              |   2 +-
 libmissing/m4/sys_time_h.m4              |   2 +-
 libmissing/m4/sys_types_h.m4             |   8 +-
 libmissing/m4/sys_uio_h.m4               |   2 +-
 libmissing/m4/sys_utsname_h.m4           |   2 +-
 libmissing/m4/thread.m4                  |   2 +-
 libmissing/m4/threadlib.m4               |  12 +-
 libmissing/m4/time_h.m4                  |   2 +-
 libmissing/m4/time_r.m4                  |   2 +-
 libmissing/m4/timegm.m4                  |   2 +-
 libmissing/m4/tls.m4                     |   2 +-
 libmissing/m4/tm_gmtoff.m4               |   2 +-
 libmissing/m4/uname.m4                   |   2 +-
 libmissing/m4/ungetc.m4                  |  15 +-
 libmissing/m4/unistd_h.m4                |   5 +-
 libmissing/m4/usleep.m4                  |  14 +-
 libmissing/m4/vasnprintf.m4              |   2 +-
 libmissing/m4/vsnprintf.m4               |   2 +-
 libmissing/m4/warn-on-use.m4             |   2 +-
 libmissing/m4/wchar_h.m4                 |   8 +-
 libmissing/m4/wchar_t.m4                 |   2 +-
 libmissing/m4/wcrtomb.m4                 |   6 +-
 libmissing/m4/wctob.m4                   |   9 +-
 libmissing/m4/wctomb.m4                  |   2 +-
 libmissing/m4/wctype_h.m4                |   7 +-
 libmissing/m4/wint_t.m4                  |   2 +-
 libmissing/m4/write.m4                   |   2 +-
 libmissing/m4/xsize.m4                   |   2 +-
 libmissing/m4/yield.m4                   |   2 +-
 libmissing/malloc.c                      |   4 +-
 libmissing/malloca.c                     | 140 ++++-------
 libmissing/malloca.h                     |  15 +-
 libmissing/malloca.valgrind              |   7 -
 libmissing/mbrtowc.c                     |   6 +-
 libmissing/mbsinit.c                     |   4 +-
 libmissing/mbtowc-impl.h                 |   4 +-
 libmissing/mbtowc.c                      |   4 +-
 libmissing/memchr.c                      |   4 +-
 libmissing/memmem.c                      |   4 +-
 libmissing/minmax.h                      |   4 +-
 libmissing/mktime-internal.h             |   4 +-
 libmissing/mktime.c                      |   4 +-
 libmissing/msvc-inval.c                  |   4 +-
 libmissing/msvc-inval.h                  |   8 +-
 libmissing/msvc-nothrow.c                |   4 +-
 libmissing/msvc-nothrow.h                |   4 +-
 libmissing/netdb.in.h                    |   4 +-
 libmissing/netinet_in.in.h               |   4 +-
 libmissing/nl_langinfo.c                 |  79 ++++--
 libmissing/pathmax.h                     |   6 +-
 libmissing/perror.c                      |   4 +-
 libmissing/poll.c                        |   4 +-
 libmissing/poll.in.h                     |   4 +-
 libmissing/printf-args.c                 |   4 +-
 libmissing/printf-args.h                 |   4 +-
 libmissing/printf-parse.c                |   4 +-
 libmissing/printf-parse.h                |   4 +-
 libmissing/pthread_sigmask.c             |  92 +++++++
 libmissing/raise.c                       |   4 +-
 libmissing/ref-add.sin                   |   4 +-
 libmissing/ref-del.sin                   |   4 +-
 libmissing/regcomp.c                     |  43 ++--
 libmissing/regex.c                       |   4 +-
 libmissing/regex.h                       |   4 +-
 libmissing/regex_internal.c              |  63 ++---
 libmissing/regex_internal.h              |  34 +--
 libmissing/regexec.c                     | 234 +++++++----------
 libmissing/relocatable.c                 |   6 +-
 libmissing/relocatable.h                 |   4 +-
 libmissing/relocatable.valgrind          |   8 +
 libmissing/select.c                      |   4 +-
 libmissing/setsockopt.c                  |   4 +-
 libmissing/signal.in.h                   |   8 +-
 libmissing/sigprocmask.c                 |   4 +-
 libmissing/size_max.h                    |   4 +-
 libmissing/sleep.c                       |   4 +-
 libmissing/snprintf.c                    |   4 +-
 libmissing/socket.c                      |   4 +-
 libmissing/sockets.c                     |   4 +-
 libmissing/sockets.h                     |   4 +-
 libmissing/stat-time.c                   |   3 +
 libmissing/stat-time.h                   | 252 +++++++++++++++++++
 libmissing/stat-w32.c                    |   4 +-
 libmissing/stat-w32.h                    |   4 +-
 libmissing/stat.c                        |  30 ++-
 libmissing/stdalign.in.h                 |   6 +-
 libmissing/stdbool.in.h                  |  10 +-
 libmissing/stddef.in.h                   |  22 +-
 libmissing/stdint.in.h                   |   4 +-
 libmissing/stdio-impl.h                  |  14 +-
 libmissing/stdio.in.h                    |  12 +-
 libmissing/stdlib.in.h                   |  28 ++-
 libmissing/str-two-way.h                 |   8 +-
 libmissing/strcasecmp.c                  |   4 +-
 libmissing/strcasestr.c                  |   4 +-
 libmissing/strdup.c                      |   4 +-
 libmissing/streq.h                       |   4 +-
 libmissing/strerror-override.c           |   4 +-
 libmissing/strerror-override.h           |   4 +-
 libmissing/strerror.c                    |   4 +-
 libmissing/strerror_r.c                  |  22 +-
 libmissing/string.in.h                   |  21 +-
 libmissing/strings.in.h                  |   4 +-
 libmissing/strncasecmp.c                 |   4 +-
 libmissing/strndup.c                     |   4 +-
 libmissing/strnlen.c                     |   4 +-
 libmissing/strptime.c                    |   4 +-
 libmissing/strsep.c                      |   4 +-
 libmissing/sys_ioctl.in.h                |   5 +-
 libmissing/sys_select.in.h               |   4 +-
 libmissing/sys_socket.in.h               |  17 +-
 libmissing/sys_stat.in.h                 |   4 +-
 libmissing/sys_time.in.h                 |   4 +-
 libmissing/sys_types.in.h                |   4 +-
 libmissing/sys_uio.in.h                  |   4 +-
 libmissing/sys_utsname.in.h              |   4 +-
 libmissing/tests/Makefile.am             |  94 ++++++-
 libmissing/tests/arg-nonnull.h           |   4 +-
 libmissing/tests/binary-io.c             |   4 +-
 libmissing/tests/binary-io.h             |   4 +-
 libmissing/tests/c++defs.h               |   8 +-
 libmissing/tests/c-strcase.h             |   4 +-
 libmissing/tests/c-strcasecmp.c          |   4 +-
 libmissing/tests/c-strncasecmp.c         |   4 +-
 libmissing/tests/cloexec.c               |  83 ++++++
 libmissing/tests/cloexec.h               |  38 +++
 libmissing/tests/ctype.in.h              |   4 +-
 libmissing/tests/dosname.h               |   4 +-
 libmissing/tests/fcntl.c                 | 418 +++++++++++++++++++++++++++++++
 libmissing/tests/fcntl.in.h              |   9 +-
 libmissing/tests/fdopen.c                |   4 +-
 libmissing/tests/flexmember.h            |  23 +-
 libmissing/tests/fpucw.h                 |   8 +-
 libmissing/tests/ftruncate.c             |   4 +-
 libmissing/tests/getcwd-lgpl.c           |   4 +-
 libmissing/tests/getdtablesize.c         |   6 +-
 libmissing/tests/getpagesize.c           |   4 +-
 libmissing/tests/glthread/yield.h        |   4 +-
 libmissing/tests/ignore-value.h          |   4 +-
 libmissing/tests/init.sh                 |  27 +-
 libmissing/tests/inttypes.in.h           |   4 +-
 libmissing/tests/isblank.c               |   4 +-
 libmissing/tests/localename.c            |  42 +++-
 libmissing/tests/localename.h            |   4 +-
 libmissing/tests/lstat.c                 |  43 ++--
 libmissing/tests/macros.h                |   4 +-
 libmissing/tests/nanosleep.c             | 276 ++++++++++++++++++++
 libmissing/tests/nap.h                   | 155 ++++++++++++
 libmissing/tests/null-ptr.h              |   4 +-
 libmissing/tests/open.c                  |  33 ++-
 libmissing/tests/pipe.c                  |   4 +-
 libmissing/tests/putenv.c                |   4 +-
 libmissing/tests/same-inode.h            |   4 +-
 libmissing/tests/setenv.c                |   4 +-
 libmissing/tests/setlocale.c             |   4 +-
 libmissing/tests/sig-handler.c           |   3 +
 libmissing/tests/sig-handler.h           |  54 ++++
 libmissing/tests/sigaction.c             | 204 +++++++++++++++
 libmissing/tests/signature.h             |   4 +-
 libmissing/tests/symlink.c               |   4 +-
 libmissing/tests/test-accept.c           |   4 +-
 libmissing/tests/test-alloca-opt.c       |   4 +-
 libmissing/tests/test-arpa_inet.c        |   4 +-
 libmissing/tests/test-binary-io.c        |   4 +-
 libmissing/tests/test-bind.c             |   4 +-
 libmissing/tests/test-btowc.c            |   4 +-
 libmissing/tests/test-c-ctype.c          |   4 +-
 libmissing/tests/test-c-strcasecmp.c     |   4 +-
 libmissing/tests/test-c-strncasecmp.c    |   4 +-
 libmissing/tests/test-cloexec.c          | 148 +++++++++++
 libmissing/tests/test-close.c            |   4 +-
 libmissing/tests/test-cond.c             |   4 +-
 libmissing/tests/test-connect.c          |   4 +-
 libmissing/tests/test-ctype.c            |   4 +-
 libmissing/tests/test-dup2.c             |   4 +-
 libmissing/tests/test-environ.c          |   4 +-
 libmissing/tests/test-errno.c            |   4 +-
 libmissing/tests/test-fclose.c           |   4 +-
 libmissing/tests/test-fcntl-h.c          |   4 +-
 libmissing/tests/test-fcntl.c            | 414 ++++++++++++++++++++++++++++++
 libmissing/tests/test-fdopen.c           |   4 +-
 libmissing/tests/test-fflush.c           |   4 +-
 libmissing/tests/test-fflush2.c          |   8 +-
 libmissing/tests/test-fgetc.c            |   4 +-
 libmissing/tests/test-float.c            |   4 +-
 libmissing/tests/test-fopen.c            |   4 +-
 libmissing/tests/test-fopen.h            |   4 +-
 libmissing/tests/test-fpurge.c           |   4 +-
 libmissing/tests/test-fputc.c            |   4 +-
 libmissing/tests/test-fread.c            |   4 +-
 libmissing/tests/test-freading.c         |   4 +-
 libmissing/tests/test-fseek.c            |   4 +-
 libmissing/tests/test-fseeko.c           |   4 +-
 libmissing/tests/test-fseeko3.c          |   4 +-
 libmissing/tests/test-fseeko4.c          |   4 +-
 libmissing/tests/test-fstat.c            |   4 +-
 libmissing/tests/test-ftell.c            |   4 +-
 libmissing/tests/test-ftell3.c           |   4 +-
 libmissing/tests/test-ftello.c           |   4 +-
 libmissing/tests/test-ftello3.c          |   4 +-
 libmissing/tests/test-ftello4.c          |   4 +-
 libmissing/tests/test-ftruncate.c        |   4 +-
 libmissing/tests/test-fwrite.c           |   4 +-
 libmissing/tests/test-getaddrinfo.c      |   4 +-
 libmissing/tests/test-getcwd-lgpl.c      |   4 +-
 libmissing/tests/test-getdelim.c         |   4 +-
 libmissing/tests/test-getdtablesize.c    |   4 +-
 libmissing/tests/test-gethostname.c      |   4 +-
 libmissing/tests/test-getline.c          |   4 +-
 libmissing/tests/test-getsockname.c      |  52 +++-
 libmissing/tests/test-gettimeofday.c     |   4 +-
 libmissing/tests/test-ignore-value.c     |   4 +-
 libmissing/tests/test-inet_ntop.c        |   4 +-
 libmissing/tests/test-inet_pton.c        |   4 +-
 libmissing/tests/test-init.sh            |   4 +-
 libmissing/tests/test-intprops.c         |   6 +-
 libmissing/tests/test-inttypes.c         |   4 +-
 libmissing/tests/test-ioctl.c            |   4 +-
 libmissing/tests/test-isblank.c          |   4 +-
 libmissing/tests/test-langinfo.c         |   4 +-
 libmissing/tests/test-limits-h.c         |   4 +-
 libmissing/tests/test-listen.c           |   4 +-
 libmissing/tests/test-locale.c           |   4 +-
 libmissing/tests/test-localeconv.c       |   4 +-
 libmissing/tests/test-localename.c       |   4 +-
 libmissing/tests/test-lock.c             |   4 +-
 libmissing/tests/test-lseek.c            |   4 +-
 libmissing/tests/test-lstat.c            |   4 +-
 libmissing/tests/test-lstat.h            |   4 +-
 libmissing/tests/test-malloca.c          |   4 +-
 libmissing/tests/test-mbrtowc-w32.c      |   4 +-
 libmissing/tests/test-mbrtowc.c          |   4 +-
 libmissing/tests/test-mbsinit.c          |   4 +-
 libmissing/tests/test-memchr.c           |   4 +-
 libmissing/tests/test-memmem.c           |   4 +-
 libmissing/tests/test-nanosleep.c        |  83 ++++++
 libmissing/tests/test-netdb.c            |   4 +-
 libmissing/tests/test-netinet_in.c       |   4 +-
 libmissing/tests/test-nl_langinfo.c      |  30 ++-
 libmissing/tests/test-open.c             |   4 +-
 libmissing/tests/test-open.h             |   4 +-
 libmissing/tests/test-pathmax.c          |   4 +-
 libmissing/tests/test-perror.c           |   4 +-
 libmissing/tests/test-perror2.c          |   8 +-
 libmissing/tests/test-pipe.c             |   4 +-
 libmissing/tests/test-poll-h.c           |   4 +-
 libmissing/tests/test-poll.c             |   4 +-
 libmissing/tests/test-pthread_sigmask1.c |  95 +++++++
 libmissing/tests/test-pthread_sigmask2.c |  99 ++++++++
 libmissing/tests/test-raise.c            |   4 +-
 libmissing/tests/test-regex.c            |  10 +-
 libmissing/tests/test-rwlock1.c          |   4 +-
 libmissing/tests/test-select-fd.c        |   4 +-
 libmissing/tests/test-select-stdin.c     |   4 +-
 libmissing/tests/test-select.c           |   4 +-
 libmissing/tests/test-select.h           |   4 +-
 libmissing/tests/test-setenv.c           |   4 +-
 libmissing/tests/test-setlocale1.c       |   4 +-
 libmissing/tests/test-setlocale2.c       |   4 +-
 libmissing/tests/test-setlocale2.sh      |   2 +-
 libmissing/tests/test-setsockopt.c       |   4 +-
 libmissing/tests/test-sigaction.c        | 122 +++++++++
 libmissing/tests/test-signal-h.c         |   4 +-
 libmissing/tests/test-sigprocmask.c      |   4 +-
 libmissing/tests/test-sleep.c            |   4 +-
 libmissing/tests/test-snprintf.c         |   4 +-
 libmissing/tests/test-sockets.c          |   4 +-
 libmissing/tests/test-stat-time.c        | 248 ++++++++++++++++++
 libmissing/tests/test-stat.c             |   4 +-
 libmissing/tests/test-stat.h             |   4 +-
 libmissing/tests/test-stdalign.c         |   6 +-
 libmissing/tests/test-stdbool.c          |  10 +-
 libmissing/tests/test-stddef.c           |   4 +-
 libmissing/tests/test-stdint.c           |   4 +-
 libmissing/tests/test-stdio.c            |   4 +-
 libmissing/tests/test-stdlib.c           |   4 +-
 libmissing/tests/test-strcasestr.c       |   4 +-
 libmissing/tests/test-strerror.c         |   4 +-
 libmissing/tests/test-strerror_r.c       |   6 +-
 libmissing/tests/test-string.c           |   4 +-
 libmissing/tests/test-strings.c          |   4 +-
 libmissing/tests/test-strnlen.c          |   4 +-
 libmissing/tests/test-symlink.c          |   4 +-
 libmissing/tests/test-symlink.h          |   4 +-
 libmissing/tests/test-sys_ioctl.c        |   4 +-
 libmissing/tests/test-sys_select.c       |   4 +-
 libmissing/tests/test-sys_socket.c       |   4 +-
 libmissing/tests/test-sys_stat.c         |   4 +-
 libmissing/tests/test-sys_time.c         |   4 +-
 libmissing/tests/test-sys_types.c        |   4 +-
 libmissing/tests/test-sys_uio.c          |   4 +-
 libmissing/tests/test-sys_utsname.c      |   4 +-
 libmissing/tests/test-sys_wait.h         |   4 +-
 libmissing/tests/test-thread_create.c    |   4 +-
 libmissing/tests/test-thread_self.c      |   4 +-
 libmissing/tests/test-time.c             |   4 +-
 libmissing/tests/test-tls.c              |   4 +-
 libmissing/tests/test-uname.c            |   4 +-
 libmissing/tests/test-unistd.c           |   4 +-
 libmissing/tests/test-unsetenv.c         |   4 +-
 libmissing/tests/test-usleep.c           |   4 +-
 libmissing/tests/test-vasnprintf.c       |   4 +-
 libmissing/tests/test-verify-try.c       |   4 +-
 libmissing/tests/test-verify.c           |   4 +-
 libmissing/tests/test-vsnprintf.c        |   4 +-
 libmissing/tests/test-wchar.c            |   4 +-
 libmissing/tests/test-wcrtomb-w32.c      |   4 +-
 libmissing/tests/test-wcrtomb.c          |   4 +-
 libmissing/tests/test-wctype-h.c         |   4 +-
 libmissing/tests/test-write.c            |   4 +-
 libmissing/tests/unsetenv.c              |   4 +-
 libmissing/tests/unused-parameter.h      |   4 +-
 libmissing/tests/usleep.c                |   4 +-
 libmissing/tests/warn-on-use.h           |   4 +-
 libmissing/tests/wctob.c                 |   4 +-
 libmissing/tests/wctomb-impl.h           |   4 +-
 libmissing/tests/wctomb.c                |   4 +-
 libmissing/tests/zerosize-ptr.h          |   4 +-
 libmissing/time.in.h                     |   4 +-
 libmissing/time_r.c                      |   4 +-
 libmissing/timegm.c                      |   4 +-
 libmissing/uname.c                       |   4 +-
 libmissing/unistd.in.h                   |  36 ++-
 libmissing/unused-parameter.h            |   4 +-
 libmissing/vasnprintf.c                  |   8 +-
 libmissing/vasnprintf.h                  |   4 +-
 libmissing/verify.h                      |   4 +-
 libmissing/vsnprintf.c                   |   4 +-
 libmissing/w32sock.h                     |   4 +-
 libmissing/warn-on-use.h                 |   4 +-
 libmissing/wchar.in.h                    |  11 +-
 libmissing/wcrtomb.c                     |   4 +-
 libmissing/wctype.in.h                   |   4 +-
 libmissing/write.c                       |   4 +-
 libmissing/xalloc-oversized.h            |   4 +-
 libmissing/xsize.h                       |   4 +-
 src/Makefile.am                          |   2 +-
 563 files changed, 6412 insertions(+), 1807 deletions(-)

commit 0731ddc71cc333367cda422ea955159d3c8d1af2
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Sat Mar 10 13:53:42 2018 +0100

    [#2938] Add python 3.6 support
    
    Change-Id: I0d4a004dac83bf75ef5c050595ea4cbbfcf812da

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 465ffaa5d8d9670d3244ea44ef362bd92e3dd4b5
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Tue Feb 27 23:19:48 2018 +0100

    [#2913] Fix spelling in Perl bindings
    
    Change-Id: Icd8c27a697a59cec8b9f9725e9cb7cf0c046499d

 bindings/perl/Prelude.cxx          | 2 +-
 bindings/perl/libpreludecpp-perl.i | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 88d4843077379302be4ff02b72e1e4edfa2b6775
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Tue Feb 27 23:17:29 2018 +0100

    [#2912] Fix server_confirm type
    
    in prelude-admin/tls-register.c and prelude-admin/prelude-admin.c
    
    Change-Id: Ibaa08f8f68d1e5007d304f9ffa7abff1a734817b

 prelude-admin/tls-register.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37357fdaaefaf5c9d14838351055c5672093d57f
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Feb 9 10:38:53 2018 +0100

    Update NEWS, bump version
    
    Change-Id: I5839581cc24488627ebe36639089820af1dd9ca6

 NEWS         | 16 ++++++++++++++++
 configure.ac | 18 +++++++++---------
 2 files changed, 25 insertions(+), 9 deletions(-)

commit 5850046c3de9b9d3016034314747145dc1693f91
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Nov 22 14:06:42 2017 +0100

    [#rel2694] Ability to specify attributes for IDMEF path
    
    Change-Id: I99d695183596e9c06379b7278190f11663342192

 bindings/c++/idmef-class.cxx                     |  21 ++
 bindings/c++/include/idmef-class.hxx             |   3 +
 bindings/libpreludecpp.i                         |   2 +
 bindings/lua/prelude.cxx                         | 123 +++++--
 bindings/perl/Prelude.cxx                        | 246 ++++++++-----
 bindings/perl/Prelude.pm                         |   3 +-
 bindings/python/_prelude.cxx                     | 420 +++++++++++++++++++++--
 bindings/python/prelude.py                       |   2 +-
 bindings/ruby/Prelude.cxx                        | 402 ++++++++++++++++++++--
 src/idmef-class.c                                |  14 +
 src/idmef-message-print-json.c                   |   8 +-
 src/idmef-message-print.c                        |   8 +-
 src/idmef-message-read-json.c                    |   8 +-
 src/idmef-message-read.c                         |   8 +-
 src/idmef-message-write.c                        |   4 +-
 src/idmef-tree-wrap.c                            | 196 +++++------
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm  |  18 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm |   4 +-
 src/idmef-wrappers-gen/IDMEFTree.pm              |  35 +-
 src/idmef-wrappers-gen/generator.pl              |   5 +-
 src/idmef-wrappers-gen/idmef-tree.h              |  66 ++--
 src/include/idmef-class.h                        |   3 +
 src/include/idmef-message-id.h                   |   4 +-
 src/include/idmef-message-print-json.h           |   4 +-
 src/include/idmef-tree-data.h                    | 343 +++++++++---------
 src/include/idmef-tree-wrap.h                    |  72 ++--
 26 files changed, 1486 insertions(+), 536 deletions(-)

commit 0431358016726431406c0e35b78b5ff075419d4b
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Jan 3 11:55:18 2018 +0100

    [#2795] Copyright year update
    
    Change-Id: I7bb4b987334695f0285b091ee151af3d34d5361d

 LICENSE.README                                               | 2 +-
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
 bindings/c++/include/idmef-class.hxx                         | 2 +-
 bindings/c++/include/idmef-criteria.hxx                      | 2 +-
 bindings/c++/include/idmef-path.hxx                          | 2 +-
 bindings/c++/include/idmef-time.hxx                          | 2 +-
 bindings/c++/include/idmef-value.hxx                         | 2 +-
 bindings/c++/include/idmef.hxx                               | 2 +-
 bindings/c++/include/prelude-client-easy.hxx                 | 2 +-
 bindings/c++/include/prelude-client-profile.hxx              | 2 +-
 bindings/c++/include/prelude-client.hxx                      | 2 +-
 bindings/c++/include/prelude-connection-pool.hxx             | 2 +-
 bindings/c++/include/prelude-connection.hxx                  | 2 +-
 bindings/c++/include/prelude-error.hxx                       | 2 +-
 bindings/c++/include/prelude-log.hxx                         | 2 +-
 bindings/c++/include/prelude.hxx                             | 2 +-
 bindings/c++/prelude-client-easy.cxx                         | 2 +-
 bindings/c++/prelude-client-profile.cxx                      | 2 +-
 bindings/c++/prelude-client.cxx                              | 2 +-
 bindings/c++/prelude-connection-pool.cxx                     | 2 +-
 bindings/c++/prelude-connection.cxx                          | 2 +-
 bindings/c++/prelude-error.cxx                               | 2 +-
 bindings/c++/prelude-log.cxx                                 | 2 +-
 bindings/c++/prelude.cxx                                     | 2 +-
 bindings/libpreludecpp.i                                     | 2 +-
 bindings/lua/libpreludecpp-lua.i                             | 2 +-
 bindings/perl/Makefile.PL.in                                 | 2 +-
 bindings/perl/libpreludecpp-perl.i                           | 2 +-
 bindings/python/libpreludecpp-python.i                       | 2 +-
 bindings/python/setup.py.in                                  | 2 +-
 bindings/ruby/libpreludecpp-ruby.i                           | 2 +-
 prelude-admin/prelude-admin.c                                | 2 +-
 prelude-admin/server.c                                       | 2 +-
 prelude-admin/server.h                                       | 2 +-
 prelude-admin/tls-register.c                                 | 2 +-
 prelude-admin/tls-register.h                                 | 2 +-
 src/common.c                                                 | 2 +-
 src/config-engine.c                                          | 2 +-
 src/daemonize.c                                              | 2 +-
 src/idmef-additional-data.c                                  | 2 +-
 src/idmef-class.c                                            | 2 +-
 src/idmef-criteria-string.lex.c                              | 2 +-
 src/idmef-criteria-string.lex.l                              | 2 +-
 src/idmef-criteria-string.yac.y                              | 2 +-
 src/idmef-criteria.c                                         | 2 +-
 src/idmef-criterion-value.c                                  | 2 +-
 src/idmef-data.c                                             | 2 +-
 src/idmef-message-helpers.c                                  | 2 +-
 src/idmef-message-print-json.c                               | 2 +-
 src/idmef-message-print.c                                    | 2 +-
 src/idmef-message-read-json.c                                | 2 +-
 src/idmef-message-read.c                                     | 2 +-
 src/idmef-message-write.c                                    | 2 +-
 src/idmef-object.c                                           | 2 +-
 src/idmef-path.c                                             | 2 +-
 src/idmef-time.c                                             | 2 +-
 src/idmef-tree-wrap.c                                        | 2 +-
 src/idmef-value-type.c                                       | 2 +-
 src/idmef-value.c                                            | 2 +-
 src/idmef-wrappers-gen/Generate.pm                           | 2 +-
 src/idmef-wrappers-gen/GenerateDebug.pm                      | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm            | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONC.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONH.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadC.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadH.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadJSONC.pm      | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm              | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm           | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFValueClassSwigMapping.pm | 4 ++--
 src/idmef-wrappers-gen/IDMEFTree.pm                          | 2 +-
 src/idmef-wrappers-gen/generator.pl                          | 2 +-
 src/idmef-wrappers-gen/idmef-tree.h                          | 2 +-
 src/include/common.h                                         | 2 +-
 src/include/config-engine.h                                  | 2 +-
 src/include/daemonize.h                                      | 2 +-
 src/include/idmef-additional-data.h                          | 2 +-
 src/include/idmef-class.h                                    | 4 ++--
 src/include/idmef-criteria.h                                 | 2 +-
 src/include/idmef-criterion-value.h                          | 2 +-
 src/include/idmef-data.h                                     | 2 +-
 src/include/idmef-message-helpers.h                          | 2 +-
 src/include/idmef-message-print-json.h                       | 2 +-
 src/include/idmef-message-print.h                            | 2 +-
 src/include/idmef-message-read.h                             | 2 +-
 src/include/idmef-message-write.h                            | 2 +-
 src/include/idmef-object-prv.h                               | 2 +-
 src/include/idmef-object.h                                   | 2 +-
 src/include/idmef-path.h                                     | 2 +-
 src/include/idmef-time.h                                     | 2 +-
 src/include/idmef-tree-wrap.h                                | 2 +-
 src/include/idmef-value-type.h                               | 2 +-
 src/include/idmef-value.h                                    | 2 +-
 src/include/idmef.h                                          | 2 +-
 src/include/libmissing.h                                     | 2 +-
 src/include/prelude-async.h                                  | 2 +-
 src/include/prelude-client-profile.h                         | 2 +-
 src/include/prelude-client.h                                 | 2 +-
 src/include/prelude-connection-pool.h                        | 2 +-
 src/include/prelude-connection.h                             | 2 +-
 src/include/prelude-extract.h                                | 2 +-
 src/include/prelude-failover.h                               | 2 +-
 src/include/prelude-hash.h                                   | 2 +-
 src/include/prelude-ident.h                                  | 2 +-
 src/include/prelude-inttypes.h.in                            | 2 +-
 src/include/prelude-io.h                                     | 2 +-
 src/include/prelude-linked-object.h                          | 2 +-
 src/include/prelude-list.h                                   | 2 +-
 src/include/prelude-log.h                                    | 2 +-
 src/include/prelude-macros.h                                 | 2 +-
 src/include/prelude-message-id.h                             | 2 +-
 src/include/prelude-msg.h                                    | 2 +-
 src/include/prelude-msgbuf.h                                 | 2 +-
 src/include/prelude-option-wide.h                            | 2 +-
 src/include/prelude-option.h                                 | 2 +-
 src/include/prelude-plugin.h                                 | 2 +-
 src/include/prelude-string.h                                 | 2 +-
 src/include/prelude-thread.h                                 | 2 +-
 src/include/prelude-timer.h                                  | 2 +-
 src/include/prelude.h.in                                     | 2 +-
 src/include/tls-auth.h                                       | 2 +-
 src/include/tls-util.h                                       | 2 +-
 src/include/variable.h                                       | 2 +-
 src/libprelude-error/prelude-error.h.in                      | 2 +-
 src/prelude-async.c                                          | 2 +-
 src/prelude-client-profile.c                                 | 2 +-
 src/prelude-client.c                                         | 2 +-
 src/prelude-connection-pool.c                                | 2 +-
 src/prelude-connection.c                                     | 2 +-
 src/prelude-failover.c                                       | 2 +-
 src/prelude-hash.c                                           | 2 +-
 src/prelude-ident.c                                          | 2 +-
 src/prelude-io.c                                             | 2 +-
 src/prelude-log.c                                            | 2 +-
 src/prelude-msg.c                                            | 2 +-
 src/prelude-msgbuf.c                                         | 2 +-
 src/prelude-option-wide.c                                    | 2 +-
 src/prelude-option.c                                         | 2 +-
 src/prelude-plugin.c                                         | 2 +-
 src/prelude-string.c                                         | 2 +-
 src/prelude-thread.c                                         | 2 +-
 src/prelude-timer.c                                          | 2 +-
 src/prelude.c                                                | 2 +-
 src/tls-auth.c                                               | 2 +-
 src/tls-util.c                                               | 2 +-
 src/variable.c                                               | 2 +-
 157 files changed, 171 insertions(+), 171 deletions(-)

commit e7bc4695f21164f00e89c019a9b5e271a9b1683a
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Dec 11 16:30:42 2017 +0100

    [#2755] Fix the encoding error handler for Python 2
    
    Change-Id: I3749ec4e586c77e739ac7062f65d9bf5bae586ca

 bindings/python/_prelude.cxx  | 2 +-
 bindings/python/pystrings.swg | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 14753b894600d527dec58666c007073b497e6aed
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Mon Oct 9 09:51:50 2017 +0200

    [#2729] Use SHA256 signature with GnuTLS instead of default SHA1
    
    This is for GnuTLS 3.6 compatibility
    
    Change-Id: Icc86e88d8d2f7dc8dc75fe96f99a7367727e3449

 prelude-admin/tls-register.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e435f0f8fc1aa4d1f4ff661d8d17d1a33e4bbbbb
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Jul 21 17:52:35 2017 +0200

    Update NEWS, bump version
    
    Change-Id: I236c21f0a433d2b8badc4ab307301194189aac0f

 NEWS         | 6 ++++++
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 70f57c3a45037eb639a0454a293a2e1a216da199
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jul 13 10:37:02 2017 +0200

    Update NEWS, bump version
    
    Change-Id: Ic9f0c8e8c77c6b9c1c48e59c1d6d3013aafa3423

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit b92479ee99d77d181ab6dc2e8b6f3f2606079532
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Jul 10 15:06:57 2017 +0200

    [#2632] Update GnuLib code
    
    Change-Id: I2efdf309f599b8ac61811200e9db8c980a3ceb28

 libmissing/Makefile.am                 | 159 ++++++-------
 libmissing/_Noreturn.h                 |  10 +
 libmissing/arg-nonnull.h               |  26 ++
 libmissing/c++defs.h                   | 316 +++++++++++++++++++++++++
 libmissing/c-ctype.h                   |  20 +-
 libmissing/close.c                     |   4 +-
 libmissing/dosname.h                   |  53 -----
 libmissing/dup2.c                      |  44 +++-
 libmissing/fclose.c                    |   4 +-
 libmissing/fd-hook.c                   |   2 +-
 libmissing/fd-hook.h                   |   2 +-
 libmissing/fflush.c                    |  10 +-
 libmissing/filename.h                  |  54 +++++
 libmissing/float.in.h                  |   2 +-
 libmissing/fpurge.c                    |   6 +-
 libmissing/freading.c                  |   4 +-
 libmissing/fseeko.c                    |  12 +-
 libmissing/fstat.c                     |  66 +++---
 libmissing/getaddrinfo.c               |   2 +-
 libmissing/gettext.h                   |   8 +-
 libmissing/gettimeofday.c              | 154 ++++++------
 libmissing/glthread/lock.c             | 182 +++++++++++++-
 libmissing/glthread/lock.h             |  62 ++++-
 libmissing/glthread/thread.h           |  11 +-
 libmissing/intprops.h                  |  81 +++----
 libmissing/ioctl.c                     |   6 +-
 libmissing/limits.in.h                 |  11 +
 libmissing/localcharset.c              |   8 +-
 libmissing/localtime-buffer.c          |  58 +++++
 libmissing/localtime-buffer.h          |  27 +++
 libmissing/lseek.c                     |   6 +-
 libmissing/m4/close.m4                 |  12 +-
 libmissing/m4/fdopen.m4                |  13 +-
 libmissing/m4/fflush.m4                |  15 +-
 libmissing/m4/flexmember.m4            |   7 +-
 libmissing/m4/float_h.m4               |   6 +-
 libmissing/m4/fopen.m4                 |   8 +-
 libmissing/m4/fpurge.m4                |  53 +++--
 libmissing/m4/fstat.m4                 |  26 +-
 libmissing/m4/ftello.m4                |  22 +-
 libmissing/m4/getcwd.m4                |   6 +-
 libmissing/m4/getdelim.m4              |   6 +-
 libmissing/m4/getline.m4               |   6 +-
 libmissing/m4/gettimeofday.m4          |  36 +--
 libmissing/m4/gnulib-common.m4         |  13 +-
 libmissing/m4/gnulib-comp.m4           |  72 +++++-
 libmissing/m4/include_next.m4          |   5 +-
 libmissing/m4/largefile.m4             |  21 +-
 libmissing/m4/lib-ld.m4                | 140 ++++++-----
 libmissing/m4/lib-prefix.m4            | 107 +++++----
 libmissing/m4/localtime-buffer.m4      |  21 ++
 libmissing/m4/lock.m4                  |   9 +-
 libmissing/m4/lstat.m4                 |   3 +-
 libmissing/m4/memmem.m4                |   5 +-
 libmissing/m4/mktime.m4                |  59 +++--
 libmissing/m4/poll.m4                  |   3 +-
 libmissing/m4/printf.m4                |  13 +-
 libmissing/m4/pthread_rwlock_rdlock.m4 | 163 +++++++++++++
 libmissing/m4/raise.m4                 |  12 +-
 libmissing/m4/stat.m4                  | 104 ++++----
 libmissing/m4/stdalign.m4              |   4 +-
 libmissing/m4/strcasestr.m4            |   5 +-
 libmissing/m4/strerror_r.m4            |  26 +-
 libmissing/m4/sys_stat_h.m4            |  18 +-
 libmissing/m4/sys_time_h.m4            |   3 +-
 libmissing/m4/sys_types_h.m4           |  13 +-
 libmissing/m4/time_h.m4                |  12 +-
 libmissing/m4/timegm.m4                |   6 +-
 libmissing/m4/ungetc.m4                |  38 ++-
 libmissing/m4/unistd_h.m4              |   9 +-
 libmissing/m4/usleep.m4                |  45 ++++
 libmissing/m4/wchar_h.m4               |   9 +-
 libmissing/m4/wctype_h.m4              |   4 +-
 libmissing/m4/wint_t.m4                |  14 +-
 libmissing/m4/write.m4                 |  12 +-
 libmissing/malloca.c                   | 149 ++++++++++++
 libmissing/malloca.h                   | 128 ++++++++++
 libmissing/malloca.valgrind            |   7 +
 libmissing/mbrtowc.c                   |  11 +-
 libmissing/mbsinit.c                   |  34 ++-
 libmissing/mktime.c                    |  68 +++++-
 libmissing/msvc-nothrow.c              |   4 +-
 libmissing/poll.c                      |  22 +-
 libmissing/raise.c                     |   4 +-
 libmissing/regex_internal.h            |   1 +
 libmissing/relocatable.c               |  24 +-
 libmissing/relocatable.h               |  24 +-
 libmissing/select.c                    |   6 +-
 libmissing/sockets.c                   |   6 +-
 libmissing/sockets.h                   |  18 +-
 libmissing/stat-w32.c                  | 421 +++++++++++++++++++++++++++++++++
 libmissing/stat-w32.h                  |  37 +++
 libmissing/stat.c                      | 415 +++++++++++++++++++++++++++-----
 libmissing/stdalign.in.h               |   2 +-
 libmissing/stdint.in.h                 |  43 +++-
 libmissing/stdio-impl.h                |   6 +-
 libmissing/strerror_r.c                | 114 ++++++++-
 libmissing/sys_stat.in.h               | 178 ++++++++++----
 libmissing/sys_types.in.h              |  42 ++++
 libmissing/tests/Makefile.am           | 150 +++++-------
 libmissing/tests/_Noreturn.h           |  10 +
 libmissing/tests/arg-nonnull.h         |  26 ++
 libmissing/tests/binary-io.c           |  35 ++-
 libmissing/tests/binary-io.h           |  36 +--
 libmissing/tests/c++defs.h             | 316 +++++++++++++++++++++++++
 libmissing/tests/dosname.h             |  53 +++++
 libmissing/tests/ftruncate.c           |  13 +-
 libmissing/tests/getdtablesize.c       |  11 +-
 libmissing/tests/localename.c          |  19 +-
 libmissing/tests/macros.h              |   8 +
 libmissing/tests/malloca.c             | 149 ------------
 libmissing/tests/malloca.h             | 128 ----------
 libmissing/tests/malloca.valgrind      |   7 -
 libmissing/tests/null-ptr.h            |  33 +++
 libmissing/tests/same-inode.h          |  18 +-
 libmissing/tests/setlocale.c           |   7 +
 libmissing/tests/test-binary-io.c      |   6 -
 libmissing/tests/test-binary-io.sh     |   4 +-
 libmissing/tests/test-dup2.c           |   6 +-
 libmissing/tests/test-fflush2.c        |   2 +-
 libmissing/tests/test-fgetc.c          |   4 +-
 libmissing/tests/test-fputc.c          |   4 +-
 libmissing/tests/test-fread.c          |   4 +-
 libmissing/tests/test-ftell.c          |   2 +-
 libmissing/tests/test-ftello.c         |   2 +-
 libmissing/tests/test-fwrite.c         |   4 +-
 libmissing/tests/test-intprops.c       |  21 ++
 libmissing/tests/test-localeconv.c     |   4 +-
 libmissing/tests/test-localename.c     |  18 +-
 libmissing/tests/test-lock.c           | 110 ++++++++-
 libmissing/tests/test-mbrtowc-w32.c    |  18 +-
 libmissing/tests/test-mbrtowc.c        |   2 +-
 libmissing/tests/test-memmem.c         |   7 +-
 libmissing/tests/test-perror.sh        |   6 +-
 libmissing/tests/test-pipe.c           |   6 +-
 libmissing/tests/test-rwlock1.c        | 157 ++++++++++++
 libmissing/tests/test-select.h         |   4 +-
 libmissing/tests/test-stdalign.c       |   5 +
 libmissing/tests/test-stddef.c         |   6 +-
 libmissing/tests/test-usleep.c         |  40 ++++
 libmissing/tests/test-verify-try.c     |  21 ++
 libmissing/tests/test-verify.sh        |   9 +-
 libmissing/tests/unused-parameter.h    |  36 +++
 libmissing/tests/usleep.c              |  58 +++++
 libmissing/tests/warn-on-use.h         | 109 +++++++++
 libmissing/tests/xalloc-oversized.h    |  68 ------
 libmissing/time.in.h                   |  59 ++++-
 libmissing/unistd.in.h                 |  48 +++-
 libmissing/unused-parameter.h          |  36 +++
 libmissing/vasnprintf.c                |  45 +++-
 libmissing/verify.h                    |   7 +-
 libmissing/w32sock.h                   |   6 +-
 libmissing/warn-on-use.h               | 109 +++++++++
 libmissing/wchar.in.h                  |  44 +++-
 libmissing/wctype.in.h                 |  22 +-
 libmissing/write.c                     |  10 +-
 libmissing/xalloc-oversized.h          |  60 +++++
 157 files changed, 5089 insertions(+), 1477 deletions(-)

commit 23619948a2e4d17abd683e40381e7cc7448802a4
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Jun 30 15:31:06 2017 +0200

    Update NEWS, bump version
    
    Change-Id: I0f294356a782ac15086245f023b085b9cc16aff5

 NEWS         | 8 ++++++++
 configure.ac | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 855888af18f38433322e24589bc254bc2ea9ec85
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Jun 30 15:44:11 2017 +0200

    [#2556] Copy prelude-client analyzer object instead of referencing it
    
    We cannot use a reference for programs who keep the generated IDMEF
    object in memory while sending other alerts.
    
    Change-Id: I6d8739a73a853f44ddfa67617c86e1be33eb2fde

 src/common.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 092f53e6d03c75640bee25a79d62afc15d275746
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Jun 23 19:08:19 2017 +0200

    Update NEWS, bump version
    
    Change-Id: I7374371ef7645f4ae892eb28ecf40d33f2d42f61

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 88200fd5e559f1b9566e68d9e56154f857497db9
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Jun 20 16:57:41 2017 +0200

    [#2055] prevent sending TLS alert on fatal error
    
    Change-Id: Ia4c7ae69967c089e299200b67de353f3f9dd1577

 src/tls-auth.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5a499e214593af1e0bd25b8fa3a1c019ba6de5b2
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Jun 16 12:34:12 2017 +0200

    Update NEWS, bump version
    
    Change-Id: I175a10f3f89d75979e683d12f4400320f07eddc9

 NEWS         | 10 ++++++++++
 configure.ac | 10 +++++-----
 2 files changed, 15 insertions(+), 5 deletions(-)

commit bcd1567bab84d1886fd12cdb9be32c166cfce8fe
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Tue Jun 6 10:56:17 2017 +0200

    [#2558] Manpage spelling check
    
    Change-Id: I330ead04de1aa98c858002d78b5340201c4c4a9f

 docs/manpages/prelude-admin.1 | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a7c9f2c4756430a3ac4d358fc0a6cf5a39f6733c
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Tue May 30 15:46:32 2017 +0200

    [#2546] Correct the format of the year in date error message
    
    Change-Id: Ib4884605ca862508b9e0d2075efc3ea196035853

 src/idmef-time.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09dcd3ca4f162bd87e2ef0baa64ff43fcb535364
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Feb 15 15:43:38 2017 +0100

    Update NEWS, bump version
    
    Change-Id: I84b03c34201a1ee5737ecec4bd166182a9b6d4be

 NEWS         | 1 +
 configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit f088a9dc7ab6523dc263269a5181bb4df3f18183
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Feb 10 20:17:14 2017 +0100

    Update NEWS, bump version
    
    Change-Id: I367f36ebbf050709de7f63e5714364ab983649bd

 NEWS         | 1 +
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 74a4f0ada15d995ae54f2941ad29c8b94dd7c1c4
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Feb 3 19:19:05 2017 +0100

    Update NEWS, bump version
    
    Change-Id: Ie1f0e00bd8ea5e158a872e3fd90e6e3121d29538

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 543889741276641376adee6c296a2b9804081c59
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jan 26 18:27:02 2017 +0100

    Update NEWS, bump version
    
    Change-Id: Iafdd1e7ec0b06e8f2d17c21baa82d90852d9511f

 NEWS         | 8 ++++++++
 configure.ac | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 58bc31eb86da86f837799addce0ac2ac114a8523
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Jan 26 17:46:58 2017 +0700

    [#2138] Fix crash when retrieving listed value
    
    idmef_path_get_nth_internal() has been fixed to properly handle
    listed value. Code cleanup.
    
    Change-Id: I66dbf3689d88306d7cb64789209ab0f3f99b1d5a

 src/idmef-path.c | 86 ++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 55 insertions(+), 31 deletions(-)

commit 74990af6306aaac8923ec88f858af223e2d47918
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jan 12 11:06:19 2017 +0100

    Copyright year update
    
    Change-Id: I8fdeb1bb560d7ecb78766a11228d310154f08d82

 LICENSE.README                                               | 2 +-
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
 bindings/c++/include/idmef-class.hxx                         | 2 +-
 bindings/c++/include/idmef-criteria.hxx                      | 2 +-
 bindings/c++/include/idmef-path.hxx                          | 2 +-
 bindings/c++/include/idmef-time.hxx                          | 2 +-
 bindings/c++/include/idmef-value.hxx                         | 2 +-
 bindings/c++/include/idmef.hxx                               | 2 +-
 bindings/c++/include/prelude-client-easy.hxx                 | 2 +-
 bindings/c++/include/prelude-client-profile.hxx              | 2 +-
 bindings/c++/include/prelude-client.hxx                      | 2 +-
 bindings/c++/include/prelude-connection-pool.hxx             | 2 +-
 bindings/c++/include/prelude-connection.hxx                  | 2 +-
 bindings/c++/include/prelude-error.hxx                       | 2 +-
 bindings/c++/include/prelude-log.hxx                         | 2 +-
 bindings/c++/include/prelude.hxx                             | 2 +-
 bindings/c++/prelude-client-easy.cxx                         | 2 +-
 bindings/c++/prelude-client-profile.cxx                      | 2 +-
 bindings/c++/prelude-client.cxx                              | 2 +-
 bindings/c++/prelude-connection-pool.cxx                     | 2 +-
 bindings/c++/prelude-connection.cxx                          | 2 +-
 bindings/c++/prelude-error.cxx                               | 2 +-
 bindings/c++/prelude-log.cxx                                 | 2 +-
 bindings/c++/prelude.cxx                                     | 2 +-
 bindings/libpreludecpp.i                                     | 2 +-
 bindings/lua/libpreludecpp-lua.i                             | 2 +-
 bindings/perl/Makefile.PL.in                                 | 2 +-
 bindings/perl/libpreludecpp-perl.i                           | 2 +-
 bindings/python/libpreludecpp-python.i                       | 2 +-
 bindings/python/setup.py.in                                  | 2 +-
 bindings/ruby/libpreludecpp-ruby.i                           | 2 +-
 prelude-admin/prelude-admin.c                                | 2 +-
 prelude-admin/server.c                                       | 2 +-
 prelude-admin/server.h                                       | 2 +-
 prelude-admin/tls-register.c                                 | 2 +-
 prelude-admin/tls-register.h                                 | 2 +-
 src/common.c                                                 | 2 +-
 src/config-engine.c                                          | 2 +-
 src/daemonize.c                                              | 2 +-
 src/idmef-additional-data.c                                  | 2 +-
 src/idmef-class.c                                            | 2 +-
 src/idmef-criteria-string.lex.c                              | 2 +-
 src/idmef-criteria-string.lex.l                              | 2 +-
 src/idmef-criteria-string.yac.y                              | 2 +-
 src/idmef-criteria.c                                         | 2 +-
 src/idmef-criterion-value.c                                  | 2 +-
 src/idmef-data.c                                             | 2 +-
 src/idmef-message-helpers.c                                  | 2 +-
 src/idmef-message-print-json.c                               | 2 +-
 src/idmef-message-print.c                                    | 2 +-
 src/idmef-message-read-json.c                                | 2 +-
 src/idmef-message-read.c                                     | 2 +-
 src/idmef-message-write.c                                    | 2 +-
 src/idmef-object.c                                           | 2 +-
 src/idmef-path.c                                             | 2 +-
 src/idmef-time.c                                             | 2 +-
 src/idmef-tree-wrap.c                                        | 2 +-
 src/idmef-value-type.c                                       | 2 +-
 src/idmef-value.c                                            | 2 +-
 src/idmef-wrappers-gen/Generate.pm                           | 2 +-
 src/idmef-wrappers-gen/GenerateDebug.pm                      | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm            | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONC.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintJSONH.pm     | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadC.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadH.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadJSONC.pm      | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm              | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm           | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFValueClassSwigMapping.pm | 4 ++--
 src/idmef-wrappers-gen/IDMEFTree.pm                          | 2 +-
 src/idmef-wrappers-gen/generator.pl                          | 2 +-
 src/idmef-wrappers-gen/idmef-tree.h                          | 2 +-
 src/include/common.h                                         | 2 +-
 src/include/config-engine.h                                  | 2 +-
 src/include/daemonize.h                                      | 2 +-
 src/include/idmef-additional-data.h                          | 2 +-
 src/include/idmef-criteria.h                                 | 2 +-
 src/include/idmef-criterion-value.h                          | 2 +-
 src/include/idmef-data.h                                     | 2 +-
 src/include/idmef-message-helpers.h                          | 2 +-
 src/include/idmef-message-print-json.h                       | 2 +-
 src/include/idmef-message-print.h                            | 2 +-
 src/include/idmef-message-read.h                             | 2 +-
 src/include/idmef-message-write.h                            | 2 +-
 src/include/idmef-object-prv.h                               | 2 +-
 src/include/idmef-object.h                                   | 2 +-
 src/include/idmef-path.h                                     | 2 +-
 src/include/idmef-time.h                                     | 2 +-
 src/include/idmef-tree-wrap.h                                | 2 +-
 src/include/idmef-value-type.h                               | 2 +-
 src/include/idmef-value.h                                    | 2 +-
 src/include/idmef.h                                          | 2 +-
 src/include/libmissing.h                                     | 2 +-
 src/include/prelude-async.h                                  | 2 +-
 src/include/prelude-client-profile.h                         | 2 +-
 src/include/prelude-client.h                                 | 2 +-
 src/include/prelude-connection-pool.h                        | 2 +-
 src/include/prelude-connection.h                             | 2 +-
 src/include/prelude-extract.h                                | 2 +-
 src/include/prelude-failover.h                               | 2 +-
 src/include/prelude-hash.h                                   | 2 +-
 src/include/prelude-ident.h                                  | 2 +-
 src/include/prelude-inttypes.h.in                            | 2 +-
 src/include/prelude-io.h                                     | 2 +-
 src/include/prelude-linked-object.h                          | 2 +-
 src/include/prelude-list.h                                   | 2 +-
 src/include/prelude-log.h                                    | 2 +-
 src/include/prelude-macros.h                                 | 2 +-
 src/include/prelude-message-id.h                             | 2 +-
 src/include/prelude-msg.h                                    | 2 +-
 src/include/prelude-msgbuf.h                                 | 2 +-
 src/include/prelude-option-wide.h                            | 2 +-
 src/include/prelude-option.h                                 | 2 +-
 src/include/prelude-plugin.h                                 | 2 +-
 src/include/prelude-string.h                                 | 2 +-
 src/include/prelude-thread.h                                 | 2 +-
 src/include/prelude-timer.h                                  | 2 +-
 src/include/prelude.h.in                                     | 2 +-
 src/include/tls-auth.h                                       | 2 +-
 src/include/tls-util.h                                       | 2 +-
 src/include/variable.h                                       | 2 +-
 src/libprelude-error/prelude-error.h.in                      | 2 +-
 src/prelude-async.c                                          | 2 +-
 src/prelude-client-profile.c                                 | 2 +-
 src/prelude-client.c                                         | 2 +-
 src/prelude-connection-pool.c                                | 2 +-
 src/prelude-connection.c                                     | 2 +-
 src/prelude-failover.c                                       | 2 +-
 src/prelude-hash.c                                           | 2 +-
 src/prelude-ident.c                                          | 2 +-
 src/prelude-io.c                                             | 2 +-
 src/prelude-log.c                                            | 2 +-
 src/prelude-msg.c                                            | 2 +-
 src/prelude-msgbuf.c                                         | 2 +-
 src/prelude-option-wide.c                                    | 2 +-
 src/prelude-option.c                                         | 2 +-
 src/prelude-plugin.c                                         | 2 +-
 src/prelude-string.c                                         | 2 +-
 src/prelude-thread.c                                         | 2 +-
 src/prelude-timer.c                                          | 2 +-
 src/prelude.c                                                | 2 +-
 src/tls-auth.c                                               | 2 +-
 src/tls-util.c                                               | 2 +-
 src/variable.c                                               | 2 +-
 156 files changed, 169 insertions(+), 169 deletions(-)

commit 39f8000fcde23a3e627388292e8dcd49ceb14591
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Jan 12 11:02:45 2017 +0100

    Update NEWS, bump version
    
    Change-Id: I06270078e18d47e9d6dd73cfffc56af36653b921

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit c4fdbd59e8040ecc07b48ce793e452f6ac0c32bd
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Jan 4 16:54:45 2017 +0700

    [#2113] Update GnuLib and SWIG generated code
    
    Change-Id: I81477159584834894d313bcb02aeb14ca7487f33

 INSTALL                               |    4 +-
 bindings/lua/prelude.cxx              |    4 +-
 bindings/perl/Prelude.cxx             |  147 +--
 bindings/perl/Prelude.pm              |    2 +-
 bindings/python/_prelude.cxx          | 2074 ++++++++++++++++++---------------
 bindings/python/prelude.py            |   17 +-
 bindings/ruby/Prelude.cxx             |   63 +-
 config.rpath                          |    2 +-
 gtk-doc.make                          |  100 +-
 libmissing/Makefile.am                |   46 +-
 libmissing/accept.c                   |    2 +-
 libmissing/alloca.in.h                |    4 +-
 libmissing/arpa_inet.in.h             |    2 +-
 libmissing/asnprintf.c                |    2 +-
 libmissing/assure.h                   |    2 +-
 libmissing/bind.c                     |    2 +-
 libmissing/btowc.c                    |    2 +-
 libmissing/c-ctype.h                  |    2 +-
 libmissing/close.c                    |    2 +-
 libmissing/config.charset             |    2 +-
 libmissing/connect.c                  |    2 +-
 libmissing/dosname.h                  |    2 +-
 libmissing/dup2.c                     |    2 +-
 libmissing/errno.in.h                 |    2 +-
 libmissing/fclose.c                   |    2 +-
 libmissing/fd-hook.c                  |    2 +-
 libmissing/fd-hook.h                  |    2 +-
 libmissing/fflush.c                   |    4 +-
 libmissing/float+.h                   |    2 +-
 libmissing/float.c                    |    2 +-
 libmissing/float.in.h                 |    2 +-
 libmissing/fopen.c                    |    2 +-
 libmissing/fpurge.c                   |   10 +-
 libmissing/freading.c                 |    8 +-
 libmissing/freading.h                 |    2 +-
 libmissing/fseek.c                    |    2 +-
 libmissing/fseeko.c                   |    8 +-
 libmissing/fstat.c                    |    2 +-
 libmissing/ftell.c                    |    2 +-
 libmissing/ftello.c                   |    2 +-
 libmissing/gai_strerror.c             |    2 +-
 libmissing/getaddrinfo.c              |    2 +-
 libmissing/getdelim.c                 |   14 +-
 libmissing/gethostname.c              |    2 +-
 libmissing/getline.c                  |    2 +-
 libmissing/getpass.c                  |    2 +-
 libmissing/getpass.h                  |    2 +-
 libmissing/getsockname.c              |    2 +-
 libmissing/gettext.h                  |    2 +-
 libmissing/gettimeofday.c             |    2 +-
 libmissing/glthread/cond.c            |    2 +-
 libmissing/glthread/cond.h            |    2 +-
 libmissing/glthread/lock.c            |    2 +-
 libmissing/glthread/lock.h            |    2 +-
 libmissing/glthread/thread.c          |    4 +-
 libmissing/glthread/thread.h          |   11 +-
 libmissing/glthread/threadlib.c       |    2 +-
 libmissing/glthread/tls.c             |    2 +-
 libmissing/glthread/tls.h             |    2 +-
 libmissing/hard-locale.c              |    2 +-
 libmissing/hard-locale.h              |    2 +-
 libmissing/inet_ntop.c                |    2 +-
 libmissing/inet_pton.c                |    2 +-
 libmissing/intprops.h                 |  100 +-
 libmissing/ioctl.c                    |    2 +-
 libmissing/itold.c                    |    2 +-
 libmissing/langinfo.in.h              |    2 +-
 libmissing/limits.in.h                |   63 +
 libmissing/listen.c                   |    2 +-
 libmissing/localcharset.c             |    4 +-
 libmissing/localcharset.h             |    2 +-
 libmissing/locale.in.h                |    2 +-
 libmissing/localeconv.c               |    2 +-
 libmissing/lseek.c                    |    2 +-
 libmissing/m4/00gnulib.m4             |    2 +-
 libmissing/m4/absolute-header.m4      |    2 +-
 libmissing/m4/alloca.m4               |    2 +-
 libmissing/m4/arpa_inet_h.m4          |    2 +-
 libmissing/m4/btowc.m4                |    2 +-
 libmissing/m4/builtin-expect.m4       |   49 +
 libmissing/m4/close.m4                |    2 +-
 libmissing/m4/cond.m4                 |    2 +-
 libmissing/m4/configmake.m4           |    2 +-
 libmissing/m4/ctype.m4                |    2 +-
 libmissing/m4/dup2.m4                 |    2 +-
 libmissing/m4/eealloc.m4              |    2 +-
 libmissing/m4/environ.m4              |    2 +-
 libmissing/m4/errno_h.m4              |    2 +-
 libmissing/m4/exponentd.m4            |    2 +-
 libmissing/m4/extensions.m4           |   46 +-
 libmissing/m4/extern-inline.m4        |    2 +-
 libmissing/m4/fclose.m4               |    9 +-
 libmissing/m4/fcntl-o.m4              |    2 +-
 libmissing/m4/fcntl_h.m4              |    2 +-
 libmissing/m4/fdopen.m4               |    2 +-
 libmissing/m4/fflush.m4               |    2 +-
 libmissing/m4/flexmember.m4           |   43 +
 libmissing/m4/float_h.m4              |    2 +-
 libmissing/m4/fopen.m4                |    2 +-
 libmissing/m4/fpieee.m4               |    2 +-
 libmissing/m4/fpurge.m4               |    2 +-
 libmissing/m4/freading.m4             |    2 +-
 libmissing/m4/fseek.m4                |    2 +-
 libmissing/m4/fseeko.m4               |    2 +-
 libmissing/m4/fstat.m4                |    2 +-
 libmissing/m4/ftell.m4                |    2 +-
 libmissing/m4/ftello.m4               |    2 +-
 libmissing/m4/ftruncate.m4            |    2 +-
 libmissing/m4/getaddrinfo.m4          |    6 +-
 libmissing/m4/getcwd.m4               |    2 +-
 libmissing/m4/getdelim.m4             |    2 +-
 libmissing/m4/getdtablesize.m4        |    2 +-
 libmissing/m4/gethostname.m4          |    2 +-
 libmissing/m4/getline.m4              |    2 +-
 libmissing/m4/getpagesize.m4          |    2 +-
 libmissing/m4/getpass.m4              |    2 +-
 libmissing/m4/gettimeofday.m4         |    2 +-
 libmissing/m4/glibc21.m4              |    2 +-
 libmissing/m4/gnulib-cache.m4         |    2 +-
 libmissing/m4/gnulib-common.m4        |    2 +-
 libmissing/m4/gnulib-comp.m4          |   39 +-
 libmissing/m4/gnulib-tool.m4          |    2 +-
 libmissing/m4/hard-locale.m4          |    2 +-
 libmissing/m4/hostent.m4              |    2 +-
 libmissing/m4/include_next.m4         |    2 +-
 libmissing/m4/inet_ntop.m4            |    2 +-
 libmissing/m4/inet_pton.m4            |    2 +-
 libmissing/m4/intmax_t.m4             |    2 +-
 libmissing/m4/inttypes-pri.m4         |    2 +-
 libmissing/m4/inttypes.m4             |    2 +-
 libmissing/m4/inttypes_h.m4           |    2 +-
 libmissing/m4/ioctl.m4                |    2 +-
 libmissing/m4/isblank.m4              |   17 +
 libmissing/m4/langinfo_h.m4           |    2 +-
 libmissing/m4/largefile.m4            |    2 +-
 libmissing/m4/lib-ld.m4               |    2 +-
 libmissing/m4/lib-link.m4             |    2 +-
 libmissing/m4/lib-prefix.m4           |    2 +-
 libmissing/m4/limits-h.m4             |   31 +
 libmissing/m4/localcharset.m4         |    2 +-
 libmissing/m4/locale-fr.m4            |    2 +-
 libmissing/m4/locale-ja.m4            |    2 +-
 libmissing/m4/locale-tr.m4            |    2 +-
 libmissing/m4/locale-zh.m4            |    2 +-
 libmissing/m4/locale_h.m4             |    2 +-
 libmissing/m4/localeconv.m4           |    2 +-
 libmissing/m4/localename.m4           |    2 +-
 libmissing/m4/lock.m4                 |    2 +-
 libmissing/m4/longlong.m4             |    2 +-
 libmissing/m4/lseek.m4                |    2 +-
 libmissing/m4/lstat.m4                |    2 +-
 libmissing/m4/malloc.m4               |    2 +-
 libmissing/m4/malloca.m4              |    2 +-
 libmissing/m4/math_h.m4               |   16 +-
 libmissing/m4/mbrtowc.m4              |   14 +-
 libmissing/m4/mbsinit.m4              |    2 +-
 libmissing/m4/mbstate_t.m4            |    2 +-
 libmissing/m4/mbtowc.m4               |    2 +-
 libmissing/m4/memchr.m4               |    2 +-
 libmissing/m4/memmem.m4               |    2 +-
 libmissing/m4/minmax.m4               |    2 +-
 libmissing/m4/mktime.m4               |    5 +-
 libmissing/m4/mmap-anon.m4            |    2 +-
 libmissing/m4/mode_t.m4               |    2 +-
 libmissing/m4/msvc-inval.m4           |    2 +-
 libmissing/m4/msvc-nothrow.m4         |    2 +-
 libmissing/m4/multiarch.m4            |    2 +-
 libmissing/m4/netdb_h.m4              |    2 +-
 libmissing/m4/netinet_in_h.m4         |    2 +-
 libmissing/m4/nl_langinfo.m4          |    2 +-
 libmissing/m4/off_t.m4                |    2 +-
 libmissing/m4/onceonly.m4             |    2 +-
 libmissing/m4/open.m4                 |    2 +-
 libmissing/m4/pathmax.m4              |    2 +-
 libmissing/m4/perror.m4               |    2 +-
 libmissing/m4/pipe.m4                 |    2 +-
 libmissing/m4/poll.m4                 |    2 +-
 libmissing/m4/poll_h.m4               |    2 +-
 libmissing/m4/printf.m4               |    4 +-
 libmissing/m4/putenv.m4               |    2 +-
 libmissing/m4/raise.m4                |    2 +-
 libmissing/m4/realloc.m4              |   79 --
 libmissing/m4/regex.m4                |    2 +-
 libmissing/m4/relocatable-lib.m4      |    2 +-
 libmissing/m4/select.m4               |    2 +-
 libmissing/m4/servent.m4              |    2 +-
 libmissing/m4/setenv.m4               |    2 +-
 libmissing/m4/setlocale.m4            |    2 +-
 libmissing/m4/signal_h.m4             |    2 +-
 libmissing/m4/signalblocking.m4       |    2 +-
 libmissing/m4/size_max.m4             |    2 +-
 libmissing/m4/sleep.m4                |    2 +-
 libmissing/m4/snprintf.m4             |   12 +-
 libmissing/m4/socketlib.m4            |    2 +-
 libmissing/m4/sockets.m4              |    2 +-
 libmissing/m4/socklen.m4              |    2 +-
 libmissing/m4/sockpfaf.m4             |    2 +-
 libmissing/m4/ssize_t.m4              |    2 +-
 libmissing/m4/stat.m4                 |    2 +-
 libmissing/m4/stdalign.m4             |    2 +-
 libmissing/m4/stdbool.m4              |   30 +-
 libmissing/m4/stddef_h.m4             |    2 +-
 libmissing/m4/stdint.m4               |   66 +-
 libmissing/m4/stdint_h.m4             |    2 +-
 libmissing/m4/stdio_h.m4              |   14 +-
 libmissing/m4/stdlib_h.m4             |    7 +-
 libmissing/m4/strcase.m4              |    2 +-
 libmissing/m4/strcasestr.m4           |    2 +-
 libmissing/m4/strdup.m4               |    2 +-
 libmissing/m4/strerror.m4             |    2 +-
 libmissing/m4/strerror_r.m4           |   28 +-
 libmissing/m4/string_h.m4             |    2 +-
 libmissing/m4/strings_h.m4            |    2 +-
 libmissing/m4/strndup.m4              |    2 +-
 libmissing/m4/strnlen.m4              |    2 +-
 libmissing/m4/strptime.m4             |    2 +-
 libmissing/m4/strsep.m4               |    2 +-
 libmissing/m4/symlink.m4              |    2 +-
 libmissing/m4/sys_ioctl_h.m4          |    2 +-
 libmissing/m4/sys_select_h.m4         |    2 +-
 libmissing/m4/sys_socket_h.m4         |    2 +-
 libmissing/m4/sys_stat_h.m4           |    2 +-
 libmissing/m4/sys_time_h.m4           |    2 +-
 libmissing/m4/sys_types_h.m4          |   29 +-
 libmissing/m4/sys_uio_h.m4            |    2 +-
 libmissing/m4/sys_utsname_h.m4        |    2 +-
 libmissing/m4/thread.m4               |    2 +-
 libmissing/m4/threadlib.m4            |    8 +-
 libmissing/m4/time_h.m4               |    2 +-
 libmissing/m4/time_r.m4               |    2 +-
 libmissing/m4/timegm.m4               |    2 +-
 libmissing/m4/tls.m4                  |    2 +-
 libmissing/m4/tm_gmtoff.m4            |    2 +-
 libmissing/m4/uname.m4                |    2 +-
 libmissing/m4/ungetc.m4               |    2 +-
 libmissing/m4/unistd_h.m4             |    5 +-
 libmissing/m4/vasnprintf.m4           |    2 +-
 libmissing/m4/vsnprintf.m4            |   12 +-
 libmissing/m4/warn-on-use.m4          |    2 +-
 libmissing/m4/wchar_h.m4              |   16 +-
 libmissing/m4/wchar_t.m4              |    2 +-
 libmissing/m4/wcrtomb.m4              |    2 +-
 libmissing/m4/wctob.m4                |    2 +-
 libmissing/m4/wctomb.m4               |    2 +-
 libmissing/m4/wctype_h.m4             |    2 +-
 libmissing/m4/wint_t.m4               |   36 +-
 libmissing/m4/write.m4                |    2 +-
 libmissing/m4/xsize.m4                |    2 +-
 libmissing/m4/yield.m4                |    2 +-
 libmissing/malloc.c                   |    2 +-
 libmissing/mbrtowc.c                  |    2 +-
 libmissing/mbsinit.c                  |    2 +-
 libmissing/mbtowc-impl.h              |    2 +-
 libmissing/mbtowc.c                   |    2 +-
 libmissing/memchr.c                   |    2 +-
 libmissing/memmem.c                   |    6 +-
 libmissing/minmax.h                   |    2 +-
 libmissing/mktime-internal.h          |    2 +-
 libmissing/mktime.c                   |    4 +-
 libmissing/msvc-inval.c               |    2 +-
 libmissing/msvc-inval.h               |    2 +-
 libmissing/msvc-nothrow.c             |    2 +-
 libmissing/msvc-nothrow.h             |    2 +-
 libmissing/netdb.in.h                 |    2 +-
 libmissing/netinet_in.in.h            |    2 +-
 libmissing/nl_langinfo.c              |   39 +-
 libmissing/pathmax.h                  |    2 +-
 libmissing/perror.c                   |    2 +-
 libmissing/poll.c                     |    2 +-
 libmissing/poll.in.h                  |    2 +-
 libmissing/printf-args.c              |    2 +-
 libmissing/printf-args.h              |    2 +-
 libmissing/printf-parse.c             |    2 +-
 libmissing/printf-parse.h             |    2 +-
 libmissing/raise.c                    |    2 +-
 libmissing/realloc.c                  |   79 --
 libmissing/ref-add.sin                |    2 +-
 libmissing/ref-del.sin                |    2 +-
 libmissing/regcomp.c                  |    2 +-
 libmissing/regex.c                    |    2 +-
 libmissing/regex.h                    |    8 +-
 libmissing/regex_internal.c           |    2 +-
 libmissing/regex_internal.h           |   10 +-
 libmissing/regexec.c                  |    8 +-
 libmissing/relocatable.c              |   14 +-
 libmissing/relocatable.h              |    2 +-
 libmissing/select.c                   |    2 +-
 libmissing/setsockopt.c               |    2 +-
 libmissing/signal.in.h                |    2 +-
 libmissing/sigprocmask.c              |    2 +-
 libmissing/size_max.h                 |    2 +-
 libmissing/sleep.c                    |    2 +-
 libmissing/snprintf.c                 |    2 +-
 libmissing/socket.c                   |    2 +-
 libmissing/sockets.c                  |    2 +-
 libmissing/sockets.h                  |    2 +-
 libmissing/stat.c                     |    2 +-
 libmissing/stdalign.in.h              |    2 +-
 libmissing/stdbool.in.h               |    2 +-
 libmissing/stddef.in.h                |    2 +-
 libmissing/stdint.in.h                |  758 ++++++------
 libmissing/stdio-impl.h               |   29 +-
 libmissing/stdio.in.h                 |   22 +-
 libmissing/stdlib.in.h                |   17 +-
 libmissing/str-two-way.h              |    2 +-
 libmissing/strcasecmp.c               |    2 +-
 libmissing/strcasestr.c               |    2 +-
 libmissing/strdup.c                   |    2 +-
 libmissing/streq.h                    |    2 +-
 libmissing/strerror-override.c        |    2 +-
 libmissing/strerror-override.h        |    2 +-
 libmissing/strerror.c                 |    5 +-
 libmissing/strerror_r.c               |    4 +-
 libmissing/string.in.h                |   18 +-
 libmissing/strings.in.h               |    2 +-
 libmissing/strncasecmp.c              |    2 +-
 libmissing/strndup.c                  |    2 +-
 libmissing/strnlen.c                  |    2 +-
 libmissing/strptime.c                 |   20 +-
 libmissing/strsep.c                   |    2 +-
 libmissing/sys_ioctl.in.h             |    2 +-
 libmissing/sys_select.in.h            |    2 +-
 libmissing/sys_socket.in.h            |    7 +-
 libmissing/sys_stat.in.h              |    2 +-
 libmissing/sys_time.in.h              |    9 +-
 libmissing/sys_types.in.h             |    2 +-
 libmissing/sys_uio.in.h               |    2 +-
 libmissing/sys_utsname.in.h           |    2 +-
 libmissing/tests/Makefile.am          |   41 +-
 libmissing/tests/binary-io.h          |    2 +-
 libmissing/tests/c-strcase.h          |    2 +-
 libmissing/tests/c-strcasecmp.c       |    2 +-
 libmissing/tests/c-strncasecmp.c      |    2 +-
 libmissing/tests/ctype.in.h           |    2 +-
 libmissing/tests/fcntl.in.h           |    2 +-
 libmissing/tests/fdopen.c             |    2 +-
 libmissing/tests/flexmember.h         |   42 +
 libmissing/tests/fpucw.h              |    2 +-
 libmissing/tests/ftruncate.c          |    2 +-
 libmissing/tests/getcwd-lgpl.c        |    2 +-
 libmissing/tests/getdtablesize.c      |    2 +-
 libmissing/tests/getpagesize.c        |    2 +-
 libmissing/tests/glthread/yield.h     |    2 +-
 libmissing/tests/ignore-value.h       |    2 +-
 libmissing/tests/init.sh              |   79 +-
 libmissing/tests/inttypes.in.h        |    2 +-
 libmissing/tests/isblank.c            |   33 +
 libmissing/tests/localename.c         |    8 +-
 libmissing/tests/localename.h         |    2 +-
 libmissing/tests/lstat.c              |    2 +-
 libmissing/tests/macros.h             |    2 +-
 libmissing/tests/malloca.c            |    2 +-
 libmissing/tests/malloca.h            |   15 +-
 libmissing/tests/open.c               |    2 +-
 libmissing/tests/pipe.c               |    2 +-
 libmissing/tests/putenv.c             |    2 +-
 libmissing/tests/same-inode.h         |    8 +-
 libmissing/tests/setenv.c             |    2 +-
 libmissing/tests/setlocale.c          |    2 +-
 libmissing/tests/signature.h          |    2 +-
 libmissing/tests/symlink.c            |    2 +-
 libmissing/tests/test-accept.c        |    2 +-
 libmissing/tests/test-alloca-opt.c    |    2 +-
 libmissing/tests/test-arpa_inet.c     |    2 +-
 libmissing/tests/test-binary-io.c     |    2 +-
 libmissing/tests/test-bind.c          |    2 +-
 libmissing/tests/test-btowc.c         |    2 +-
 libmissing/tests/test-c-ctype.c       |    2 +-
 libmissing/tests/test-c-strcasecmp.c  |    5 +-
 libmissing/tests/test-c-strncasecmp.c |    5 +-
 libmissing/tests/test-close.c         |    2 +-
 libmissing/tests/test-cond.c          |    2 +-
 libmissing/tests/test-connect.c       |    2 +-
 libmissing/tests/test-ctype.c         |    2 +-
 libmissing/tests/test-dup2.c          |    2 +-
 libmissing/tests/test-environ.c       |    2 +-
 libmissing/tests/test-errno.c         |    2 +-
 libmissing/tests/test-fclose.c        |    2 +-
 libmissing/tests/test-fcntl-h.c       |    2 +-
 libmissing/tests/test-fdopen.c        |    2 +-
 libmissing/tests/test-fflush.c        |    2 +-
 libmissing/tests/test-fflush2.c       |    2 +-
 libmissing/tests/test-fgetc.c         |    2 +-
 libmissing/tests/test-float.c         |    2 +-
 libmissing/tests/test-fopen.c         |    2 +-
 libmissing/tests/test-fopen.h         |    2 +-
 libmissing/tests/test-fpurge.c        |    2 +-
 libmissing/tests/test-fputc.c         |    2 +-
 libmissing/tests/test-fread.c         |    2 +-
 libmissing/tests/test-freading.c      |    2 +-
 libmissing/tests/test-fseek.c         |    2 +-
 libmissing/tests/test-fseeko.c        |    2 +-
 libmissing/tests/test-fseeko3.c       |    2 +-
 libmissing/tests/test-fseeko4.c       |    2 +-
 libmissing/tests/test-fstat.c         |    2 +-
 libmissing/tests/test-ftell.c         |    2 +-
 libmissing/tests/test-ftell3.c        |    2 +-
 libmissing/tests/test-ftello.c        |    2 +-
 libmissing/tests/test-ftello3.c       |    2 +-
 libmissing/tests/test-ftello4.c       |    2 +-
 libmissing/tests/test-ftruncate.c     |    2 +-
 libmissing/tests/test-fwrite.c        |    2 +-
 libmissing/tests/test-getaddrinfo.c   |    9 +-
 libmissing/tests/test-getcwd-lgpl.c   |    2 +-
 libmissing/tests/test-getdelim.c      |    2 +-
 libmissing/tests/test-getdtablesize.c |    2 +-
 libmissing/tests/test-gethostname.c   |    2 +-
 libmissing/tests/test-getline.c       |    2 +-
 libmissing/tests/test-getsockname.c   |    2 +-
 libmissing/tests/test-gettimeofday.c  |    2 +-
 libmissing/tests/test-ignore-value.c  |    2 +-
 libmissing/tests/test-inet_ntop.c     |    2 +-
 libmissing/tests/test-inet_pton.c     |    2 +-
 libmissing/tests/test-init.sh         |    5 +-
 libmissing/tests/test-intprops.c      |   11 +-
 libmissing/tests/test-inttypes.c      |    2 +-
 libmissing/tests/test-ioctl.c         |    2 +-
 libmissing/tests/test-isblank.c       |   50 +
 libmissing/tests/test-langinfo.c      |    2 +-
 libmissing/tests/test-limits-h.c      |   50 +
 libmissing/tests/test-listen.c        |    2 +-
 libmissing/tests/test-locale.c        |    2 +-
 libmissing/tests/test-localeconv.c    |    2 +-
 libmissing/tests/test-localename.c    |    2 +-
 libmissing/tests/test-lock.c          |   81 +-
 libmissing/tests/test-lseek.c         |    2 +-
 libmissing/tests/test-lstat.c         |    2 +-
 libmissing/tests/test-lstat.h         |    2 +-
 libmissing/tests/test-malloca.c       |    2 +-
 libmissing/tests/test-mbrtowc-w32.c   |    2 +-
 libmissing/tests/test-mbrtowc.c       |    2 +-
 libmissing/tests/test-mbsinit.c       |    2 +-
 libmissing/tests/test-memchr.c        |    2 +-
 libmissing/tests/test-memmem.c        |    2 +-
 libmissing/tests/test-netdb.c         |    2 +-
 libmissing/tests/test-netinet_in.c    |    2 +-
 libmissing/tests/test-nl_langinfo.c   |    2 +-
 libmissing/tests/test-open.c          |    2 +-
 libmissing/tests/test-open.h          |    2 +-
 libmissing/tests/test-pathmax.c       |    2 +-
 libmissing/tests/test-perror.c        |    2 +-
 libmissing/tests/test-perror2.c       |    2 +-
 libmissing/tests/test-pipe.c          |    2 +-
 libmissing/tests/test-poll-h.c        |    2 +-
 libmissing/tests/test-poll.c          |    2 +-
 libmissing/tests/test-raise.c         |    2 +-
 libmissing/tests/test-regex.c         |    2 +-
 libmissing/tests/test-select-fd.c     |    2 +-
 libmissing/tests/test-select-stdin.c  |    2 +-
 libmissing/tests/test-select.c        |    2 +-
 libmissing/tests/test-select.h        |    2 +-
 libmissing/tests/test-setenv.c        |    2 +-
 libmissing/tests/test-setlocale1.c    |    2 +-
 libmissing/tests/test-setlocale2.c    |    2 +-
 libmissing/tests/test-setsockopt.c    |    2 +-
 libmissing/tests/test-signal-h.c      |    2 +-
 libmissing/tests/test-sigprocmask.c   |    2 +-
 libmissing/tests/test-sleep.c         |    2 +-
 libmissing/tests/test-snprintf.c      |    2 +-
 libmissing/tests/test-sockets.c       |    2 +-
 libmissing/tests/test-stat.c          |    2 +-
 libmissing/tests/test-stat.h          |    2 +-
 libmissing/tests/test-stdalign.c      |    2 +-
 libmissing/tests/test-stdbool.c       |    2 +-
 libmissing/tests/test-stddef.c        |    2 +-
 libmissing/tests/test-stdint.c        |   69 +-
 libmissing/tests/test-stdio.c         |    2 +-
 libmissing/tests/test-stdlib.c        |    2 +-
 libmissing/tests/test-strcasestr.c    |    2 +-
 libmissing/tests/test-strerror.c      |    2 +-
 libmissing/tests/test-strerror_r.c    |    2 +-
 libmissing/tests/test-string.c        |    2 +-
 libmissing/tests/test-strings.c       |    2 +-
 libmissing/tests/test-strnlen.c       |    2 +-
 libmissing/tests/test-symlink.c       |    2 +-
 libmissing/tests/test-symlink.h       |    2 +-
 libmissing/tests/test-sys_ioctl.c     |    2 +-
 libmissing/tests/test-sys_select.c    |    2 +-
 libmissing/tests/test-sys_socket.c    |    2 +-
 libmissing/tests/test-sys_stat.c      |    2 +-
 libmissing/tests/test-sys_time.c      |    2 +-
 libmissing/tests/test-sys_types.c     |    2 +-
 libmissing/tests/test-sys_uio.c       |    2 +-
 libmissing/tests/test-sys_utsname.c   |    2 +-
 libmissing/tests/test-sys_wait.h      |    2 +-
 libmissing/tests/test-thread_create.c |    2 +-
 libmissing/tests/test-thread_self.c   |    2 +-
 libmissing/tests/test-time.c          |    2 +-
 libmissing/tests/test-tls.c           |    2 +-
 libmissing/tests/test-uname.c         |    2 +-
 libmissing/tests/test-unistd.c        |    2 +-
 libmissing/tests/test-unsetenv.c      |    2 +-
 libmissing/tests/test-vasnprintf.c    |    2 +-
 libmissing/tests/test-verify.c        |    2 +-
 libmissing/tests/test-vsnprintf.c     |    2 +-
 libmissing/tests/test-wchar.c         |    2 +-
 libmissing/tests/test-wcrtomb-w32.c   |    2 +-
 libmissing/tests/test-wcrtomb.c       |    2 +-
 libmissing/tests/test-wctype-h.c      |    2 +-
 libmissing/tests/test-write.c         |    2 +-
 libmissing/tests/unsetenv.c           |    2 +-
 libmissing/tests/wctob.c              |    2 +-
 libmissing/tests/wctomb-impl.h        |    2 +-
 libmissing/tests/wctomb.c             |    2 +-
 libmissing/tests/xalloc-oversized.h   |   68 ++
 libmissing/tests/zerosize-ptr.h       |    2 +-
 libmissing/time.in.h                  |    2 +-
 libmissing/time_r.c                   |    2 +-
 libmissing/timegm.c                   |    2 +-
 libmissing/uname.c                    |    2 +-
 libmissing/unistd.in.h                |    8 +-
 libmissing/vasnprintf.c               |    4 +-
 libmissing/vasnprintf.h               |    2 +-
 libmissing/verify.h                   |    2 +-
 libmissing/vsnprintf.c                |    2 +-
 libmissing/w32sock.h                  |    2 +-
 libmissing/wchar.in.h                 |    9 +-
 libmissing/wcrtomb.c                  |    2 +-
 libmissing/wctype.in.h                |   23 +-
 libmissing/write.c                    |    2 +-
 libmissing/xsize.h                    |    2 +-
 m4/gtk-doc.m4                         |   47 +-
 snippet/arg-nonnull.h                 |    2 +-
 snippet/c++defs.h                     |   89 +-
 snippet/unused-parameter.h            |    2 +-
 snippet/warn-on-use.h                 |    2 +-
 526 files changed, 3640 insertions(+), 2364 deletions(-)

commit 6ab05c5c1e4cec8534c3e093ea942ff8e9b12050
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Sep 21 15:47:29 2016 +0200

    [#1939] Get rid of libgcrypt
    
    Nowaydays, libgcrypt functions that we used are now available directly from GnuTLS,
    which use libnettle.
    
    Change-Id: I2ca9b61437193efa29868aaff8e8117a23778296

 README                       |   4 +-
 configure.ac                 |  21 ++------
 m4/libgcrypt.m4              | 123 -------------------------------------------
 m4/libprelude.m4             |   1 -
 prelude-admin/server.c       |  12 +++--
 prelude-admin/tls-register.c |  14 -----
 src/Makefile.am              |   2 +-
 src/common.c                 | 109 ++++++++++++++++++++++++++++++++++++++
 src/include/common.h         |   2 +
 src/prelude-client.c         |  14 +++--
 src/prelude-failover.c       |  17 +++---
 src/prelude-ident.c          |   9 ++--
 src/prelude.c                |  60 +--------------------
 13 files changed, 150 insertions(+), 238 deletions(-)

commit 974c884325403df970581e8a4435f93a2733a3d6
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Dec 23 10:59:22 2016 +0100

    Update NEWS, bump version
    
    Change-Id: Id452d8820f4769c7e7c34425d86be6da7628889c

 NEWS         | 18 ++++++++++++++++++
 configure.ac | 16 ++++++++--------
 2 files changed, 26 insertions(+), 8 deletions(-)

commit af4d61f763210e1a4dd9b3da0abcea3bc7a2280f
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Dec 6 17:42:18 2016 +0800

    [#2091] Implement idmef_criteria_get_class()
    
    This function can be used to retrieve the idmef_class_id_t of the root
    paths elements used for a given criteria.
    
    Change-Id: Id1a7e43e71b09064cf4d0d7ca3364859939a46dc

 src/idmef-criteria.c         | 27 +++++++++++++++++++++++++++
 src/include/idmef-criteria.h |  2 ++
 2 files changed, 29 insertions(+)

commit 5293b3b06ab9792480a83f65817fc879aec87db3
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Nov 21 22:31:09 2016 +0800

    [#rel2047] Implement prelude.return_unicode(flags)
    
    When enabled, string returned from SWIG wrapped function will be
    converted to unicode.
    
    Change-Id: I7cd2e29d22c7490780cc8e90f4dc1143e825d5cf

 bindings/python/_prelude.cxx           | 215 +++++++++++++++++++++++----------
 bindings/python/libpreludecpp-python.i |   9 ++
 bindings/python/pystrings.swg          | 146 ++++++++++++++--------
 3 files changed, 252 insertions(+), 118 deletions(-)

commit 73747412859478908ef2d54df5a3362ccb1aa75c
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Oct 24 17:24:50 2016 +0800

    [#1940] Fix possible IDMEFValue 'out of range' error
    
    If errno is set to ERANGE before the convertion function are called, an
    error will be returned even tought the convertion was successful. Initialize
    errno before the calls.
    
    Change-Id: Icc267d5461b0132c2c32b175cf4a2ab494a99af9

 src/idmef-value-type.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 25a14f0a8e7ffa089246ff7d833eb52f1c986b2d
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Wed Sep 14 00:46:24 2016 +0200

    Update NEWS, bump version
    
    Change-Id: I3522946865b4b6375508d778dffb77eff9f5db6a

 NEWS         | 8 ++++++++
 configure.ac | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 784240e25c18ed7cfe00ab74dbbf8ee082daa979
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Sat Sep 10 16:23:04 2016 +0200

    [#1654] Fix idmef_path_(get|set) docstring
    
    Change-Id: I919f851d9f649015c704db93c7164f70c7144b65

 src/idmef-path.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e499ea12bf327a7cd2aadcd44f00fc0f5c0ca3f
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Sep 1 08:35:04 2016 +0200

    Update NEWS, bump version
    
    Change-Id: I6e90fc1c3be35bd30e1e9c2d4d0a0d65ac4d6afd

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 01c57f045fe90836c9a3131369ce1b54e4d00a0c
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Aug 19 16:20:00 2016 +0200

    Update NEWS, bump version
    
    Change-Id: I1df8a33dbea4b943ae75935f5483a9e025e39257

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 6783faf6270212b5f8c9db1705a09dae3d028f47
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Fri Jul 15 23:14:56 2016 +0200

    [#1770] Fix configure and --with-ruby
    
    Change-Id: Ic29adcfac37260b3ce2cf766a84d4912efc39bf8

 configure.ac       | 7 ++++++-
 m4/am_path_ruby.m4 | 7 +++----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 0c051aac910511882f3b87ef1078a2b6cf820fac
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Aug 5 16:11:21 2016 +0200

    Update NEWS, bump version
    
    Change-Id: I3ae37c7ad95ee108f34e402c9f418d76ae4e2535

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.ac | 14 +++++++-------
 2 files changed, 46 insertions(+), 7 deletions(-)

commit bcdf6fa8b989c83bd7cb0b94ee918fac7fde5824
Merge: 55c81f0 ad39b1d
Author: Thomas Andrejak <thomas.andrejak@c-s.fr>
Date:   Fri Aug 5 16:06:29 2016 +0200

    Merge "[#1804] Fix detection of lua 5.2"

commit ad39b1d0ccb8c1b08a32e7723ce0fe7f92460406
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Aug 1 19:32:50 2016 +0200

    [#1804] Fix detection of lua 5.2
    
    Change-Id: I0de13f433492d08ccdaad2cb5dcb5119f230e0a3

 configure.ac | 24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit 55c81f0ad1bedaa233cb0b4f036b0970f957eae1
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 25 00:38:37 2016 +0200

    [#1785] Fix python uninstall with /usr and /usr/local
    
    Change-Id: Iadea7533a051bb79418dd17f642910c5c35c123c

 bindings/python/Makefile.am |  8 ++++----
 bindings/python/setup.py.in | 11 +++++++++--
 2 files changed, 13 insertions(+), 6 deletions(-)

commit e6fa1df68edb9f6b0099e5632f1934ca45044ac9
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 25 00:40:13 2016 +0200

    [#1785] Fix perl binding cleaning
    
    When running "make distcheck", if one command fails, the whole directive
    fails. So if "test -f", the whole clean-local fail.
    
    Change-Id: I60c3ba6e0f8539b7bbe08b3612880d1be6ed5161

 bindings/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd6f118e4c3b070004d34a9738cbedb2256ea824
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 25 00:42:32 2016 +0200

    [#rel1785] Missing dependencies in README
    
    Change-Id: Ia590bb518e74356bc9753d6451256c36b4ac6e51

 README | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 422b0865bd08cd5016a6a8876821a1632cf7dc3b
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Tue Aug 2 17:14:11 2016 +0200

    [#1806] Make the perl binding use LDFLAGS
    
    Change-Id: I8a3e857bde3a2abbde6e33351f6b5db127068c8e

 bindings/perl/Makefile.PL.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e9994dba42dd6b3a29033ae3b1c107acf622fdb
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Tue Aug 2 11:06:14 2016 +0200

    [#1806] Enable configure to detect ruby with pkg-config
    
    Change-Id: Id2e07e4654021f43af02db717b8a75f8f066f62a

 m4/am_path_ruby.m4 | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 15121a419976098ec87a61d56aaa56c74205c6b8
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 25 00:36:20 2016 +0200

    [#1785] Fix cleanning of lex and yacc files
    
    Change-Id: I3750d604abb061102774c49df6bb599d564a4951

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22361f9d57d37c11839a2069734dee1ff42a77b9
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 25 00:25:51 2016 +0200

    [#1784] Rename configure.in to configure.ac
    
    Change-Id: Ic8d031e17c21556436a1b640e5c64c86b6f7bc63

 configure.ac | 853 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 853 -----------------------------------------------------------
 2 files changed, 853 insertions(+), 853 deletions(-)

commit b7482747267d1f4201e08e53a952e5f6a3580f6b
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Thu Jul 7 23:25:03 2016 +0200

    [#1761] Fix man page entry for RPMLint
    
    Change-Id: Ic13a9ac964362df23272533e42c3554ec07eac8b

 docs/manpages/prelude-admin.1 | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9920fa40f3e89de36f806c1fd0616aebdaefeee5
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 4 10:44:29 2016 +0200

    [#1751] Update FSF address
    
    Change-Id: Ia3edb1f04671b3d054943f230da4eece973036b3

 bindings/python/setup.py.in             | 6 +++---
 src/libprelude-error/prelude-error.h.in | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit bdac8d618ecb4347e0851d7586b9d19bfc5b8298
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Mon Jul 4 10:39:49 2016 +0200

    [#1750] Make libprelude-error take CFLAGS into account
    
    Change-Id: I4648fc25e49a012505a1b388afbdbda7794ce0d8

 src/libprelude-error/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64924a46a0c1c4a5f41ab708af0a52a6b69274ac
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Jul 6 16:01:08 2016 +0200

    [#1686] Add a JSON export/import module
    
    Export a IDMEF object:
    void idmef_message_print_json(idmef_message_t *ptr, prelude_io_t *fd);
    
    Import a IDMEF JSON:
    int idmef_message_read_json(idmef_message_t *message, const char * json_message);
    
    Change-Id: Ifaae7dc1117e86b6bdb1c953d75351bf08414901

 bindings/c++/idmef.cxx                             |   62 +-
 bindings/c++/include/idmef.hxx                     |    3 +
 bindings/libpreludecpp.i                           |    1 +
 bindings/lua/prelude.cxx                           |   75 +-
 bindings/perl/Prelude.cxx                          |  100 +-
 bindings/perl/Prelude.pm                           |    1 +
 bindings/python/_prelude.cxx                       |  245 +-
 bindings/python/libpreludecpp-python.i             |   34 +-
 bindings/ruby/Prelude.cxx                          |   88 +-
 configure.in                                       |    1 +
 src/Makefile.am                                    |    6 +-
 src/idmef-class.c                                  |   14 +
 src/idmef-message-print-json.c                     | 3556 ++++++++++++++++
 src/idmef-message-read-json.c                      | 4334 ++++++++++++++++++++
 src/idmef-object.c                                 |    6 +
 .../GenerateIDMEFMessagePrintJSONC.pm              |  466 +++
 .../GenerateIDMEFMessagePrintJSONH.pm              |   96 +
 .../GenerateIDMEFMessageReadJSONC.pm               |  846 ++++
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm    |    2 +
 src/idmef-wrappers-gen/generator.pl                |   15 +
 src/include/Makefile.am                            |    1 +
 src/include/idmef-class.h                          |    2 +
 src/include/idmef-message-print-json.h             |   72 +
 src/include/idmef-object.h                         |    4 +
 src/include/idmef-tree-data.h                      |   61 +-
 src/jsmn/Makefile.am                               |    1 +
 src/jsmn/jsmn.c                                    |  311 ++
 src/jsmn/jsmn.h                                    |   76 +
 28 files changed, 10364 insertions(+), 115 deletions(-)

commit 30ee157aee18f795b53fee9411e8ba78b80f9283
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Jul 6 15:53:00 2016 +0200

    Update SWIG code
    
    Change-Id: I7ba88f3d0c15a9057e673ebde35254eade9c1c29

 bindings/lua/prelude.cxx     |   77 +++-
 bindings/perl/Prelude.cxx    |  250 +++++-----
 bindings/perl/Prelude.pm     |    2 +-
 bindings/python/_prelude.cxx | 1048 ++++++++++++++++++++++++++++++++----------
 bindings/python/prelude.py   |   56 ++-
 bindings/ruby/Prelude.cxx    |  908 ++++++++++++++++++------------------
 6 files changed, 1499 insertions(+), 842 deletions(-)

commit e3118bfd546ef03fbe9bb742674787e48c4c26d9
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Sun May 1 17:56:29 2016 +0700

    [#rel1686] idmef_data_to_string() can output binary string stored as "char-string"
    
    Change-Id: I082fb52e6deaf38c02e1af7deaa480935a2d8972

 src/idmef-data.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2142ecd75b9d97c5d022deeb5d189463a45a8078
Author: Sélim Menouar <selim.menouar@c-s.fr>
Date:   Mon May 2 10:52:08 2016 +0200

    [#1684] Add libprelude-config man page
    
    Change-Id: I59c3e375ace219620e3c21fed5c14872a1508b7c

 docs/manpages/Makefile.am         |  2 +-
 docs/manpages/libprelude-config.1 | 60 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+), 1 deletion(-)

commit e792e440d55dd849bd21c1b75dfe1085ec2a7837
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Jun 16 15:52:36 2016 +0800

    Update GnuLib code
    
    Change-Id: I6307dc3a7208fc4fb54480770c864c0482d396f0

 config.rpath                          |   2 +-
 libmissing/Makefile.am                |  34 ++-
 libmissing/accept.c                   |   2 +-
 libmissing/alloca.in.h                |   2 +-
 libmissing/arpa_inet.in.h             |   2 +-
 libmissing/asnprintf.c                |   2 +-
 libmissing/assure.h                   |  37 +++
 libmissing/bind.c                     |   2 +-
 libmissing/btowc.c                    |   2 +-
 libmissing/c-ctype.c                  | 394 +---------------------------
 libmissing/c-ctype.h                  | 453 +++++++++++++++++++--------------
 libmissing/close.c                    |   2 +-
 libmissing/config.charset             |   6 +-
 libmissing/connect.c                  |   2 +-
 libmissing/dosname.h                  |   2 +-
 libmissing/dup2.c                     |  53 +++-
 libmissing/errno.in.h                 |   2 +-
 libmissing/fclose.c                   |   2 +-
 libmissing/fd-hook.c                  |   2 +-
 libmissing/fd-hook.h                  |   2 +-
 libmissing/fflush.c                   |  14 +-
 libmissing/float+.h                   |   2 +-
 libmissing/float.c                    |   2 +-
 libmissing/float.in.h                 |   2 +-
 libmissing/fopen.c                    |   2 +-
 libmissing/fpurge.c                   |   8 +-
 libmissing/freading.c                 |   5 +-
 libmissing/freading.h                 |   2 +-
 libmissing/fseek.c                    |   2 +-
 libmissing/fseeko.c                   |  13 +-
 libmissing/fstat.c                    |   2 +-
 libmissing/ftell.c                    |   2 +-
 libmissing/ftello.c                   |   2 +-
 libmissing/gai_strerror.c             |   2 +-
 libmissing/getaddrinfo.c              |   2 +-
 libmissing/getdelim.c                 |   2 +-
 libmissing/gethostname.c              |   2 +-
 libmissing/getline.c                  |   2 +-
 libmissing/getpass.c                  |   2 +-
 libmissing/getpass.h                  |   2 +-
 libmissing/getsockname.c              |   2 +-
 libmissing/gettext.h                  |  10 +-
 libmissing/gettimeofday.c             |   2 +-
 libmissing/glthread/cond.c            |   2 +-
 libmissing/glthread/cond.h            |   2 +-
 libmissing/glthread/lock.c            |   2 +-
 libmissing/glthread/lock.h            |   2 +-
 libmissing/glthread/thread.c          |   2 +-
 libmissing/glthread/thread.h          |   2 +-
 libmissing/glthread/threadlib.c       |   2 +-
 libmissing/glthread/tls.c             |   2 +-
 libmissing/glthread/tls.h             |   2 +-
 libmissing/hard-locale.c              |  72 ++++++
 libmissing/hard-locale.h              |  25 ++
 libmissing/inet_ntop.c                |   4 +-
 libmissing/inet_pton.c                |   2 +-
 libmissing/intprops.h                 | 196 ++++++++++----
 libmissing/ioctl.c                    |   2 +-
 libmissing/itold.c                    |   2 +-
 libmissing/langinfo.in.h              |   2 +-
 libmissing/listen.c                   |   2 +-
 libmissing/localcharset.c             |  44 +++-
 libmissing/localcharset.h             |   2 +-
 libmissing/locale.in.h                |   2 +-
 libmissing/localeconv.c               |   2 +-
 libmissing/lseek.c                    |   2 +-
 libmissing/m4/00gnulib.m4             |   2 +-
 libmissing/m4/absolute-header.m4      |   2 +-
 libmissing/m4/alloca.m4               |   2 +-
 libmissing/m4/arpa_inet_h.m4          |   2 +-
 libmissing/m4/btowc.m4                |   2 +-
 libmissing/m4/close.m4                |   2 +-
 libmissing/m4/codeset.m4              |   3 +-
 libmissing/m4/cond.m4                 |   2 +-
 libmissing/m4/configmake.m4           |   2 +-
 libmissing/m4/ctype.m4                |  32 +++
 libmissing/m4/dup2.m4                 |  98 ++++---
 libmissing/m4/eealloc.m4              |   2 +-
 libmissing/m4/environ.m4              |   2 +-
 libmissing/m4/errno_h.m4              |   2 +-
 libmissing/m4/exponentd.m4            |   2 +-
 libmissing/m4/extensions.m4           |   7 +-
 libmissing/m4/extern-inline.m4        |  15 +-
 libmissing/m4/fclose.m4               |   2 +-
 libmissing/m4/fcntl-o.m4              |   2 +-
 libmissing/m4/fcntl_h.m4              |   2 +-
 libmissing/m4/fdopen.m4               |   2 +-
 libmissing/m4/fflush.m4               |   2 +-
 libmissing/m4/float_h.m4              |   2 +-
 libmissing/m4/fopen.m4                |   2 +-
 libmissing/m4/fpieee.m4               |   4 +-
 libmissing/m4/fpurge.m4               |   2 +-
 libmissing/m4/freading.m4             |   2 +-
 libmissing/m4/fseek.m4                |   2 +-
 libmissing/m4/fseeko.m4               |   2 +-
 libmissing/m4/fstat.m4                |   2 +-
 libmissing/m4/ftell.m4                |   2 +-
 libmissing/m4/ftello.m4               |   2 +-
 libmissing/m4/ftruncate.m4            |   2 +-
 libmissing/m4/getaddrinfo.m4          |   2 +-
 libmissing/m4/getcwd.m4               |  13 +-
 libmissing/m4/getdelim.m4             |   6 +-
 libmissing/m4/getdtablesize.m4        |   8 +-
 libmissing/m4/gethostname.m4          |   2 +-
 libmissing/m4/getline.m4              |   7 +-
 libmissing/m4/getpagesize.m4          |   2 +-
 libmissing/m4/getpass.m4              |   2 +-
 libmissing/m4/gettimeofday.m4         |   2 +-
 libmissing/m4/glibc21.m4              |   2 +-
 libmissing/m4/gnulib-cache.m4         |   6 +-
 libmissing/m4/gnulib-common.m4        |  45 ++--
 libmissing/m4/gnulib-comp.m4          |  38 ++-
 libmissing/m4/gnulib-tool.m4          |   2 +-
 libmissing/m4/hard-locale.m4          |  11 +
 libmissing/m4/hostent.m4              |   2 +-
 libmissing/m4/include_next.m4         |   2 +-
 libmissing/m4/inet_ntop.m4            |   2 +-
 libmissing/m4/inet_pton.m4            |   2 +-
 libmissing/m4/intlmacosx.m4           |   6 +-
 libmissing/m4/intmax_t.m4             |   2 +-
 libmissing/m4/inttypes-pri.m4         |   2 +-
 libmissing/m4/inttypes.m4             |   2 +-
 libmissing/m4/inttypes_h.m4           |   2 +-
 libmissing/m4/ioctl.m4                |   2 +-
 libmissing/m4/langinfo_h.m4           |   2 +-
 libmissing/m4/largefile.m4            |   2 +-
 libmissing/m4/lcmessage.m4            |   8 +-
 libmissing/m4/lib-ld.m4               |   2 +-
 libmissing/m4/lib-link.m4             |   2 +-
 libmissing/m4/lib-prefix.m4           |   2 +-
 libmissing/m4/localcharset.m4         |   2 +-
 libmissing/m4/locale-fr.m4            |   2 +-
 libmissing/m4/locale-ja.m4            |   2 +-
 libmissing/m4/locale-tr.m4            |   2 +-
 libmissing/m4/locale-zh.m4            |   2 +-
 libmissing/m4/locale_h.m4             |   2 +-
 libmissing/m4/localeconv.m4           |   2 +-
 libmissing/m4/localename.m4           |   7 +-
 libmissing/m4/lock.m4                 |   2 +-
 libmissing/m4/longlong.m4             |   2 +-
 libmissing/m4/lseek.m4                |   2 +-
 libmissing/m4/lstat.m4                |  50 ++--
 libmissing/m4/malloc.m4               |  13 +-
 libmissing/m4/malloca.m4              |   2 +-
 libmissing/m4/math_h.m4               |   2 +-
 libmissing/m4/mbrtowc.m4              |  56 +++-
 libmissing/m4/mbsinit.m4              |   2 +-
 libmissing/m4/mbstate_t.m4            |   2 +-
 libmissing/m4/mbtowc.m4               |   2 +-
 libmissing/m4/memchr.m4               |   2 +-
 libmissing/m4/memmem.m4               |   4 +-
 libmissing/m4/minmax.m4               |   2 +-
 libmissing/m4/mktime.m4               |  24 +-
 libmissing/m4/mmap-anon.m4            |   2 +-
 libmissing/m4/mode_t.m4               |   2 +-
 libmissing/m4/msvc-inval.m4           |   2 +-
 libmissing/m4/msvc-nothrow.m4         |   2 +-
 libmissing/m4/multiarch.m4            |   2 +-
 libmissing/m4/netdb_h.m4              |   2 +-
 libmissing/m4/netinet_in_h.m4         |   2 +-
 libmissing/m4/nl_langinfo.m4          |   2 +-
 libmissing/m4/off_t.m4                |   2 +-
 libmissing/m4/onceonly.m4             |   2 +-
 libmissing/m4/open.m4                 |   2 +-
 libmissing/m4/pathmax.m4              |   2 +-
 libmissing/m4/perror.m4               |   2 +-
 libmissing/m4/pipe.m4                 |   2 +-
 libmissing/m4/poll.m4                 |   2 +-
 libmissing/m4/poll_h.m4               |   2 +-
 libmissing/m4/printf.m4               |  51 ++--
 libmissing/m4/putenv.m4               |   2 +-
 libmissing/m4/raise.m4                |   2 +-
 libmissing/m4/realloc.m4              |  13 +-
 libmissing/m4/regex.m4                |   6 +-
 libmissing/m4/relocatable-lib.m4      |   2 +-
 libmissing/m4/select.m4               |   5 +-
 libmissing/m4/servent.m4              |   2 +-
 libmissing/m4/setenv.m4               |   2 +-
 libmissing/m4/setlocale.m4            |   2 +-
 libmissing/m4/signal_h.m4             |   2 +-
 libmissing/m4/signalblocking.m4       |   2 +-
 libmissing/m4/size_max.m4             |   2 +-
 libmissing/m4/sleep.m4                |   2 +-
 libmissing/m4/snprintf.m4             |   2 +-
 libmissing/m4/socketlib.m4            |   2 +-
 libmissing/m4/sockets.m4              |   2 +-
 libmissing/m4/socklen.m4              |   2 +-
 libmissing/m4/sockpfaf.m4             |   2 +-
 libmissing/m4/ssize_t.m4              |   2 +-
 libmissing/m4/stat.m4                 |   2 +-
 libmissing/m4/stdalign.m4             |  10 +-
 libmissing/m4/stdbool.m4              |  36 +--
 libmissing/m4/stddef_h.m4             |  10 +-
 libmissing/m4/stdint.m4               |  31 ++-
 libmissing/m4/stdint_h.m4             |   2 +-
 libmissing/m4/stdio_h.m4              |  31 ++-
 libmissing/m4/stdlib_h.m4             |   2 +-
 libmissing/m4/strcase.m4              |   2 +-
 libmissing/m4/strcasestr.m4           |   4 +-
 libmissing/m4/strdup.m4               |   2 +-
 libmissing/m4/strerror.m4             |   2 +-
 libmissing/m4/strerror_r.m4           |   2 +-
 libmissing/m4/string_h.m4             |   2 +-
 libmissing/m4/strings_h.m4            |   2 +-
 libmissing/m4/strndup.m4              |   9 +-
 libmissing/m4/strnlen.m4              |   2 +-
 libmissing/m4/strptime.m4             |   2 +-
 libmissing/m4/strsep.m4               |   2 +-
 libmissing/m4/symlink.m4              |   2 +-
 libmissing/m4/sys_ioctl_h.m4          |   2 +-
 libmissing/m4/sys_select_h.m4         |   2 +-
 libmissing/m4/sys_socket_h.m4         |   2 +-
 libmissing/m4/sys_stat_h.m4           |   2 +-
 libmissing/m4/sys_time_h.m4           |   3 +-
 libmissing/m4/sys_types_h.m4          |   2 +-
 libmissing/m4/sys_uio_h.m4            |   2 +-
 libmissing/m4/sys_utsname_h.m4        |   2 +-
 libmissing/m4/thread.m4               |   2 +-
 libmissing/m4/threadlib.m4            |   2 +-
 libmissing/m4/time_h.m4               |  22 +-
 libmissing/m4/time_r.m4               |   2 +-
 libmissing/m4/timegm.m4               |   2 +-
 libmissing/m4/tls.m4                  |   2 +-
 libmissing/m4/tm_gmtoff.m4            |   2 +-
 libmissing/m4/uname.m4                |   2 +-
 libmissing/m4/ungetc.m4               |   7 +-
 libmissing/m4/unistd_h.m4             |   6 +-
 libmissing/m4/vasnprintf.m4           |   2 +-
 libmissing/m4/vsnprintf.m4            |   2 +-
 libmissing/m4/warn-on-use.m4          |   2 +-
 libmissing/m4/wchar_h.m4              |   2 +-
 libmissing/m4/wchar_t.m4              |   2 +-
 libmissing/m4/wcrtomb.m4              |   2 +-
 libmissing/m4/wctob.m4                |   2 +-
 libmissing/m4/wctomb.m4               |   2 +-
 libmissing/m4/wctype_h.m4             |   2 +-
 libmissing/m4/wint_t.m4               |   2 +-
 libmissing/m4/write.m4                |   2 +-
 libmissing/m4/xsize.m4                |   2 +-
 libmissing/m4/yield.m4                |   2 +-
 libmissing/malloc.c                   |   2 +-
 libmissing/mbrtowc.c                  |  56 ++--
 libmissing/mbsinit.c                  |   2 +-
 libmissing/mbtowc-impl.h              |   2 +-
 libmissing/mbtowc.c                   |   2 +-
 libmissing/memchr.c                   |   2 +-
 libmissing/memmem.c                   |   2 +-
 libmissing/minmax.h                   |   2 +-
 libmissing/mktime-internal.h          |  35 ++-
 libmissing/mktime.c                   | 467 +++++++++++++---------------------
 libmissing/msvc-inval.c               |   2 +-
 libmissing/msvc-inval.h               |   2 +-
 libmissing/msvc-nothrow.c             |   2 +-
 libmissing/msvc-nothrow.h             |   2 +-
 libmissing/netdb.in.h                 |   2 +-
 libmissing/netinet_in.in.h            |   2 +-
 libmissing/nl_langinfo.c              |   2 +-
 libmissing/pathmax.h                  |   2 +-
 libmissing/perror.c                   |   2 +-
 libmissing/poll.c                     |  75 ++----
 libmissing/poll.in.h                  |   2 +-
 libmissing/printf-args.c              |   2 +-
 libmissing/printf-args.h              |   2 +-
 libmissing/printf-parse.c             |   2 +-
 libmissing/printf-parse.h             |   2 +-
 libmissing/raise.c                    |   2 +-
 libmissing/realloc.c                  |   2 +-
 libmissing/ref-add.sin                |   2 +-
 libmissing/ref-del.sin                |   2 +-
 libmissing/regcomp.c                  | 179 ++++++-------
 libmissing/regex.c                    |   2 +-
 libmissing/regex.h                    |  52 ++--
 libmissing/regex_internal.c           |  59 +++--
 libmissing/regex_internal.h           |  64 +++--
 libmissing/regexec.c                  | 179 ++++++-------
 libmissing/relocatable.c              |  77 +++++-
 libmissing/relocatable.h              |   2 +-
 libmissing/select.c                   |   2 +-
 libmissing/setsockopt.c               |   2 +-
 libmissing/signal.in.h                |  10 +-
 libmissing/sigprocmask.c              |   2 +-
 libmissing/size_max.h                 |   2 +-
 libmissing/sleep.c                    |   2 +-
 libmissing/snprintf.c                 |   2 +-
 libmissing/socket.c                   |   2 +-
 libmissing/sockets.c                  |   9 +-
 libmissing/sockets.h                  |  12 +-
 libmissing/stat.c                     |   2 +-
 libmissing/stdalign.in.h              |  23 +-
 libmissing/stdbool.in.h               |   2 +-
 libmissing/stddef.in.h                |  56 ++--
 libmissing/stdint.in.h                |  16 +-
 libmissing/stdio-impl.h               |   7 +-
 libmissing/stdio.in.h                 |  12 +-
 libmissing/stdlib.in.h                |   2 +-
 libmissing/str-two-way.h              |   2 +-
 libmissing/strcasecmp.c               |   2 +-
 libmissing/strcasestr.c               |   2 +-
 libmissing/strdup.c                   |   2 +-
 libmissing/streq.h                    |   2 +-
 libmissing/strerror-override.c        |   2 +-
 libmissing/strerror-override.h        |   2 +-
 libmissing/strerror.c                 |   2 +-
 libmissing/strerror_r.c               |   2 +-
 libmissing/string.in.h                |  23 +-
 libmissing/strings.in.h               |   2 +-
 libmissing/strncasecmp.c              |   2 +-
 libmissing/strndup.c                  |   2 +-
 libmissing/strnlen.c                  |   2 +-
 libmissing/strptime.c                 |   2 +-
 libmissing/strsep.c                   |   2 +-
 libmissing/sys_ioctl.in.h             |   2 +-
 libmissing/sys_select.in.h            |  21 +-
 libmissing/sys_socket.c               |   1 +
 libmissing/sys_socket.in.h            |   2 +-
 libmissing/sys_stat.in.h              |   2 +-
 libmissing/sys_time.in.h              |   2 +-
 libmissing/sys_types.in.h             |   2 +-
 libmissing/sys_uio.in.h               |   2 +-
 libmissing/sys_utsname.in.h           |   2 +-
 libmissing/tests/Makefile.am          |  47 +++-
 libmissing/tests/binary-io.c          |   1 +
 libmissing/tests/binary-io.h          |   4 +-
 libmissing/tests/c-strcase.h          |   2 +-
 libmissing/tests/c-strcasecmp.c       |   2 +-
 libmissing/tests/c-strncasecmp.c      |   2 +-
 libmissing/tests/ctype.in.h           |  57 +++++
 libmissing/tests/fcntl.in.h           |   2 +-
 libmissing/tests/fdopen.c             |   2 +-
 libmissing/tests/fpucw.h              |   4 +-
 libmissing/tests/ftruncate.c          |   2 +-
 libmissing/tests/getcwd-lgpl.c        |   2 +-
 libmissing/tests/getdtablesize.c      |  44 ++--
 libmissing/tests/getpagesize.c        |   2 +-
 libmissing/tests/glthread/yield.h     |   2 +-
 libmissing/tests/ignore-value.h       |   4 +-
 libmissing/tests/init.sh              |  57 +++--
 libmissing/tests/inttypes.in.h        |   6 +-
 libmissing/tests/localename.c         |  17 +-
 libmissing/tests/localename.h         |   2 +-
 libmissing/tests/lstat.c              |   2 +-
 libmissing/tests/macros.h             |   2 +-
 libmissing/tests/malloca.c            |   2 +-
 libmissing/tests/malloca.h            |   2 +-
 libmissing/tests/open.c               |   2 +-
 libmissing/tests/pipe.c               |   2 +-
 libmissing/tests/putenv.c             |   2 +-
 libmissing/tests/same-inode.h         |   2 +-
 libmissing/tests/setenv.c             |   2 +-
 libmissing/tests/setlocale.c          |   5 +-
 libmissing/tests/signature.h          |   2 +-
 libmissing/tests/symlink.c            |   2 +-
 libmissing/tests/test-accept.c        |   2 +-
 libmissing/tests/test-alloca-opt.c    |   2 +-
 libmissing/tests/test-arpa_inet.c     |   2 +-
 libmissing/tests/test-binary-io.c     |   2 +-
 libmissing/tests/test-bind.c          |   2 +-
 libmissing/tests/test-btowc.c         |   2 +-
 libmissing/tests/test-c-ctype.c       | 354 +++++++-------------------
 libmissing/tests/test-c-strcasecmp.c  |   2 +-
 libmissing/tests/test-c-strncasecmp.c |   2 +-
 libmissing/tests/test-close.c         |   2 +-
 libmissing/tests/test-cond.c          |   2 +-
 libmissing/tests/test-connect.c       |   2 +-
 libmissing/tests/test-ctype.c         |  27 ++
 libmissing/tests/test-dup2.c          |   2 +-
 libmissing/tests/test-environ.c       |   2 +-
 libmissing/tests/test-errno.c         |   2 +-
 libmissing/tests/test-fclose.c        |   2 +-
 libmissing/tests/test-fcntl-h.c       |   4 +-
 libmissing/tests/test-fdopen.c        |   2 +-
 libmissing/tests/test-fflush.c        |   2 +-
 libmissing/tests/test-fflush2.c       |   2 +-
 libmissing/tests/test-fgetc.c         |   2 +-
 libmissing/tests/test-float.c         |   2 +-
 libmissing/tests/test-fopen.c         |   2 +-
 libmissing/tests/test-fopen.h         |   2 +-
 libmissing/tests/test-fpurge.c        |   2 +-
 libmissing/tests/test-fputc.c         |   2 +-
 libmissing/tests/test-fread.c         |   2 +-
 libmissing/tests/test-freading.c      |   2 +-
 libmissing/tests/test-fseek.c         |   2 +-
 libmissing/tests/test-fseeko.c        |   2 +-
 libmissing/tests/test-fseeko3.c       |   2 +-
 libmissing/tests/test-fseeko4.c       |   2 +-
 libmissing/tests/test-fstat.c         |   2 +-
 libmissing/tests/test-ftell.c         |   2 +-
 libmissing/tests/test-ftell3.c        |   2 +-
 libmissing/tests/test-ftello.c        |   2 +-
 libmissing/tests/test-ftello3.c       |   2 +-
 libmissing/tests/test-ftello4.c       |   2 +-
 libmissing/tests/test-ftruncate.c     |   2 +-
 libmissing/tests/test-fwrite.c        |   2 +-
 libmissing/tests/test-getaddrinfo.c   |  12 +-
 libmissing/tests/test-getcwd-lgpl.c   |   2 +-
 libmissing/tests/test-getdelim.c      |   2 +-
 libmissing/tests/test-getdtablesize.c |   2 +-
 libmissing/tests/test-gethostname.c   |   2 +-
 libmissing/tests/test-getline.c       |   6 +-
 libmissing/tests/test-getsockname.c   |   2 +-
 libmissing/tests/test-gettimeofday.c  |   2 +-
 libmissing/tests/test-ignore-value.c  |   2 +-
 libmissing/tests/test-inet_ntop.c     |   2 +-
 libmissing/tests/test-inet_pton.c     |   2 +-
 libmissing/tests/test-init.sh         |   2 +-
 libmissing/tests/test-intprops.c      | 394 +++++++++++++++++-----------
 libmissing/tests/test-inttypes.c      |   2 +-
 libmissing/tests/test-ioctl.c         |   2 +-
 libmissing/tests/test-langinfo.c      |   2 +-
 libmissing/tests/test-listen.c        |   2 +-
 libmissing/tests/test-locale.c        |  13 +-
 libmissing/tests/test-localeconv.c    |   2 +-
 libmissing/tests/test-localename.c    |  42 ++-
 libmissing/tests/test-lock.c          |   2 +-
 libmissing/tests/test-lseek.c         |   2 +-
 libmissing/tests/test-lstat.c         |   2 +-
 libmissing/tests/test-lstat.h         |   2 +-
 libmissing/tests/test-malloca.c       |   2 +-
 libmissing/tests/test-mbrtowc-w32.c   |   2 +-
 libmissing/tests/test-mbrtowc.c       |  13 +-
 libmissing/tests/test-mbrtowc5.sh     |   6 +
 libmissing/tests/test-mbsinit.c       |   2 +-
 libmissing/tests/test-memchr.c        |   2 +-
 libmissing/tests/test-memmem.c        |   2 +-
 libmissing/tests/test-netdb.c         |   2 +-
 libmissing/tests/test-netinet_in.c    |   2 +-
 libmissing/tests/test-nl_langinfo.c   |   2 +-
 libmissing/tests/test-open.c          |   2 +-
 libmissing/tests/test-open.h          |   2 +-
 libmissing/tests/test-pathmax.c       |   2 +-
 libmissing/tests/test-perror.c        |   2 +-
 libmissing/tests/test-perror2.c       |   2 +-
 libmissing/tests/test-pipe.c          |   2 +-
 libmissing/tests/test-poll-h.c        |   2 +-
 libmissing/tests/test-poll.c          |   4 +-
 libmissing/tests/test-raise.c         |   2 +-
 libmissing/tests/test-regex.c         |  80 ++++--
 libmissing/tests/test-select-fd.c     |   2 +-
 libmissing/tests/test-select-stdin.c  |   2 +-
 libmissing/tests/test-select.c        |   2 +-
 libmissing/tests/test-select.h        |   2 +-
 libmissing/tests/test-setenv.c        |   2 +-
 libmissing/tests/test-setlocale1.c    |   4 +-
 libmissing/tests/test-setlocale2.c    |   2 +-
 libmissing/tests/test-setsockopt.c    |   2 +-
 libmissing/tests/test-signal-h.c      |   2 +-
 libmissing/tests/test-sigprocmask.c   |   2 +-
 libmissing/tests/test-sleep.c         |   2 +-
 libmissing/tests/test-snprintf.c      |   2 +-
 libmissing/tests/test-sockets.c       |   2 +-
 libmissing/tests/test-stat.c          |   3 +-
 libmissing/tests/test-stat.h          |   3 +-
 libmissing/tests/test-stdalign.c      |   2 +-
 libmissing/tests/test-stdbool.c       |   2 +-
 libmissing/tests/test-stddef.c        |  25 +-
 libmissing/tests/test-stdint.c        |   2 +-
 libmissing/tests/test-stdio.c         |   2 +-
 libmissing/tests/test-stdlib.c        |   2 +-
 libmissing/tests/test-strcasestr.c    |   2 +-
 libmissing/tests/test-strerror.c      |   2 +-
 libmissing/tests/test-strerror_r.c    |   2 +-
 libmissing/tests/test-string.c        |   2 +-
 libmissing/tests/test-strings.c       |   2 +-
 libmissing/tests/test-strnlen.c       |   2 +-
 libmissing/tests/test-symlink.c       |   2 +-
 libmissing/tests/test-symlink.h       |   2 +-
 libmissing/tests/test-sys_ioctl.c     |   2 +-
 libmissing/tests/test-sys_select.c    |   2 +-
 libmissing/tests/test-sys_socket.c    |   2 +-
 libmissing/tests/test-sys_stat.c      |   2 +-
 libmissing/tests/test-sys_time.c      |   2 +-
 libmissing/tests/test-sys_types.c     |   2 +-
 libmissing/tests/test-sys_uio.c       |   2 +-
 libmissing/tests/test-sys_utsname.c   |   2 +-
 libmissing/tests/test-sys_wait.h      |   2 +-
 libmissing/tests/test-thread_create.c |   2 +-
 libmissing/tests/test-thread_self.c   |   2 +-
 libmissing/tests/test-time.c          |   2 +-
 libmissing/tests/test-tls.c           |   2 +-
 libmissing/tests/test-uname.c         |   2 +-
 libmissing/tests/test-unistd.c        |   2 +-
 libmissing/tests/test-unsetenv.c      |   2 +-
 libmissing/tests/test-vasnprintf.c    |   2 +-
 libmissing/tests/test-verify.c        |   2 +-
 libmissing/tests/test-vsnprintf.c     |   2 +-
 libmissing/tests/test-wchar.c         |   2 +-
 libmissing/tests/test-wcrtomb-w32.c   |   2 +-
 libmissing/tests/test-wcrtomb.c       |   2 +-
 libmissing/tests/test-wctype-h.c      |   2 +-
 libmissing/tests/test-write.c         |   2 +-
 libmissing/tests/unsetenv.c           |   2 +-
 libmissing/tests/wctob.c              |   2 +-
 libmissing/tests/wctomb-impl.h        |   2 +-
 libmissing/tests/wctomb.c             |   2 +-
 libmissing/tests/zerosize-ptr.h       |   2 +-
 libmissing/time.in.h                  |  31 ++-
 libmissing/time_r.c                   |   2 +-
 libmissing/timegm.c                   |   8 +-
 libmissing/uname.c                    |   2 +-
 libmissing/unistd.c                   |   1 +
 libmissing/unistd.in.h                |  39 ++-
 libmissing/vasnprintf.c               |  27 +-
 libmissing/vasnprintf.h               |   2 +-
 libmissing/verify.h                   |   4 +-
 libmissing/vsnprintf.c                |   2 +-
 libmissing/w32sock.h                  |   2 +-
 libmissing/wchar.in.h                 |  16 +-
 libmissing/wcrtomb.c                  |   2 +-
 libmissing/wctype.in.h                |   2 +-
 libmissing/write.c                    |   2 +-
 libmissing/xsize.h                    |   2 +-
 snippet/arg-nonnull.h                 |   2 +-
 snippet/c++defs.h                     |   2 +-
 snippet/unused-parameter.h            |   2 +-
 snippet/warn-on-use.h                 |   2 +-
 515 files changed, 3137 insertions(+), 2545 deletions(-)

commit 604ff90e28cf59b70ebba7a188034f60fd574f83
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue May 3 09:05:59 2016 +0700

    [#1643] Handle EAGAIN even if it's not supposed to happen
    
    Change-Id: Ia9f12cea4dd48057bf4c3da2c85556b42643fe25

 src/prelude-connection-pool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fad1c4815d8481328da3400f0209d65ba06506a2
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu May 12 07:52:57 2016 +0700

    [#rel1641] Implement prelude_msg_get_data()
    
    Change-Id: Ia8bbe78bdd1a1392598f9b4ac22d31fc57d97f0c

 src/include/prelude-msg.h |  2 ++
 src/prelude-msg.c         | 17 +++++++++++++++++
 2 files changed, 19 insertions(+)

commit 7cf827a5c3f4a1d35af712d279371e0ac8f29fd1
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue May 3 09:23:20 2016 +0700

    [#rel1641] API for atomic message write
    
    Change-Id: I875ea5aa30ac74583a59b06b88f539b357a4cdba

 src/include/prelude-msg.h |  2 ++
 src/prelude-msg.c         | 39 +++++++++++++++++++++++++++++++--------
 2 files changed, 33 insertions(+), 8 deletions(-)

commit 27be22e1c711f2bb6f3766184ee3c0b775473485
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue May 3 09:06:07 2016 +0700

    [#rel1643] Improved message handling
    
    Change-Id: Ibf03d2acbb0a062a1c0bb636d69896e55a2860e5

 src/prelude-client.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 54b42918223ca2ea6868bcec688e96c94a37d455
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Apr 21 18:03:33 2016 +0200

    Update NEWS, bump version
    
    Change-Id: I6f250be70b4f6f643418d4346a460ad56befec75

 NEWS         | 12 ++++++++++++
 configure.in |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit a2d67ab4001b1213dd5c0644418b3a1049a410e2
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Tue Apr 19 16:22:50 2016 +0200

    [#376] Fix make distcheck with LUA and Ruby bindings
    
    Change-Id: Ie5139cc1009c359e732066688ae56299837a73a3

 bindings/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35e7c41bf7be24635917f690c244f589bf762ded
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Apr 19 16:54:07 2016 +0700

    Fix idmef-criteria valgrind unit test (memory leak)
    
    Change-Id: I544313fc3f593289c0c74c88e051cc3a324984b8

 tests/idmef-criteria.c | 1 +
 1 file changed, 1 insertion(+)

commit a11725962f96dc87b2d178b873e501a884959825
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Apr 15 17:24:48 2016 +0200

    Update NEWS, bump version
    
    Change-Id: Ia0be97d3e582fc9a651ba142b57a8d8585e3b322

 NEWS         | 8 ++++++++
 configure.in | 6 +++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 64d15a511f7467593c95fee45075dfc9f4a7ccfc
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Apr 8 12:31:02 2016 +0200

    Update NEWS, bump version
    
    Change-Id: I5935e4b208c987e6e92a5751ac5073afe61b8fa6

 NEWS         | 10 ++++++++++
 configure.in |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 9c513d1cc76813fb65010ba0c9240caea80adee6
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Apr 8 10:50:02 2016 +0700

    [#1574] fix assertions / wrong object matching behavior on list
    
    - idmef_value_type implementation is modified so that matching NULL operand
      is allowed. This is a requirement since list of idmef_value_t might contain
      NULL object.
    
    - Fix idmef_value_match() / idmef_value_iterate() assertion when the matched
      value was a list containing NULL elements.
    
    - (not)? NULL operator matching on list of result containing NULL value was
      not working properly.
    
    Change-Id: I3fd946b51574ceb375a88cf43a8f606cbe151f21

 src/idmef-criteria.c        | 17 +++-------------
 src/idmef-criterion-value.c | 43 ++++++++++++++++++++++++++---------------
 src/idmef-value-type.c      | 47 ++++++++++++++++++++++++++++++---------------
 src/idmef-value.c           | 13 ++++++++-----
 tests/idmef-criteria.c      | 43 +++++++++++++++++++++++++++++++++++++++++
 5 files changed, 114 insertions(+), 49 deletions(-)

commit efa6f0f24f131ecdcea749e0e4fbf12a723ffe93
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Apr 8 09:51:49 2016 +0700

    [#rel1574] broken-down time comparison worked only once
    
    The first call to idmef_criteria_match() on a broken-down time criteria was
    working, but subsequent call where not.
    
    The reason is that we used timegm() on the internal TM structure used to hold
    the comparison value. We need to perform a copy of this structure since
    timegm() will modify it.
    
    Change-Id: I5a4c5ffded185458be8694f4ceef4a864331775f

 src/idmef-criterion-value.c | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit f2e9217eebea07588823d185a321ad05de2b3114
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Wed Apr 6 09:40:30 2016 +0700

    [#1565] Fix multiple idmef-path cloning issue
    
    - copy was not properly done, resulting in invalid path->top_class
    - path element with index_key were not properly copied
    
    Change-Id: I58296e29d93c75a9c74edb7a68d78728b55a462f

 src/idmef-path.c | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 03a2ad15a12252cdc398fc48686a31c1bf491157
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Apr 1 17:46:20 2016 +0200

    Update NEWS, bump version
    
    Change-Id: If748ea1d30bcb377cbe0f30875d15c172f475c05

 NEWS         | 6 ++++++
 configure.in | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 2d26b55f87b4aaa335bf8a16bf53d3c4c23342c0
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Mar 23 16:56:03 2016 +0100

    Update NEWS, bump version
    
    Change-Id: I5b13ab0a86b609f036ff835ba9448e17f7d7b05c

 NEWS         | 8 ++++++++
 configure.in | 4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit fa4172667e9712c941e75c1a699f8a405221e56a
Author: Louis-David GABET <louis-david.gabet@c-s.fr>
Date:   Mon Mar 21 14:22:17 2016 +0100

    [#1135] Add ltdl deps to README
    
    Change-Id: Ic986844d8fdd9244c3a28ae6d45c03de6a8b472d

 README | 2 ++
 1 file changed, 2 insertions(+)

commit 7556ee1d9f3cbbc0c0f4550212409f6813a6d597
Author: Louis-David GABET <louis-david.gabet@c-s.fr>
Date:   Mon Mar 21 14:14:51 2016 +0100

    [#1137] Fix README
    
    Changes prelude-adduser to prelude-admin in README file.
    
    Change-Id: Iac1697bec507f178cc6c9c12321ea34b21fb3060

 README | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 1d2f767ce9e2f24c70f5be96b017928155fb51ae
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Thu Mar 17 15:53:00 2016 +0100

    Update NEWS, bump version
    
    Change-Id: I28c6408219e9a1327ce7a6728a5df49057518103

 NEWS         | 8 ++++++++
 configure.in | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 9c44adaaa7dbbc4a6b8ed80c5fda07e90e81309c
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Feb 26 10:51:12 2016 +0100

    [#1214] Properly set top class when using idmef_path_new_from_root_fast()
    
    - properly return root class for relative path in idmef_path_get_class()
    
    Change-Id: I6dff7412e9f36629736b7d93d645319e82ac81e2

 src/idmef-path.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b6af61c52d02ac2f0fac2184fcea13ec2d4283ea
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Feb 26 10:43:38 2016 +0100

    Update NEWS, bump version
    
    Change-Id: Ifbc23413f461f098d8b9e5bb01eb3e9b31cb1b25

 NEWS         | 16 ++++++++++++++++
 configure.in |  6 +++---
 2 files changed, 19 insertions(+), 3 deletions(-)

commit 529353ad468fe361d018dc1352d12c98d7bd4e8f
Author: Thomas ANDREJAK <thomas.andrejak@c-s.fr>
Date:   Fri Feb 12 19:22:03 2016 +0100

    [#rel548] Change c-s.fr to prelude-siem.com
    
    Change-Id: I0a5960874380e1e15bbd071cc79474c09aad62b9

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71e3030128002b2739e5b73cf74c5eaa40971e30
Author: Abdel ELMILI <abdel.elmili@c-s.fr>
Date:   Fri Feb 5 18:47:47 2016 +0100

    [#1095] Fix typos
    
    Change-Id: I68c267545c6220cef84b68fef80a091e40920ea7

 README | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit e795902fc84329aa5465bf4043021af1f41b1ff6
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Feb 3 13:18:06 2016 +0100

    [#837] Fix depth comparison in IDMEFClass()
    
    Change-Id: Ic74f4061a11c2b30237552bc308190b800c3aa78

 bindings/c++/idmef-class.cxx | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73c7eef40513fc771ee650e175179a95a755d33d
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Jan 11 10:36:33 2016 +0100

    Update NEWS, bump version
    
    Change-Id: Ibeeb617eb74c90e25ff6b31528f7a51b4548ec51

 NEWS         | 23 +++++++++++++++++++++++
 configure.in | 12 ++++++------
 2 files changed, 29 insertions(+), 6 deletions(-)

commit 78d2053be7a354c5d3259b48bdb2e5b2f0631406
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Tue Jan 12 14:34:04 2016 +0100

    [#1007] Copyright year update
    
    Change-Id: I286e473aff9c6c2e86b164a97041094f69a5797a

 LICENSE.README                                               | 2 +-
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
 bindings/c++/include/idmef-class.hxx                         | 2 +-
 bindings/c++/include/idmef-criteria.hxx                      | 2 +-
 bindings/c++/include/idmef-path.hxx                          | 2 +-
 bindings/c++/include/idmef-time.hxx                          | 2 +-
 bindings/c++/include/idmef-value.hxx                         | 2 +-
 bindings/c++/include/idmef.hxx                               | 2 +-
 bindings/c++/include/prelude-client-easy.hxx                 | 2 +-
 bindings/c++/include/prelude-client-profile.hxx              | 2 +-
 bindings/c++/include/prelude-client.hxx                      | 2 +-
 bindings/c++/include/prelude-connection-pool.hxx             | 2 +-
 bindings/c++/include/prelude-connection.hxx                  | 2 +-
 bindings/c++/include/prelude-error.hxx                       | 2 +-
 bindings/c++/include/prelude-log.hxx                         | 2 +-
 bindings/c++/include/prelude.hxx                             | 2 +-
 bindings/c++/prelude-client-easy.cxx                         | 2 +-
 bindings/c++/prelude-client-profile.cxx                      | 2 +-
 bindings/c++/prelude-client.cxx                              | 2 +-
 bindings/c++/prelude-connection-pool.cxx                     | 2 +-
 bindings/c++/prelude-connection.cxx                          | 2 +-
 bindings/c++/prelude-error.cxx                               | 2 +-
 bindings/c++/prelude-log.cxx                                 | 2 +-
 bindings/c++/prelude.cxx                                     | 2 +-
 bindings/libpreludecpp.i                                     | 2 +-
 bindings/lua/libpreludecpp-lua.i                             | 2 +-
 bindings/perl/Makefile.PL.in                                 | 2 +-
 bindings/perl/libpreludecpp-perl.i                           | 2 +-
 bindings/python/libpreludecpp-python.i                       | 2 +-
 bindings/python/setup.py.in                                  | 2 +-
 bindings/ruby/libpreludecpp-ruby.i                           | 2 +-
 prelude-admin/prelude-admin.c                                | 2 +-
 prelude-admin/server.c                                       | 2 +-
 prelude-admin/server.h                                       | 2 +-
 prelude-admin/tls-register.c                                 | 2 +-
 prelude-admin/tls-register.h                                 | 2 +-
 src/common.c                                                 | 2 +-
 src/config-engine.c                                          | 2 +-
 src/daemonize.c                                              | 2 +-
 src/idmef-additional-data.c                                  | 2 +-
 src/idmef-class.c                                            | 2 +-
 src/idmef-criteria-string.lex.c                              | 2 +-
 src/idmef-criteria-string.lex.l                              | 2 +-
 src/idmef-criteria-string.yac.y                              | 2 +-
 src/idmef-criteria.c                                         | 2 +-
 src/idmef-criterion-value.c                                  | 2 +-
 src/idmef-data.c                                             | 2 +-
 src/idmef-message-helpers.c                                  | 2 +-
 src/idmef-message-print.c                                    | 2 +-
 src/idmef-message-read.c                                     | 2 +-
 src/idmef-message-write.c                                    | 2 +-
 src/idmef-object.c                                           | 2 +-
 src/idmef-path.c                                             | 2 +-
 src/idmef-time.c                                             | 2 +-
 src/idmef-tree-wrap.c                                        | 2 +-
 src/idmef-value-type.c                                       | 2 +-
 src/idmef-value.c                                            | 2 +-
 src/idmef-wrappers-gen/Generate.pm                           | 2 +-
 src/idmef-wrappers-gen/GenerateDebug.pm                      | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessageIdH.pm            | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessagePrintH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadC.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageReadH.pm          | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteC.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFMessageWriteH.pm         | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm              | 2 +-
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapH.pm             | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapHxx.pm           | 4 ++--
 src/idmef-wrappers-gen/GenerateIDMEFValueClassSwigMapping.pm | 4 ++--
 src/idmef-wrappers-gen/IDMEFTree.pm                          | 2 +-
 src/idmef-wrappers-gen/generator.pl                          | 2 +-
 src/idmef-wrappers-gen/idmef-tree.h                          | 2 +-
 src/include/common.h                                         | 2 +-
 src/include/config-engine.h                                  | 2 +-
 src/include/daemonize.h                                      | 2 +-
 src/include/idmef-additional-data.h                          | 2 +-
 src/include/idmef-criteria.h                                 | 2 +-
 src/include/idmef-criterion-value.h                          | 2 +-
 src/include/idmef-data.h                                     | 2 +-
 src/include/idmef-message-helpers.h                          | 2 +-
 src/include/idmef-message-print.h                            | 2 +-
 src/include/idmef-message-read.h                             | 2 +-
 src/include/idmef-message-write.h                            | 2 +-
 src/include/idmef-object-prv.h                               | 2 +-
 src/include/idmef-object.h                                   | 2 +-
 src/include/idmef-path.h                                     | 2 +-
 src/include/idmef-time.h                                     | 2 +-
 src/include/idmef-tree-wrap.h                                | 2 +-
 src/include/idmef-value-type.h                               | 2 +-
 src/include/idmef-value.h                                    | 2 +-
 src/include/idmef.h                                          | 2 +-
 src/include/libmissing.h                                     | 2 +-
 src/include/prelude-async.h                                  | 2 +-
 src/include/prelude-client-profile.h                         | 2 +-
 src/include/prelude-client.h                                 | 2 +-
 src/include/prelude-connection-pool.h                        | 2 +-
 src/include/prelude-connection.h                             | 2 +-
 src/include/prelude-extract.h                                | 2 +-
 src/include/prelude-failover.h                               | 2 +-
 src/include/prelude-hash.h                                   | 2 +-
 src/include/prelude-ident.h                                  | 2 +-
 src/include/prelude-inttypes.h.in                            | 2 +-
 src/include/prelude-io.h                                     | 2 +-
 src/include/prelude-linked-object.h                          | 2 +-
 src/include/prelude-list.h                                   | 2 +-
 src/include/prelude-log.h                                    | 2 +-
 src/include/prelude-macros.h                                 | 2 +-
 src/include/prelude-message-id.h                             | 2 +-
 src/include/prelude-msg.h                                    | 2 +-
 src/include/prelude-msgbuf.h                                 | 2 +-
 src/include/prelude-option-wide.h                            | 2 +-
 src/include/prelude-option.h                                 | 2 +-
 src/include/prelude-plugin.h                                 | 2 +-
 src/include/prelude-string.h                                 | 2 +-
 src/include/prelude-thread.h                                 | 2 +-
 src/include/prelude-timer.h                                  | 2 +-
 src/include/prelude.h.in                                     | 2 +-
 src/include/tls-auth.h                                       | 2 +-
 src/include/tls-util.h                                       | 2 +-
 src/include/variable.h                                       | 2 +-
 src/libprelude-error/prelude-error.h.in                      | 2 +-
 src/prelude-async.c                                          | 2 +-
 src/prelude-client-profile.c                                 | 2 +-
 src/prelude-client.c                                         | 2 +-
 src/prelude-connection-pool.c                                | 2 +-
 src/prelude-connection.c                                     | 2 +-
 src/prelude-failover.c                                       | 2 +-
 src/prelude-hash.c                                           | 2 +-
 src/prelude-ident.c                                          | 2 +-
 src/prelude-io.c                                             | 2 +-
 src/prelude-log.c                                            | 2 +-
 src/prelude-msg.c                                            | 2 +-
 src/prelude-msgbuf.c                                         | 2 +-
 src/prelude-option-wide.c                                    | 2 +-
 src/prelude-option.c                                         | 2 +-
 src/prelude-plugin.c                                         | 2 +-
 src/prelude-string.c                                         | 2 +-
 src/prelude-thread.c                                         | 2 +-
 src/prelude-timer.c                                          | 2 +-
 src/prelude.c                                                | 2 +-
 src/tls-auth.c                                               | 2 +-
 src/tls-util.c                                               | 2 +-
 src/variable.c                                               | 2 +-
 150 files changed, 160 insertions(+), 160 deletions(-)

commit 84f397e3383d84f284bb575b123ca3df604076e9
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Dec 15 12:44:08 2015 +0100

    [#rel866] Implement utility function for IDMEF union
    
    This implement:
    
    - idmef_class_is_child_union_member(), which let you know if a given child
      is part of an union.
    
    - idmef_class_get_child_union_id(), which return an unique identifier
      (within the current IDMEF class scope) for the union the child is part of.
    
    Change-Id: Ifcc651386ad054e1c99593ef5bb4d7a4b2132970

 src/idmef-class.c                               |  32 +++
 src/idmef-wrappers-gen/GenerateIDMEFTreeData.pm |   7 +-
 src/include/idmef-class.h                       |   4 +
 src/include/idmef-tree-data.h                   | 311 ++++++++++++------------
 src/libprelude-error/err-codes.h.in             |   2 +
 5 files changed, 199 insertions(+), 157 deletions(-)

commit 3e3a7b43d4524e1b51fb34ce5a290c3c98e3be62
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Dec 14 17:53:53 2015 +0100

    [#rel866] Fix crash on listed value retrieval
    
    Change-Id: Id7a0d0b3aa973a17c3510f86ef9fc28339667406

 src/idmef-path.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b96e56f31cdb21cd2d3ffb2ec09f30e21b31aa90
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Dec 14 15:47:26 2015 +0100

    [#rel866] Fix IDMEF object copy
    
    When copying an IDMEF object to another object, we should free the target
    object content first.
    
    Change-Id: Ie4474a030f9220d0821a68eb7c5433fa9d3d2fbf

 src/idmef-tree-wrap.c                            | 496 +++++++++++++++++++++++
 src/idmef-wrappers-gen/GenerateIDMEFTreeWrapC.pm |  30 ++
 2 files changed, 526 insertions(+)

commit 30236ae65f6927d0b22362c912fc7fdc774c4dd2
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Mon Dec 14 14:27:38 2015 +0100

    [#rel866] Improved error reporting
    
    Change-Id: I50705b648b2664477bc4dfc343323e0349de5bdf

 src/prelude-plugin.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04f4f40477ab63882e511983af0f67f9a69677ce
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Sat Dec 5 04:46:31 2015 +0700

    [#rel866] Remove IDMEF SNMP community field
    
    This field was not kept in IDMEF final RFC version.
    
    Change-Id: I7f01ac2ca193165677348d3bbd27b909433dfd1a

 src/idmef-message-print.c           | 14 ------
 src/idmef-message-read.c            | 11 -----
 src/idmef-message-write.c           |  4 --
 src/idmef-tree-wrap.c               | 94 -------------------------------------
 src/idmef-wrappers-gen/idmef-tree.h |  5 --
 src/include/idmef-message-id.h      |  1 -
 src/include/idmef-tree-data.h       |  1 -
 src/include/idmef-tree-wrap.h       |  9 ----
 8 files changed, 139 deletions(-)

commit 0d9f95933c89d755e8edf86a400254e2461bae10
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Dec 4 22:32:05 2015 +0700

    [#rel866] implement idmef_object_get_class()
    
    Return idmef_object_t class identifier.
    
    Change-Id: I54ddce13c1d8e552d4472c97ea8446ecb12e7320

 src/idmef-object.c         | 8 ++++++++
 src/include/idmef-object.h | 2 ++
 2 files changed, 10 insertions(+)

commit dae2327865e51812ecb3871f4fdbbf6667fec407
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Nov 13 07:59:13 2015 +0700

    [#rel866] Code simplification, remove un-needed flags
    
    Change-Id: Ife02f32702d518f98ddda6b9cec4df1b0d2b4df5

 src/prelude-string.c | 32 +++++++++++++-------------------
 1 file changed, 13 insertions(+), 19 deletions(-)

commit fc7d161d434ca126f5f8defa3bb1f71e4abf699b
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Nov 13 07:50:24 2015 +0700

    [#rel866] Implement prelude_string_truncate()
    
    Change-Id: I6aba500c75c4bee8917ddbbce2c706f48ea70889

 src/include/prelude-string.h |  2 ++
 src/prelude-string.c         | 80 +++++++++++++++++++++++++++++++++-----------
 2 files changed, 62 insertions(+), 20 deletions(-)

commit 2f8516901f72c1653422ff89eb1d00506a2fe2dc
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Thu Nov 12 13:11:36 2015 +0700

    [#rel866] Improve string allocation algorithm
    
    Change-Id: Id0a933d072cde55d042a3e6a1844236622a26ff9

 src/prelude-string.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 382ee1c0f822b2e3395c2c5cabc1cea2de107bd4
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Fri Jul 31 09:42:29 2015 +0200

    Update NEWS, bump version
    
    Change-Id: Ib4f70a49598679b8899aced6e4306c2a32bb1cd3

 NEWS         | 6 ++++++
 configure.in | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit c50a40f68339f5b8dfde141d0f10ecaebdb28caa
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Jul 27 10:03:24 2015 +0200

    Update NEWS, bump version
    
    Change-Id: I2dfde886e80e8ad23f44665a1b45434320a052e3

 NEWS         | 36 ++++++++++++++++++++++++++++++++++++
 configure.in | 10 +++++-----
 2 files changed, 41 insertions(+), 5 deletions(-)

commit eccd6ee9192e88d9b2f4768b8c292190b6f4a58d
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Wed Jul 29 15:07:53 2015 +0200

    [#720] Update from prelude-ids.org to prelude-siem.org
    
    Change mailing lists to forums.
    
    Change-Id: I6f32411692aae92777d1060a6fc48d14e2b94400

 README                      | 22 ++++++++--------------
 bindings/python/setup.py.in |  2 +-
 m4/libprelude.m4            |  2 +-
 3 files changed, 10 insertions(+), 16 deletions(-)

commit 9916f31ae665b6547dfc457b7f24b7ea81d51eaf
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Jul 24 09:14:53 2015 +0200

    [#723] Implement prelude_parse_version()
    
    Parse the given version string to an integer. Used by prelude_check_version()
    
    Change-Id: Id83b21ddf53331c9707fddcc8d19aaf6df071724

 src/include/prelude.h.in |  2 ++
 src/prelude.c            | 58 +++++++++++++++++++++++++++++++++++-------------
 2 files changed, 45 insertions(+), 15 deletions(-)

commit 4d03948ced94b135186b68f571c4439421f599d3
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Fri Jul 24 09:14:03 2015 +0200

    [#rel723] fix GCC5 libprelude-error compilation failure
    
    Change-Id: Ia02fc5b3a060e1ec1b9cc7e915bf6561c1a82eeb

 src/libprelude-error/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac42a0f605fb075e9610be6dd49fd021f2c415bc
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Tue Jul 21 07:52:08 2015 +0200

    Update code to SWIG 3.0.6, fix lua/perl code generation
    
    Latest SWIG version would not properly generate the bindings, due to some
    invalid format being used in the interface files.
    
    Change-Id: I98bb1baaf577b35cbf15cdbe728b3ebdac975fae

 bindings/lua/libpreludecpp-lua.i   |    8 +-
 bindings/lua/prelude.cxx           | 2093 +++++++++--
 bindings/perl/Prelude.cxx          | 6896 +++++++++++++++++++++++-------------
 bindings/perl/Prelude.pm           |    2 +-
 bindings/perl/libpreludecpp-perl.i |    4 +-
 bindings/python/_prelude.cxx       |    6 +-
 bindings/ruby/Prelude.cxx          |   68 +-
 7 files changed, 6244 insertions(+), 2833 deletions(-)

commit 230ec9e2e6f637d6105614a4265130f47baa8423
Author: Yoann Vandoorselaere <yoannv@gmail.com>
Date:   Sun Jul 19 15:46:41 2015 +0200

    [#586] Fix crash when unpickling IDMEF object
    
    The crash was due to an invalid free which is now corrected. Additionally, return a
    newly created dictionary for the object state, to prevent the main object dictionnary
    from carrying an unused __idmef_data__ key/data pair after the call.
    
    Fix #586.
    
    Change-Id: Ia5ec0c068cdfaa0938d3d946946eb473c337cc97

 bindings/python/_prelude.cxx           | 25 ++++++++++++++++---------
 bindings/python/libpreludecpp-python.i | 25 ++++++++++++++++---------
 2 files changed, 32 insertions(+), 18 deletions(-)

commit da801dcca987f80f0a1a11f1d2ce618f9937b30a
Author: Antoine LUONG <antoine.luong@c-s.fr>
Date:   Mon Jun 29 17:21:51 2015 +0200

    [#516] Copyright year update
    
    Change-Id: Ic3b3b0611c834f07d8811ba353ace0709418021b

 LICENSE.README                                               | 2 +-
 bindings/c++/idmef-class.cxx                                 | 2 +-
 bindings/c++/idmef-criteria.cxx                              | 2 +-
 bindings/c++/idmef-path.cxx                                  | 2 +-
 bindings/c++/idmef-time.cxx                                  | 2 +-
 bindings/c++/idmef-value.cxx                                 | 2 +-
 bindings/c++/idmef.cxx                                       | 2 +-
